ChangeSet
  1.1998 05/12/21 16:05:13 knielsen@mysql.com +1 -0
  Merge bk-internal:/home/bk/mysql-5.0
  into  mysql.com:/usr/local/mysql/mysql-5.0

  sql/sql_trigger.cc
    1.38 05/12/21 16:05:08 knielsen@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1996.1.1 05/12/21 15:19:11 knielsen@mysql.com +2 -0
  BUG#15842: Change in "item.cc" adding Item_sp_variable breaks compile on HP-UX 11.23
  Fix: make explicit conversion to non-constant string (char *).
  Backported from 5.1 changeset 1.1968 05/12/19 17:36:20 kent@mysql.com +2 -0

  sql/sql_trigger.cc
    1.36.1.1 05/12/21 15:17:47 knielsen@mysql.com +7 -7
    Make explicit conversion to non-constant string (char *).

  sql/item.cc
    1.201 05/12/21 15:17:45 knielsen@mysql.com +1 -1
    Make explicit conversion to non-constant string (char *).

ChangeSet
  1.1995 05/12/20 12:42:35 paul@snake-hub.snake.net +1 -0
  errmsg.txt:
    Fix typo.

  sql/share/errmsg.txt
    1.56 05/12/20 12:42:13 paul@snake-hub.snake.net +1 -1
    Fix typo.

ChangeSet
  1.1993.1.1 05/12/20 00:47:50 msvensson@neptunus.(none) +1 -0
  Bug #15772 Aborted YaSSL connections force threads into busyloops
    - Report error when there is nothing to read after wait.

  extra/yassl/src/handshake.cpp
    1.5 05/12/20 00:47:44 msvensson@neptunus.(none) +5 -1
    Report error if there is nothing to read after a blocking read

ChangeSet
  1.1993 05/12/19 16:21:02 gluh@eagle.intranet.mysql.r18.ru +3 -0
  Fix for bug#14271 I_S: columns has no size for (var)binary columns
    set character_octet_length, character_maximum_length for
    binary and varbinary field types

  sql/sql_show.cc
    1.302 05/12/19 16:20:56 gluh@mysql.com +3 -1
    Fix for bug#14271 I_S: columns has no size for (var)binary columns
      set character_octet_length, character_maximum_length for
      binary and varbinary field types

  mysql-test/t/information_schema.test
    1.65 05/12/19 16:20:56 gluh@mysql.com +8 -0
    Fix for bug#14271 I_S: columns has no size for (var)binary columns
      test case

  mysql-test/r/information_schema.result
    1.92 05/12/19 16:20:56 gluh@mysql.com +7 -0
    Fix for bug#14271 I_S: columns has no size for (var)binary columns
      test case

ChangeSet
  1.1992 05/12/19 15:36:03 gluh@eagle.intranet.mysql.r18.ru +3 -0
  Fix for bug#14861 aliased column names are not preserved.
    Create tmp table filed using original item name when it's necessary

  sql/sql_select.cc
    1.377 05/12/19 15:35:57 gluh@mysql.com +7 -5
    Fix for bug#14861 aliased column names are not preserved.
      Create tmp table filed using original item name when it's necessary

  mysql-test/t/view.test
    1.130 05/12/19 15:35:57 gluh@mysql.com +19 -0
    Fix for bug#14861 aliased column names are not preserved.
      test case

  mysql-test/r/view.result
    1.141 05/12/19 15:35:57 gluh@mysql.com +16 -0
    Fix for bug#14861 aliased column names are not preserved.
      test case

ChangeSet
  1.1991 05/12/19 14:46:54 gluh@eagle.intranet.mysql.r18.ru +3 -0
  Bug#12770 DESC cannot display the info. about temporary table
  Bug#14387 SHOW COLUMNS doesn't work on temporary tables.
  Bug#15224 SHOW INDEX from temporary table doesn't work.
    Restore thd->temporary_tables to be able to process
    temporary tables(only for 'show index' & 'show columns').
    This should be changed when processing of temporary tables for
    I_S tables will be done.

  sql/sql_show.cc
    1.301 05/12/19 14:46:49 gluh@mysql.com +8 -0
    Bug#12770 DESC cannot display the info. about temporary table
    Bug#14387 SHOW COLUMNS doesn't work on temporary tables.
    Bug#15224 SHOW INDEX from temporary table doesn't work.
      Restore thd->temporary_tables to be able to process
      temporary tables(only for 'show index' & 'show columns').
      This should be changed when processing of temporary tables for
      I_S tables will be done.

  mysql-test/t/information_schema.test
    1.64 05/12/19 14:46:49 gluh@mysql.com +11 -0
    Bug#12770 DESC cannot display the info. about temporary table
    Bug#14387 SHOW COLUMNS doesn't work on temporary tables.
    Bug#15224 SHOW INDEX from temporary table doesn't work.
      test case

  mysql-test/r/information_schema.result
    1.91 05/12/19 14:46:48 gluh@mysql.com +11 -0
    Bug#12770 DESC cannot display the info. about temporary table
    Bug#14387 SHOW COLUMNS doesn't work on temporary tables.
    Bug#15224 SHOW INDEX from temporary table doesn't work.
      test case

ChangeSet
  1.1990 05/12/19 19:01:20 stewart@mysql.com +2 -0
  Merge mysql.com:/home/stewart/Documents/MySQL/5.0/main
  into  mysql.com:/home/stewart/Documents/MySQL/5.0/cleanup

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.77 05/12/19 19:01:15 stewart@mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.39 05/12/19 19:01:14 stewart@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1989 05/12/19 03:39:25 kent@mysql.com +1 -0
  mysql-test-run.pl:
    Script "my_print_defaults" is to be searched for as executable

  mysql-test/mysql-test-run.pl
    1.62 05/12/19 03:37:48 kent@mysql.com +2 -2
    Script "my_print_defaults" is to be searched for as executable

ChangeSet
  1.1988 05/12/18 15:26:37 kent@mysql.com +6 -0
  Merge

  sql/ha_ndbcluster.cc
    1.224 05/12/18 15:26:30 kent@mysql.com +0 -19

  sql/sql_class.cc
    1.224 05/12/18 15:24:12 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/ndb_multi.test
    1.7 05/12/18 15:24:12 kent@mysql.com +0 -1
    Auto merged

  mysql-test/t/ndb_basic.test
    1.34 05/12/18 15:24:12 kent@mysql.com +0 -11
    Auto merged

  mysql-test/r/ndb_multi.result
    1.5 05/12/18 15:24:12 kent@mysql.com +0 -1
    Auto merged

  mysql-test/r/ndb_basic.result
    1.33 05/12/18 15:24:11 kent@mysql.com +0 -16
    Auto merged

ChangeSet
  1.1987 05/12/18 15:07:58 kent@mysql.com +1 -0
  Makefile.am:
    Added 5.0 specific build scripts

  BUILD/Makefile.am
    1.10 05/12/18 15:06:52 kent@mysql.com +5 -0
    Added 5.0 specific build scripts

ChangeSet
  1.1986 05/12/18 15:02:13 kent@mysql.com +1 -0
  Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  BUILD/Makefile.am
    1.9 05/12/18 15:02:09 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2144.109 05/12/18 14:55:05 kent@mysql.com +1 -0
  Merge

  BUILD/Makefile.am
    1.5.1.2 05/12/18 14:55:00 kent@mysql.com +12 -1

ChangeSet
  1.1346.1.820 05/12/18 14:51:19 kent@mysql.com +1 -0
  Makefile.am:
    Adjusted listing of files to put into source TAR

  BUILD/Makefile.am
    1.4.1.2 05/12/18 14:49:51 kent@mysql.com +0 -1

  BUILD/Makefile.am
    1.4.1.1 05/12/18 14:45:14 kent@mysql.com +5 -1
    Adjusted listing of files to put into source TAR

ChangeSet
  1.1985 05/12/16 22:53:10 ranger@regul.home.lan +1 -0
  Fixed default values for counters to 0 

  mysql-test/mysql-test-run.pl
    1.61 05/12/16 22:47:52 ranger@regul.home.lan +3 -3
    Fixed default values for counters to 0 
    

ChangeSet
  1.1982.1.1 05/12/16 09:38:30 knielsen@mysql.com +1 -0
  BUG#15805: Disabled test type_time; fails in --ps-protocol mode.

  mysql-test/t/disabled.def
    1.17 05/12/16 09:37:57 knielsen@mysql.com +1 -0
    Disabled test type_time; fails in --ps-protocol mode.

ChangeSet
  1.1983 05/12/16 00:23:55 ranger@regul.home.lan +3 -0
  Fixed stress parts in shell and perl versions of mysql-test-run script to limit stress testing 
  with 20 test loops in case when any limit parameter was specified
  

  mysql-test/mysql-test-run.sh
    1.284 05/12/16 00:23:48 ranger@regul.home.lan +10 -2
    Limit stress testing with 20 test loops in case when any limit parameter was specified

  mysql-test/mysql-test-run.pl
    1.60 05/12/16 00:23:48 ranger@regul.home.lan +1 -1
    Limit stress testing with 20 test loops in case when any limit parameter was specified

  mysql-test/lib/mtr_stress.pl
    1.2 05/12/16 00:23:48 ranger@regul.home.lan +8 -0
    Limit stress testing with 20 test loops in case when any limit parameter was specified

ChangeSet
  1.1982 05/12/15 18:59:40 aivanov@mysql.com +6 -0
  Merge mysql.com:/home/alexi/dev/mysql-4.1-12440
  into  mysql.com:/home/alexi/dev/mysql-5.0-12440

  zlib/Makefile.am
    1.6 05/12/15 18:59:29 aivanov@mysql.com +0 -2
    Auto merged

  sql-common/my_time.c
    1.19 05/12/15 18:59:29 aivanov@mysql.com +0 -0
    Auto merged

  ndb/src/ndbapi/ndb_cluster_connection.cpp
    1.33 05/12/15 18:59:29 aivanov@mysql.com +0 -0
    Auto merged

  ndb/src/ndbapi/NdbRecAttr.cpp
    1.24 05/12/15 18:59:28 aivanov@mysql.com +0 -0
    Auto merged

  ndb/src/ndbapi/NdbImpl.hpp
    1.13 05/12/15 18:59:28 aivanov@mysql.com +1 -2
    Auto merged

  mysql-test/r/type_time.result
    1.14 05/12/15 18:59:28 aivanov@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2437.3 05/12/15 18:48:08 aivanov@mysql.com +3 -0
  Fixed BUG #12440: "Incorrect processing of time values containing
   long fraction and/or large exponent part".

  sql-common/my_time.c
    1.6.1.9 05/12/15 18:48:01 aivanov@mysql.com +22 -6
    Fixed bug #12440: "Incorrect processing of time values containing
     long fraction and/or large exponent part".
     Modified str_to_time(). Process properly fraction part containing
     more than 6 digits. Check for existence of exponent part which
     may result from %g formatting applied to time value specified as
     large real number.

  mysql-test/t/type_time.test
    1.7 05/12/15 18:48:01 aivanov@mysql.com +14 -0
    Added testcases for bug #12440

  mysql-test/r/type_time.result
    1.12.1.1 05/12/15 18:48:01 aivanov@mysql.com +24 -0
    Fixed testcases results (bug #12440)

ChangeSet
  1.1616.2437.2 05/12/15 02:11:21 rparranovo@mysql.com +1 -0
  Makefile.am:
    - libtool wants spaces on parameters for its command line options

  zlib/Makefile.am
    1.3.1.2 05/12/15 02:11:07 rparranovo@mysql.com +1 -1
    - libtool wants spaces on parameters for its command line options

ChangeSet
  1.1981 05/12/15 02:08:52 rparranovo@mysql.com +1 -0
  Makefile.am:
    - libtool wants spaces on parameters for its command line options

  zlib/Makefile.am
    1.5 05/12/15 02:07:31 rparranovo@mysql.com +1 -1
    - libtool wants spaces on parameters for its command line options

ChangeSet
  1.1616.2437.1 05/12/15 00:54:15 rparranovo@mysql.com +1 -0
  Makefile.am:
    - Modified zlib/Makefile.am to generate libz.so.1.2.3 instead of libz.so.0.0.0

  zlib/Makefile.am
    1.3.1.1 05/12/15 00:52:42 rparranovo@mysql.com +2 -0
    - Modified zlib/Makefile.am to generate libz.so.1.2.3 instead of libz.so.0.0.0

ChangeSet
  1.1968.12.1 05/12/15 00:34:38 rparranovo@mysql.com +1 -0
  Makefile.am:
    - modified zlib/Makefile.am so we now generate libz.so.1.2.3 instead of libz.so.0.0.0

  zlib/Makefile.am
    1.4 05/12/15 00:33:39 rparranovo@mysql.com +2 -0
    - modified zlib/Makefile.am so we now generate libz.so.1.2.3 instead of libz.so.0.0.0

ChangeSet
  1.1960.84.17 05/12/14 21:42:08 ramil@mysql.com +5 -0
  Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
  and bug #15668: Test 'sp-error' crashes server on Mac OS X.

  sql/sql_class.cc
    1.215.6.1 05/12/14 21:42:01 ramil@mysql.com +3 -1
    Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
    and bug #15668: Test 'sp-error' crashes server on Mac OS X.
    - don't call the close_active_vio() in case of KILL_QUERY.

  mysql-test/t/rpl_error_ignored_table.test
    1.21 05/12/14 21:42:01 ramil@mysql.com +1 -1
    Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
    and bug #15668: Test 'sp-error' crashes server on Mac OS X.
    - accept 2013 error as well.

  mysql-test/t/rpl000001.test
    1.42 05/12/14 21:42:01 ramil@mysql.com +1 -1
    Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
    and bug #15668: Test 'sp-error' crashes server on Mac OS X.
    - accept 2013 error as well.

  mysql-test/t/flush_read_lock_kill.test
    1.4 05/12/14 21:42:01 ramil@mysql.com +1 -1
    Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
    and bug #15668: Test 'sp-error' crashes server on Mac OS X.
    - accept 2013 error as well.

  mysql-test/r/rpl000001.result
    1.30 05/12/14 21:42:00 ramil@mysql.com +1 -1
    Fix for bug #15623: Test case rpl000001 and rpl_error_ignored_table failure on MacOSX 
    and bug #15668: Test 'sp-error' crashes server on Mac OS X.
    - accept 2013 error as well.

ChangeSet
  1.1960.84.16 05/12/14 16:29:56 mskold@mysql.com +2 -0
  Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more predictable

  mysql-test/t/ndb_multi.test
    1.5.1.1 05/12/14 16:29:41 mskold@mysql.com +1 -0
    Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more predictable

  mysql-test/r/ndb_multi.result
    1.3.1.1 05/12/14 16:29:41 mskold@mysql.com +1 -0
    Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more predictable

ChangeSet
  1.1960.84.15 05/12/14 15:09:12 jonas@perch.ndb.mysql.com +3 -0
  bug#15682 - ndb
    incorrect handling of varchar in position/rnd_pos
  
    Commit for 5.0.17 release clone

  sql/ha_ndbcluster.cc
    1.222.1.1 05/12/14 15:09:09 jonas@perch.ndb.mysql.com +19 -2
    bug#15682

  mysql-test/t/ndb_basic.test
    1.32.1.1 05/12/14 15:09:09 jonas@perch.ndb.mysql.com +11 -0
    bug#15682

  mysql-test/r/ndb_basic.result
    1.31.1.1 05/12/14 15:09:09 jonas@perch.ndb.mysql.com +16 -0
    bug#15682

ChangeSet
  1.1616.2436.1 05/12/14 14:45:13 mskold@mysql.com +2 -0
  Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more predictable

  mysql-test/t/ndb_multi.test
    1.6 05/12/14 14:44:43 mskold@mysql.com +1 -0
    Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more preditable

  mysql-test/r/ndb_multi.result
    1.4 05/12/14 14:44:43 mskold@mysql.com +1 -0
    Fix to make ndb_multi.test (Bug #15401  NDB lock problems) more preditable

ChangeSet
  1.1974.3.2 05/12/14 13:51:11 knielsen@mysql.com +1 -0
  Remove unused class member as suggested by Guilhem.

  sql/sql_class.h
    1.279 05/12/14 13:50:23 knielsen@mysql.com +0 -1
    Remove unused class member.

ChangeSet
  1.1974.2.2 05/12/14 13:18:24 kent@mysql.com +3 -0
  Merge mysql.com:/Users/kent/mysql/bk/mysql-5.0-release
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  sql/sp_head.cc
    1.203 05/12/14 13:18:19 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/skip_name_resolve.test
    1.6 05/12/14 13:18:19 kent@mysql.com +0 -1
    Auto merged

  mysql-test/r/skip_name_resolve.result
    1.4 05/12/14 13:18:19 kent@mysql.com +0 -2
    Auto merged

ChangeSet
  1.1974.2.1 05/12/14 13:09:41 kent@mysql.com +1 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

ChangeSet
  1.1968.11.1 05/12/14 13:09:37 knielsen@mysql.com +1 -0
  BUG#15734: Fix undefined awk behaviour breaking compilation on Debian.

  sql/mysqld.cc
    1.523 05/12/14 13:09:36 kent@mysql.com +0 -0
    Auto merged

  bdb/dist/gen_rec.awk
    1.4 05/12/14 13:07:42 knielsen@mysql.com +1 -1
    Fix undefined behaviour.

ChangeSet
  1.1968.6.17 05/12/14 11:34:08 jonas@perch.ndb.mysql.com +5 -0
  Merge perch.ndb.mysql.com:/home/jonas/src/mysql-5.0
  into  perch.ndb.mysql.com:/home/jonas/src/mysql-5.0-push

  ndb/src/kernel/vm/SimulatedBlock.cpp
    1.23 05/12/14 11:34:05 jonas@perch.ndb.mysql.com +6 -10
    merge

  sql/ha_ndbcluster.cc
    1.223 05/12/14 11:30:21 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp
    1.89 05/12/14 11:30:21 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  mysql-test/t/ndb_basic.test
    1.33 05/12/14 11:30:21 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  mysql-test/r/ndb_basic.result
    1.32 05/12/14 11:30:21 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1932.311.7 05/12/14 10:57:09 jonas@perch.ndb.mysql.com +7 -0
  bug#15682 - ndb - invalid handling of varchar in position/rnd_pos

  sql/ha_ndbcluster.cc
    1.215.1.1 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +20 -2
    Fix varchar keys in position/rnd_pos

  ndb/src/ndbapi/ndberror.c
    1.43 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +1 -1
    New error code

  ndb/src/kernel/vm/SimulatedBlock.cpp
    1.21.1.1 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +8 -2
    Handle invalid key gracefully

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp
    1.86.1.2 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +16 -1
    Handle invalid key gracefully

  ndb/src/kernel/blocks/dbtc/Dbtc.hpp
    1.32 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +2 -0
    New error code for invalid key

  mysql-test/t/ndb_basic.test
    1.30.1.1 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +11 -0
    bug#15682 - invalid handling of varchar in position/rnd_pos

  mysql-test/r/ndb_basic.result
    1.28.1.1 05/12/14 10:57:06 jonas@perch.ndb.mysql.com +16 -0
    bug#15682 - invalid handling of varchar in position/rnd_pos

ChangeSet
  1.1968.2.2 05/12/14 10:40:49 ingo@mysql.com +1 -0
  Merge mysql.com:/home/mydev/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  configure.in
    1.371 05/12/14 10:40:42 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1968.6.16 05/12/14 03:08:59 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Patch for Bug#13640

  extra/Makefile.am
    1.32 05/12/14 03:08:52 jani@a193-229-222-105.elisa-laajakaista.fi +2 -2
    Patch for Bug#13640

ChangeSet
  1.1968.6.15 05/12/14 02:56:34 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Disabled test. Fails in ps-protocol mode.

  mysql-test/t/disabled.def
    1.16 05/12/14 02:56:27 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Disabled test. Fails in ps-protocol mode.

ChangeSet
  1.1968.6.14 05/12/14 02:08:48 jani@a193-229-222-105.elisa-laajakaista.fi +2 -0
  Disabled archive db for Netware.

  sql/mysqld.cc
    1.521.1.1 05/12/14 02:08:41 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Disabled archive db for Netware.

  sql/handler.cc
    1.206 05/12/14 02:08:41 jani@a193-229-222-105.elisa-laajakaista.fi +3 -3
    Disabled archive db for Netware.

ChangeSet
  1.1968.6.13 05/12/14 02:01:54 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Datadir variable should not be reset, if it was
  set in this script.

  support-files/mysql.server.sh
    1.48 05/12/14 02:01:47 jani@a193-229-222-105.elisa-laajakaista.fi +8 -2
    Datadir variable should not be reset, if it was
    set in this script.

ChangeSet
  1.1968.6.12 05/12/14 01:21:56 jani@a193-229-222-105.elisa-laajakaista.fi +2 -0
  Netware specific changes.

  sql/sql_string.h
    1.60 05/12/14 01:21:49 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Added casts. Won't work with Metrowerks compiler without.

  sql/ha_archive.cc
    1.62 05/12/14 01:21:48 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Disabled archive db for Netware until
    zlibCompileFlags() is available for this platform.

ChangeSet
  1.1968.6.11 05/12/14 00:23:46 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Fixed test case.

  mysql-test/r/ndb_read_multi_range.result
    1.4 05/12/14 00:23:40 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed test case.

ChangeSet
  1.1968.9.1 05/12/13 21:35:24 aivanov@mysql.com +10 -0
  Fix BUG#12071: "Windows hang:'Opening tables' or 'Waiting for
   table' lockup".
   Changes from the innodb-5.0-ss92 snapshot.
   Do not call os_file_create_tmpfile() at runtime. Instead, create
   all tempfiles at startup and guard access to them with mutexes.

  sql/ha_innodb.cc
    1.281 05/12/13 21:35:15 aivanov@mysql.com +53 -56
    Changes from the innodb-5.0ss92 snapshot.

  mysql-test/t/innodb.test
    1.120 05/12/13 21:35:15 aivanov@mysql.com +34 -0
    Changes from the innodb-5.0ss92 snapshot.

  mysql-test/r/innodb.result
    1.150 05/12/13 21:35:14 aivanov@mysql.com +29 -0
    Changes from the innodb-5.0ss92 snapshot.

  innobase/srv/srv0start.c
    1.87 05/12/13 21:35:14 aivanov@mysql.com +26 -1
    Changes from the innodb-5.0ss92 snapshot.

  innobase/srv/srv0srv.c
    1.95 05/12/13 21:35:14 aivanov@mysql.com +12 -0
    Changes from the innodb-5.0ss92 snapshot.

  innobase/row/row0ins.c
    1.75 05/12/13 21:35:14 aivanov@mysql.com +13 -12
    Changes from the innodb-5.0ss92 snapshot.

  innobase/include/srv0srv.h
    1.58 05/12/13 21:35:14 aivanov@mysql.com +12 -0
    Changes from the innodb-5.0ss92 snapshot.

  innobase/include/os0file.h
    1.41 05/12/13 21:35:14 aivanov@mysql.com +1 -1
    Changes from the innodb-5.0ss92 snapshot.

  innobase/include/buf0buf.h
    1.33 05/12/13 21:35:14 aivanov@mysql.com +8 -6
    Changes from the innodb-5.0ss92 snapshot.

  innobase/btr/btr0sea.c
    1.36 05/12/13 21:35:14 aivanov@mysql.com +2 -1
    Changes from the innodb-5.0ss92 snapshot.

ChangeSet
  1.1968.6.8 05/12/13 18:44:20 jani@a193-229-222-105.elisa-laajakaista.fi +16 -0
  Merge a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.1
  into  a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-5.0

  netware/mysqladmin.def
    1.8 05/12/13 18:44:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Merged from 4.1

  netware/my_print_defaults.def
    1.7 05/12/13 18:44:15 jani@a193-229-222-105.elisa-laajakaista.fi +1 -2
    Merged from 4.1

  netware/BUILD/compile-linux-tools
    1.10 05/12/13 18:44:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Merged from 4.1

  sql/tztime.cc
    1.29 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  scripts/make_binary_distribution.sh
    1.103 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/perror.def
    1.6 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlimport.def
    1.8 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqldump.def
    1.8 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqld_safe.def
    1.5 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlcheck.def
    1.8 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlbinlog.def
    1.8 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysql_install_db.def
    1.6 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysql.def
    1.8 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  netware/myisampack.def
    1.7 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/myisamlog.def
    1.7 05/12/13 18:40:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/libmysql.def
    1.6 05/12/13 18:40:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

ChangeSet
  1.1968.6.7 05/12/13 17:33:19 jonas@perch.ndb.mysql.com +1 -0
  Bug#15675 - ndb - fix read_multi_range.test drop all tables it using
    NOTE: only changes to test script

  mysql-test/t/ndb_read_multi_range.test
    1.5 05/12/13 17:33:16 jonas@perch.ndb.mysql.com +1 -1
    Bug#15675 - ndb - fix read_multi_range.test drop all tables it using

ChangeSet
  1.1616.2392.42 05/12/13 18:30:10 jani@a193-229-222-105.elisa-laajakaista.fi +3 -0
  Minor Netware specific changes.

  sql/tztime.cc
    1.8.1.13 05/12/13 18:30:06 jani@a193-229-222-105.elisa-laajakaista.fi +5 -0
    Code not ported to Netware yet.

  scripts/make_binary_distribution.sh
    1.55.1.35 05/12/13 18:30:06 jani@a193-229-222-105.elisa-laajakaista.fi +4 -0
    Netware specific changes. Discard platform
    specific files and added a couple of missing files.

  netware/BUILD/compile-linux-tools
    1.3.1.5 05/12/13 18:30:06 jani@a193-229-222-105.elisa-laajakaista.fi +3 -2
    Fixed compilation problem with Linux tools.

ChangeSet
  1.1616.2392.41 05/12/13 18:22:00 jani@a193-229-222-105.elisa-laajakaista.fi +13 -0
  Merge a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.0
  into  a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.1

  netware/perror.def
    1.4.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlimport.def
    1.5.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqldump.def
    1.5.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqld_safe.def
    1.3.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlcheck.def
    1.5.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqlbinlog.def
    1.5.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysqladmin.def
    1.4.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysql_install_db.def
    1.4.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/mysql.def
    1.4.1.2 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/myisampack.def
    1.5.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/myisamlog.def
    1.5.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/my_print_defaults.def
    1.4.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  netware/libmysql.def
    1.4.1.1 05/12/13 18:21:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

ChangeSet
  1.1346.1.819 05/12/13 17:53:26 jani@a193-229-222-105.elisa-laajakaista.fi +13 -0
  Increased stack size for clients on Netware.
  New libc suggests doing this.

  netware/perror.def
    1.3.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqlimport.def
    1.4.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqldump.def
    1.4.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqld_safe.def
    1.2.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqlcheck.def
    1.4.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqlbinlog.def
    1.4.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysqladmin.def
    1.3.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysql_install_db.def
    1.3.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/mysql.def
    1.3.2.2 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/myisampack.def
    1.4.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/myisamlog.def
    1.4.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/my_print_defaults.def
    1.3.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

  netware/libmysql.def
    1.3.2.1 05/12/13 17:53:23 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
    Increased stack size for clients on Netware.
    New libc suggests doing this.

ChangeSet
  1.1968.6.5 05/12/13 14:41:28 jonas@perch.ndb.mysql.com +1 -0
  ndb - merge error
  
  note bug#15629 has been fixed in release clone (sp on 64 bit platform), but not merged here yet

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.37.1.2 05/12/13 14:41:25 jonas@perch.ndb.mysql.com +6 -0
    merge error

ChangeSet
  1.1968.8.2 05/12/13 16:29:31 aivanov@mysql.com +1 -0
  Null-merge from 4.1

  innobase/dict/dict0load.c
    1.40 05/12/13 16:29:23 aivanov@mysql.com +0 -5
    Null-merge from 4.1

ChangeSet
  1.1968.8.1 05/12/13 16:12:56 aivanov@mysql.com +15 -0
  Merge mysql.com:/home/alexi/mysql-4.1
  into  mysql.com:/home/alexi/innodb-ss/mysql-5.0-ss11
  Null merge

  sql/ha_innodb.cc
    1.280 05/12/13 16:12:46 aivanov@mysql.com +56 -53
    Null-merge from 4.1

  mysql-test/t/innodb.test
    1.119 05/12/13 16:12:46 aivanov@mysql.com +0 -49
    Null-merge from 4.1

  mysql-test/r/innodb.result
    1.149 05/12/13 16:12:46 aivanov@mysql.com +0 -32
    Null-merge from 4.1

  innobase/srv/srv0start.c
    1.86 05/12/13 16:12:46 aivanov@mysql.com +1 -13
    Null-merge from 4.1

  innobase/srv/srv0srv.c
    1.94 05/12/13 16:12:46 aivanov@mysql.com +0 -6
    Null-merge from 4.1

  innobase/row/row0mysql.c
    1.116 05/12/13 16:12:46 aivanov@mysql.com +0 -26
    Null-merge from 4.1

  innobase/row/row0ins.c
    1.74 05/12/13 16:12:46 aivanov@mysql.com +0 -34
    Null-merge from 4.1

  innobase/rem/rem0cmp.c
    1.30 05/12/13 16:12:46 aivanov@mysql.com +0 -6
    Null-merge from 4.1

  innobase/include/srv0srv.h
    1.57 05/12/13 16:12:46 aivanov@mysql.com +0 -6
    Null-merge from 4.1

  innobase/include/rem0cmp.h
    1.8 05/12/13 16:12:46 aivanov@mysql.com +0 -2
    Null-merge from 4.1

  innobase/include/os0file.h
    1.40 05/12/13 16:12:46 aivanov@mysql.com +1 -1
    Null-merge from 4.1

  innobase/include/dict0dict.h
    1.37 05/12/13 16:12:46 aivanov@mysql.com +0 -2
    Null-merge from 4.1

  innobase/dict/dict0dict.c
    1.70 05/12/13 16:12:46 aivanov@mysql.com +0 -13
    Null-merge from 4.1

  innobase/include/dict0load.h
    1.8 05/12/13 16:11:27 aivanov@mysql.com +0 -2
    Auto merged

  BitKeeper/deleted/.del-ha_blackhole.cc~727c69ef7846623a
    1.3 05/12/13 16:11:20 aivanov@mysql.com +0 -0
    Auto merged

  BitKeeper/deleted/.del-ha_blackhole.cc~727c69ef7846623a
    1.1.1.2 05/12/13 16:11:20 aivanov@mysql.com +0 -0
    Merge rename: libmysqld/ha_blackhole.cc -> BitKeeper/deleted/.del-ha_blackhole.cc~727c69ef7846623a

ChangeSet
  1.1968.6.4 05/12/13 12:12:41 jonas@perch.ndb.mysql.com +1 -0
  Update ndb version in configure.in

  configure.in
    1.368.1.2 05/12/13 12:12:38 jonas@perch.ndb.mysql.com +1 -1
    Update ndb version in configure.in

ChangeSet
  1.1968.6.3 05/12/13 11:58:46 jonas@perch.ndb.mysql.com +1 -0
  Merge perch.ndb.mysql.com:/home/jonas/src/mysql-5.0
  into  perch.ndb.mysql.com:/home/jonas/src/mysql-5.0-push

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp
    1.88 05/12/13 11:58:43 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1932.311.6 05/12/13 11:54:42 jonas@perch.ndb.mysql.com +7 -0
  Merge perch.ndb.mysql.com:/home/jonas/src/mysql-4.1
  into  perch.ndb.mysql.com:/home/jonas/src/mysql-5.0

  ndb/test/run-test/daily-basic-tests.txt
    1.34 05/12/13 11:54:40 jonas@perch.ndb.mysql.com +11 -2
    merge

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.75.1.1 05/12/13 11:54:40 jonas@perch.ndb.mysql.com +7 -6
    merge

  ndb/src/kernel/blocks/ERROR_codes.txt
    1.14 05/12/13 11:54:39 jonas@perch.ndb.mysql.com +2 -2
    merge

  ndb/test/ndbapi/testNodeRestart.cpp
    1.17 05/12/13 11:51:01 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp
    1.86.1.1 05/12/13 11:51:01 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dblqh/Dblqh.hpp
    1.37 05/12/13 11:51:01 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.37.1.1 05/12/13 11:51:01 jonas@perch.ndb.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2144.104 05/12/13 11:48:26 jonas@perch.ndb.mysql.com +3 -0
  Merge perch.ndb.mysql.com:/home/jonas/src/mysql-4.1
  into  perch.ndb.mysql.com:/home/jonas/src/mysql-4.1-push

  ndb/src/ndbapi/ndb_cluster_connection.cpp
    1.13.1.7 05/12/13 11:48:24 jonas@perch.ndb.mysql.com +0 -13
    Auto merged

  ndb/src/ndbapi/NdbRecAttr.cpp
    1.9.1.7 05/12/13 11:48:24 jonas@perch.ndb.mysql.com +0 -4
    Auto merged

  ndb/src/ndbapi/NdbImpl.hpp
    1.6.1.3 05/12/13 11:48:23 jonas@perch.ndb.mysql.com +0 -6
    Auto merged

ChangeSet
  1.1960.84.13 05/12/13 11:42:10 knielsen@mysql.com +1 -0
  BUG#15624: Use --real_sleep in rpl_deadlock.test to avoid breaking when run with --sleep.

  mysql-test/t/rpl_deadlock.test
    1.11 05/12/13 11:41:11 knielsen@mysql.com +3 -3
    BUG#15624: Use --real_sleep to avoid breaking when run with --sleep.

ChangeSet
  1.1960.100.1 05/12/13 12:20:05 ramil@mysql.com +1 -0
  Fix for bug#15209: MySQL installation problem on Windows ME.

  include/config-win.h
    1.71 05/12/13 12:19:58 ramil@mysql.com +5 -0
    Fix for bug#15209: MySQL installation problem on Windows ME.
    - set FILE_SHARE_DELETE to 0 as it's not implemented on Win98/ME (my_sopen() fails)

ChangeSet
  1.1960.99.1 05/12/13 00:45:32 kent@mysql.com +1 -0
  my_pthread.h:
    Bug#15629: Increased thread stack for all 64 bit platforms,
    else test case 'sp' and 'call fib(20)' gives stack overrun

ChangeSet
  1.1968.7.1 05/12/12 17:29:02 rparranovo@mysql.com +1 -0
  mysql.spec.sh:
    * made the following changes for the generic 5.0 RPM spec file
    - Added zlib to the list of (static) libraries installed
    - Added check against libtool wierdness (WRT: sql/mysqld || sql/.libs/mysqld)
    - Compile MySQL with bundled zlib
    - Fixed %packager name to "MySQL Production Engineering Team"

  support-files/mysql.spec.sh
    1.130 05/12/12 17:25:33 novo@yakko.(none) +24 -4
    * made the following changes for the generic 5.0 RPM spec file
    - Added zlib to the list of (static) libraries installed
    - Added check against libtool wierdness (WRT: sql/mysqld || sql/.libs/mysqld)
    - Compile MySQL with bundled zlib
    - Fixed %packager name to "MySQL Production Engineering Team"

ChangeSet
  1.1960.98.1 05/12/12 12:15:25 paul@snake-hub.snake.net +1 -0
  mysqltest.c:
    Put options in proper order.

  client/mysqltest.c
    1.179 05/12/12 12:15:01 paul@snake-hub.snake.net +14 -9
    Put options in proper order.

ChangeSet
  1.1968.4.1 05/12/12 10:11:56 jimw@mysql.com +5 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-clean
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  sql/sql_update.cc
    1.181 05/12/12 10:11:53 jimw@mysql.com +1 -2
    Resolve conflicts

  sql/sql_insert.cc
    1.180 05/12/12 10:11:53 jimw@mysql.com +1 -2
    Resolve conflicts

  sql/sql_delete.cc
    1.170 05/12/12 10:11:52 jimw@mysql.com +1 -2
    Resolve conflicts

  mysql-test/t/bdb.test
    1.50 05/12/12 10:11:52 jimw@mysql.com +0 -0
    Resolve conflicts

  mysql-test/r/bdb.result
    1.48 05/12/12 10:11:52 jimw@mysql.com +0 -0
    Resolve conflicts

ChangeSet
  1.1616.2435.1 05/12/12 21:06:59 aivanov@mysql.com +16 -0
  Fix BUG#12071: "Windows hang: 'Opening tables' or 'Waiting for
   table' lockup".
   Changes from the innodb-4.1-ss11 snapshot.
   Do not call os_file-create_tmpfile() at runtime. Instead, create
   a tempfile at startup and guard access to it with a mutex.
   Also, fix bugs:
   10511: "Wrong padding of UCS2 CHAR columns in ON UPDATE CASCADE";
   13778: "If FOREIGN_KEY_CHECKS=0, one can create inconsistent FOREIGN
   KEYs". When FOREIGN_KEY_CHECKS=0 we still need to check that
   datatypes between foreign key references are compatible.
   Also, added test cases (also for bug 9802).

  sql/ha_innodb.cc
    1.90.16.41 05/12/12 21:06:52 aivanov@mysql.com +53 -56
    Changes from the innodb-4.1-ss11 snapshot

  mysql-test/t/innodb.test
    1.62.1.15 05/12/12 21:06:52 aivanov@mysql.com +49 -0
    Changes from the innodb-4.1-ss11 snapshot

  mysql-test/r/innodb.result
    1.75.4.13 05/12/12 21:06:52 aivanov@mysql.com +32 -0
    Changes from the innodb-4.1-ss11 snapshot

  libmysqld/ha_blackhole.cc
    1.1.1.1 05/12/12 21:06:52 aivanov@mysql.com +0 -0
    Changes from the innodb-4.1-ss11 snapshot

  innobase/srv/srv0start.c
    1.72.1.8 05/12/12 21:06:52 aivanov@mysql.com +13 -1
    Changes from the innodb-4.1-ss11 snapshot

  innobase/srv/srv0srv.c
    1.72.1.7 05/12/12 21:06:52 aivanov@mysql.com +6 -0
    Changes from the innodb-4.1-ss11 snapshot

  innobase/row/row0mysql.c
    1.79.1.14 05/12/12 21:06:52 aivanov@mysql.com +26 -38
    Changes from the innodb-4.1-ss11 snapshot

  innobase/row/row0ins.c
    1.49.1.7 05/12/12 21:06:52 aivanov@mysql.com +34 -34
    Changes from the innodb-4.1-ss11 snapshot

  innobase/rem/rem0cmp.c
    1.21.1.3 05/12/12 21:06:52 aivanov@mysql.com +6 -5
    Changes from the innodb-4.1-ss11 snapshot

  innobase/include/srv0srv.h
    1.40.1.5 05/12/12 21:06:52 aivanov@mysql.com +6 -0
    Changes from the innodb-4.1-ss11 snapshot

  innobase/include/rem0cmp.h
    1.4.1.1 05/12/12 21:06:52 aivanov@mysql.com +2 -1
    Changes from the innodb-4.1-ss11 snapshot

  innobase/include/os0file.h
    1.32.1.4 05/12/12 21:06:52 aivanov@mysql.com +1 -1
    Changes from the innodb-4.1-ss11 snapshot

  innobase/include/dict0load.h
    1.6.1.1 05/12/12 21:06:51 aivanov@mysql.com +2 -1
    Changes from the innodb-4.1-ss11 snapshot

  innobase/include/dict0dict.h
    1.27.1.6 05/12/12 21:06:51 aivanov@mysql.com +2 -1
    Changes from the innodb-4.1-ss11 snapshot

  innobase/dict/dict0load.c
    1.24.1.9 05/12/12 21:06:51 aivanov@mysql.com +5 -4
    Changes from the innodb-4.1-ss11 snapshot

  innobase/dict/dict0dict.c
    1.52.1.13 05/12/12 21:06:51 aivanov@mysql.com +13 -21
    Changes from the innodb-4.1-ss11 snapshot

  include/my_pthread.h
    1.90 05/12/12 18:52:29 kent@mysql.com +2 -2
    Bug#15629: Increased thread stack for all 64 bit platforms,
    else test case 'sp' and 'call fib(20)' gives stack overrun

ChangeSet
  1.1960.95.1 05/12/12 18:00:37 joerg@mysql.com +2 -0
  rpl_until.test + rpl_until.result   Fix (completion) for bug#12429
  
  Manual merge from 4.1,
  extension of the old fix (1.1976 05/12/05 17:57:48 mleich@mysql.com) to two other places.

  mysql-test/r/rpl_until.result
    1.23 05/12/12 18:00:32 joerg@mysql.com +2 -5
    Manual merge from 4.1,
    extension of the old fix (1.1976 05/12/05 17:57:48 mleich@mysql.com) to two other places.

  mysql-test/t/rpl_until.test
    1.21 05/12/12 17:53:17 joerg@mysql.com +0 -1
    Auto merged

ChangeSet
  1.1616.2433.1 05/12/12 17:51:56 joerg@mysql.com +2 -0
  rpl_until.test + rpl_until.result
  
  Fix for bug#12429: Replication tests fail: "Slave_IO_Running" differs:
  The value is not important, and it depends on timing. Mask it.
  
  Backport and extension of a fix made by Matthias in 5.0, originally it was
  1.1976 05/12/05 17:57:48 mleich@mysql.com

  mysql-test/t/rpl_until.test
    1.8.1.9 05/12/12 17:51:52 joerg@mysql.com +3 -3
    Fix for bug#12429: Replication tests fail: "Slave_IO_Running" differs:
    The value is not important, and it depends on timing. Mask it.
    
    Backport and extension of a fix made by Matthias in 5.0, originally it was
    1.1976 05/12/05 17:57:48 mleich@mysql.com

  mysql-test/r/rpl_until.result
    1.10.1.7 05/12/12 17:51:52 joerg@mysql.com +3 -3
    Fix for bug#12429: Replication tests fail: "Slave_IO_Running" differs:
    The value is not important, and it depends on timing. Mask it.
    
    Backport and extension of a fix made by Matthias in 5.0, originally it was
    1.1976 05/12/05 17:57:48 mleich@mysql.com

ChangeSet
  1.1616.2303.13 05/12/12 17:19:04 jonas@perch.ndb.mysql.com +5 -0
  ndb - bug#15685
    Error in abort handling in TC when timeout during abort
    

  ndb/test/run-test/daily-basic-tests.txt
    1.13.2.4 05/12/12 17:19:02 jonas@perch.ndb.mysql.com +8 -0
    Test case

  ndb/test/ndbapi/testNodeRestart.cpp
    1.8.1.5 05/12/12 17:19:02 jonas@perch.ndb.mysql.com +44 -0
    Test case

  ndb/src/kernel/blocks/dbtc/DbtcMain.cpp
    1.42.1.19 05/12/12 17:19:02 jonas@perch.ndb.mysql.com +1 -2
    Dont release transaction record to early

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.39.7.2 05/12/12 17:19:02 jonas@perch.ndb.mysql.com +10 -1
    New error codes

  ndb/src/kernel/blocks/ERROR_codes.txt
    1.8.1.4 05/12/12 17:19:02 jonas@perch.ndb.mysql.com +4 -0
    New error codes

ChangeSet
  1.1960.84.10 05/12/12 16:58:20 kent@mysql.com +3 -0
  skip_name_resolve.result, skip_name_resolve.test:
    Ignore columns with unpredictable values.
  rpl_relayrotate.result:
    Changed result file to match change in test

  mysql-test/r/skip_name_resolve.result
    1.2.1.1 05/12/12 16:56:06 kent@mysql.com +2 -2
    Ignore columns with unpredictable values.

  mysql-test/t/skip_name_resolve.test
    1.4.1.1 05/12/12 16:56:05 kent@mysql.com +1 -1
    Ignore columns with unpredictable values.

ChangeSet
  1.1968.2.1 05/12/12 13:24:08 ingo@mysql.com +1 -0
  Merge istruewing@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  sql/mysql_priv.h
    1.371 05/12/12 13:24:01 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.84.9 05/12/12 15:57:35 ramil@mysql.com +1 -0
  Fix for bug #15630: Test case failure in sp-dynamic, sp-error, and sp.

  sql/sp_head.cc
    1.200.1.1 05/12/12 15:57:21 ramil@mysql.com +1 -1
    Fix for bug #15630: Test case failure in sp-dynamic, sp-error, and sp.
    - should pass a *char to the my_error() instead of the structure.

ChangeSet
  1.1968 05/12/11 22:21:19 igor@rurik.mysql.com +2 -0
  item_sum.h, item.cc:
    Post review corrections in comments.

  sql/item_sum.h
    1.97 05/12/11 22:20:48 igor@rurik.mysql.com +23 -22
    Post review corrections in comments.

  sql/item.cc
    1.200 05/12/11 22:19:41 igor@rurik.mysql.com +1 -1
    Post review corrections in comments.

  mysql-test/r/rpl_relayrotate.result
    1.19 05/12/11 17:03:11 kent@mysql.com +0 -3
    Changed result file to match change in test

ChangeSet
  1.1960.90.3 05/12/11 17:06:36 aivanov@mysql.com +3 -0
  Fixed BUG #14614: Replication of tables with trigger generates
   error message if database is changed.

  sql/sql_db.cc
    1.121 05/12/11 17:06:27 aivanov@mysql.com +4 -2
    Fixed bug #14614.
     Modified mysql_change_db(): The memory where db name resides
     is freed by a slave thread.

  mysql-test/t/rpl_trigger.test
    1.4 05/12/11 17:06:27 aivanov@mysql.com +29 -0
    Added test cases for bug #14614

  mysql-test/r/rpl_trigger.result
    1.3 05/12/11 17:06:27 aivanov@mysql.com +12 -0
    Fixed results for the added test cases

ChangeSet
  1.1960.94.1 05/12/11 15:26:15 dlenev@mysql.com +3 -0
  Fix for bug #14863 "Triggers: crash if create and there is no current database".
  
  Now when we create or drop trigger we check that both trigger name and trigger
  table always have database part specified. Thus we give an error if it they
  are not specified explicitly or implicitly via current database.

  sql/sql_trigger.cc
    1.37 05/12/11 15:26:10 dlenev@mysql.com +17 -10
    mysql_create_or_drop_trigger():
      Now we check that both trigger name and trigger table have database
      part specified (explicitly or implicitly via current database. Note
      that in latter case sp_name::m_db is already set by parser).
    Table_triggers_list::create_trigger()/::add_table_for_trigger():
      Simplified method/function's code since now they can assume that
      sp_name::m_db is always filled now.
    trigname_file_parameters:
      Removed comment which is no longer true.

  mysql-test/t/trigger.test
    1.31 05/12/11 15:26:10 dlenev@mysql.com +15 -0
    Added test for bug #14863 "Triggers: crash if create and there is no current
    database".

  mysql-test/r/trigger.result
    1.25 05/12/11 15:26:10 dlenev@mysql.com +6 -0
    Added test for bug #14863 "Triggers: crash if create and there is no current
    database".

ChangeSet
  1.1960.84.7 05/12/11 09:23:38 kent@mysql.com +1 -0
  Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0-release

  scripts/make_win_src_distribution.sh
    1.43 05/12/11 09:23:30 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2432.2 05/12/11 09:21:13 kent@mysql.com +1 -0
  make_win_src_distribution.sh:
    Removed Visual Studio 6 project files, as they are not maintained

  scripts/make_win_src_distribution.sh
    1.27.2.8 05/12/11 09:20:21 kent@mysql.com +2 -2
    Removed Visual Studio 6 project files, as they are not maintained

ChangeSet
  1.1967 05/12/10 23:31:03 igor@rurik.mysql.com +12 -0
  Merge rurik.mysql.com:/home/igor/mysql-5.0
  into  rurik.mysql.com:/home/igor/dev/mysql-5.0-2

  sql/sql_yacc.yy
    1.445 05/12/10 23:30:53 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_select.cc
    1.376 05/12/10 23:30:53 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.518 05/12/10 23:30:53 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_lex.h
    1.210 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_lex.cc
    1.176 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.278 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.223 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_base.cc
    1.319 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.370 05/12/10 23:30:52 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_func.cc
    1.270 05/12/10 23:30:51 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.h
    1.183 05/12/10 23:30:51 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.199 05/12/10 23:30:51 igor@rurik.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.93.1 05/12/09 23:01:52 evgen@moonbone.local +3 -0
  Fix bug #15268 Unchecked null value caused server crash
  
  cmp_item_sort_string::cmp() wasn't checking values_res variable for null.
  Later called function was dereferenced it and crashed server.
  
  Added null check to cmp_item_sort_string::cmp().
  

  mysql-test/r/select.result
    1.115 05/12/09 23:01:41 evgen@moonbone.local +8 -0
    Test case for bug#15268 Unchecked null value caused server crash

  mysql-test/t/select.test
    1.94 05/12/09 23:01:28 evgen@moonbone.local +10 -0
    Test case for bug#15268 Unchecked null value caused server crash

  sql/item_cmpfunc.h
    1.117 05/12/09 23:01:15 evgen@moonbone.local +3 -3
    Fix bug#15268  Unchecked null value caused server crash
    Added null check to cmp_item_sort_string::cmp().

ChangeSet
  1.1960.92.2 05/12/09 20:18:25 ramil@mysql.com +1 -0
  Fix for bug #15605: 5.0.17 test case 'mysqltest' failure.

  mysql-test/t/mysqltest.test
    1.22 05/12/09 20:18:18 ramil@mysql.com +2 -2
    Fix for bug #15605: 5.0.17 test case 'mysqltest' failure.
    - use 'test -s' instead of 'cat' to get assured 1 (cat returns >0 in case of errors)

ChangeSet
  1.1960.92.1 05/12/09 19:55:59 ramil@mysql.com +1 -0
  Fix for bug #15602: 5.0.17 test case 'create' failure.
  

  sql/table.cc
    1.213 05/12/09 19:55:50 ramil@mysql.com +1 -2
    Fix for bug #15602: 5.0.17 test case 'create' failure.
    - always test create_info->max_rows/min_rows as they are of ulonglong type.

ChangeSet
  1.1960.91.1 05/12/09 15:28:20 kent@mysql.com +2 -0
  trigger-grant.test, trigger-compat.test:
    Removed --text from grep, not portable

ChangeSet
  1.1960.84.5 05/12/09 14:38:35 knielsen@mysql.com +1 -0
  Attempt to fix rpl_relayrotate.test for host openbsd, fix suggested by Guilhem

  mysql-test/t/rpl_relayrotate.test
    1.16 05/12/09 14:38:07 knielsen@mysql.com +2 -3
    Attempt to fix rpl_relayrotate.test for host openbsd, fix suggested by Guilhem

ChangeSet
  1.1616.2303.12 05/12/09 13:51:12 jonas@perch.ndb.mysql.com +4 -0
  bug#15632 - ndb
    Fix race between INCL_NODEREQ(prio b) and GCP_PREPARE(prio a) by also waiting for starting nodes

  ndb/test/ndbapi/testNodeRestart.cpp
    1.8.1.4 05/12/09 13:51:10 jonas@perch.ndb.mysql.com +60 -0
    Add testcase for bug#15632

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.14.4.2 05/12/09 13:51:10 jonas@perch.ndb.mysql.com +35 -3
    Fix race between INCL_NODEREQ(prio b) and GCP_PREPARE(prio a)
      by also waiting for starting nodes 

  ndb/src/kernel/blocks/ERROR_codes.txt
    1.8.1.3 05/12/09 13:51:10 jonas@perch.ndb.mysql.com +2 -0
    New error code for delaying INCL_NODE_REQ 

  ndb/include/ndb_version.h.in
    1.3 05/12/09 13:51:10 jonas@perch.ndb.mysql.com +3 -0
    Handle upgrade of bug fix

ChangeSet
  1.1960.90.1 05/12/09 00:58:59 konstantin@mysql.com +5 -0
  A fix and a test case for Bug#15441 "Running SP causes Server 
  to Crash": the bug was that due to non-standard name
  resolution precedence in stored procedures (See Bug#5967)
  a stored procedure variable took precedence over a table column
  when the arguments for VALUES() function were resolved.
  The implementation of VALUES() function was not designed to work
  with Item_splocal and crashed.
  VALUES() function is non-standard. It can refer to, and
  is meaningful for, table columns only. The patch disables SP 
  variables as possible arguments of VALUES() function.

  sql/sql_yacc.yy
    1.437.1.10 05/12/09 00:58:48 konstantin@mysql.com +1 -1
    Actual fix for Bug#15441 "Running SP causes Server to Crash":
    we should not allow VALUES() function to reference SP variables.

  sql/item.h
    1.175.1.12 05/12/09 00:58:47 konstantin@mysql.com +10 -0
    Add a comment for Item_insert_value.

  sql/item.cc
    1.190.1.18 05/12/09 00:58:46 konstantin@mysql.com +7 -0
    Cleanup Item_insert_value::fix_fields().

  mysql-test/t/sp.test
    1.167 05/12/09 00:58:45 konstantin@mysql.com +62 -12
    Add a test case for Bug#15441 "Running SP causes Server to Crash".

  mysql-test/r/sp.result
    1.178 05/12/09 00:58:45 konstantin@mysql.com +59 -23
    Test results fixed (Bug#15441).
    Also make sure that the recently added test cases follow sp.test
    internal tests standard.

  mysql-test/t/trigger-grant.test
    1.2 05/12/08 21:38:30 kent@mysql.com +1 -1
    Removed --text from grep, not portable

  mysql-test/t/trigger-compat.test
    1.2 05/12/08 21:38:30 kent@mysql.com +1 -1
    Removed --text from grep, not portable

ChangeSet
  1.1616.2392.38 05/12/08 12:33:33 jimw@mysql.com +5 -0
  Fix calls to free_underlaid_joins() in INSERT, DELETE, and UPDATE
  handling so that indexes are closed before trying to commit the
  transaction. (Bug #15536)

  sql/sql_update.cc
    1.83.2.66 05/12/08 12:33:30 jimw@mysql.com +1 -1
    Move call to free_underlaid_joins() to before ha_autocommit_or_rollback().

  sql/sql_insert.cc
    1.86.2.86 05/12/08 12:33:30 jimw@mysql.com +6 -3
    Move call to free_underlaid_joins() to before ha_autocommit_or_rollback().

  sql/sql_delete.cc
    1.99.2.39 05/12/08 12:33:29 jimw@mysql.com +1 -1
    Move call to free_underlaid_joins() to before ha_autocommit_or_rollback().

  mysql-test/t/bdb.test
    1.39.2.2 05/12/08 12:33:29 jimw@mysql.com +19 -1
    Add new test

  mysql-test/r/bdb.result
    1.29.4.5 05/12/08 12:33:29 jimw@mysql.com +19 -0
    Add new results

ChangeSet
  1.1960.84.3 05/12/08 16:15:27 kent@mysql.com +2 -0
  Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0-release

  sql/mysqld.cc
    1.522 05/12/08 16:15:24 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/symlink.test
    1.17 05/12/08 16:15:23 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2432.1 05/12/08 16:13:53 kent@mysql.com +2 -0
  mysqld.cc:
    Bug#14960, reverted code to make symdir work on Windows
  symlink.test:
    Disabled test case on Windows

  sql/mysqld.cc
    1.356.98.19 05/12/08 16:13:30 kent@mysql.com +2 -2
    Bug#14960, reverted code to make symdir work on Windows

ChangeSet
  1.1616.2303.11 05/12/08 15:29:39 jonas@perch.ndb.mysql.com +1 -0
  bug#15587 - ndb
    Fix typo in autotest script

  ndb/test/run-test/daily-basic-tests.txt
    1.13.2.3 05/12/08 15:29:37 jonas@perch.ndb.mysql.com +1 -1
    Fix typo in autotest script

ChangeSet
  1.1616.2303.10 05/12/08 15:28:15 jonas@perch.ndb.mysql.com +7 -0
  bug#15587 - ndb
    Fix error in NF during NR

  ndb/test/run-test/daily-basic-tests.txt
    1.13.2.2 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +4 -0
    Add testcase for bug#15587

  ndb/test/ndbapi/testNodeRestart.cpp
    1.8.1.3 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +45 -0
    Add testcase for bug#15587

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.39.7.1 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +7 -2
    Add dump for ERROR 5002 with specified table

  ndb/src/kernel/blocks/dblqh/Dblqh.hpp
    1.21.1.9 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +1 -0
    Add dump for ERROR 5002 with specified table

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.14.4.1 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +12 -2
    Run updateNodeInfo if failed node is not in list of storedReplicas

  ndb/src/kernel/blocks/ERROR_codes.txt
    1.8.1.2 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +3 -0
    Add dump for ERROR 5002 with specified table

  ndb/include/kernel/signaldata/DumpStateOrd.hpp
    1.5 05/12/08 15:28:13 jonas@perch.ndb.mysql.com +2 -0
    Add dump for ERROR 5002 with specified table

ChangeSet
  1.1960.88.1 05/12/08 15:13:25 knielsen@mysql.com +1 -0
  Fix QNX and IRIX compilation

  extra/innochecksum.c
    1.5 05/12/08 15:07:52 knielsen@mysql.com +1 -1
    Fix _XOPEN_SOURCE define to not break compile on QNX and IRIX

ChangeSet
  1.1960.1.23 05/12/08 07:56:07 ingo@mysql.com +1 -0
  Merge mysql.com:/home/mydev/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  tests/mysql_client_test.c
    1.167 05/12/08 07:55:54 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.70.13 05/12/08 00:18:37 dlenev@mysql.com +1 -0
  Merge mysql.com:/home/dlenev/src/mysql-5.0-relfix
  into  mysql.com:/home/dlenev/src/mysql-5.0-merges

  sql/sql_parse.cc
    1.506.1.22 05/12/08 00:18:30 dlenev@mysql.com +0 -6
    Auto merged

ChangeSet
  1.1960.84.2 05/12/07 22:36:13 dlenev@mysql.com +1 -0
  Fix -ansi -pedantic compilation failure. Fix coding style.

  sql/sql_parse.cc
    1.506.16.1 05/12/07 22:36:06 dlenev@mysql.com +6 -6
    Fix -ansi -pedantic compilation failure. Fix coding style.

ChangeSet
  1.1960.86.1 05/12/07 22:06:30 anozdrin@mysql.com +1 -0
  Fix commit error: sp-vars.test should belong to mysql-test/t directory.

  mysql-test/t/sp-vars.test
    1.2 05/12/07 22:04:52 anozdrin@mysql.com +0 -0
    Rename: mysql-test/sp-vars.test -> mysql-test/t/sp-vars.test

ChangeSet
  1.1960.85.1 05/12/07 19:53:45 msvensson@neptunus.(none) +3 -0
  Merge neptunus.(none):/home/msvensson/mysql/bug9535/my41-bug9535
  into  neptunus.(none):/home/msvensson/mysql/bug9535/my50-bug9535

  sql/item_strfunc.h
    1.103 05/12/07 19:53:40 msvensson@neptunus.(none) +0 -6
    Already in 5.0

  mysql-test/t/func_misc.test
    1.16 05/12/07 19:53:40 msvensson@neptunus.(none) +0 -5
    Already in 5.0

  mysql-test/r/func_misc.result
    1.21 05/12/07 19:53:40 msvensson@neptunus.(none) +0 -8
    Already in 5.0

ChangeSet
  1.1960.1.22 05/12/07 19:47:55 ingo@mysql.com +2 -0
  Merge istruewing@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  sql/mysql_priv.h
    1.360.1.15 05/12/07 19:47:49 ingo@mysql.com +0 -0
    Auto merged

  configure.in
    1.370 05/12/07 19:47:48 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.70.11 05/12/07 21:21:54 dlenev@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/dlenev/src/mysql-5.0-merges

  sql/sp_head.cc
    1.202 05/12/07 21:21:47 dlenev@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.80.5 05/12/07 21:16:04 konstantin@mysql.com +1 -0
  Fix a compilation failure.

  sql/sp_head.cc
    1.199.1.2 05/12/07 21:15:46 konstantin@mysql.com +2 -2
    Fix a compilation failure.

ChangeSet
  1.1960.70.10 05/12/07 20:31:10 dlenev@mysql.com +3 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/dlenev/src/mysql-5.0-merges

  sql/sp_head.h
    1.79 05/12/07 20:31:03 dlenev@mysql.com +0 -0
    Auto merged

  sql/sp_head.cc
    1.201 05/12/07 20:31:02 dlenev@mysql.com +0 -0
    Auto merged

  sql/sp.cc
    1.102 05/12/07 20:31:02 dlenev@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.80.4 05/12/07 18:29:48 konstantin@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/opt/local/work/mysql-5.0-root

  sql/sql_parse.cc
    1.506.1.21 05/12/07 18:29:32 konstantin@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.83.1 05/12/07 18:15:02 konstantin@mysql.com +1 -0
  Fix -ansi -pedantic compilation failure. Fix coding style.

  sql/sql_parse.cc
    1.506.15.1 05/12/07 18:14:44 konstantin@mysql.com +6 -6
    Fix -ansi -pedantic compilation failure. Fix coding style.

ChangeSet
  1.1616.2431.1 05/12/07 18:48:46 bar@mysql.com +1 -0
    Bug#13421 problem with sorting turkish
  latin5.xml:
    - Fixing order thee Turkish letters to conform Turkish rules.
    - All non-Turkish accented letters are mappend
      to their non-accented counterparts.

  sql/share/charsets/latin5.xml
    1.6 05/12/07 18:46:12 bar@mysql.com +4 -9
    Bug#13421 problem with sorting turkish
    Fixing order to conform the Turkish rules.
    All non-Turkish accented letters are mappend to
    the non-accented counterparts.

ChangeSet
  1.1616.2430.1 05/12/07 15:45:31 msvensson@neptunus.(none) +3 -0
  BUG#9535 Warning for "create table t as select uuid();"
     - Set max_length of Item_func_uuid to max_length*system_charset_info->mbmaxlen
      Note! Item_func_uuid should be set to use 'ascii' charset when hex(), format(), md5()
  etc will use 'ascii'
      - Comitting again, the old patch seems to have been lost.

  sql/item_strfunc.h
    1.73.2.15 05/12/07 15:45:28 msvensson@neptunus.(none) +6 -1
    Multiply max_length of Item_func_uuid with system_charset_info->mbmaxlen

  mysql-test/t/func_misc.test
    1.11.1.2 05/12/07 15:45:28 msvensson@neptunus.(none) +5 -0
    Test case

  mysql-test/r/func_misc.result
    1.16.1.1 05/12/07 15:45:28 msvensson@neptunus.(none) +8 -0
    Test results updated

ChangeSet
  1.1960.80.3 05/12/07 17:17:42 anozdrin@mysql.com +9 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/alik/Documents/AllProgs/MySQL/devel/5.0-sp-vars-merge-2

  sql/sp_head.cc
    1.199.1.1 05/12/07 17:17:37 anozdrin@mysql.com +16 -17
    Merge.

  sql/sql_yacc.yy
    1.437.1.9 05/12/07 17:02:40 anozdrin@mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.20 05/12/07 17:02:39 anozdrin@mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.360.7.3 05/12/07 17:02:39 anozdrin@mysql.com +0 -0
    Auto merged

  sql/item.h
    1.175.1.11 05/12/07 17:02:39 anozdrin@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.17 05/12/07 17:02:39 anozdrin@mysql.com +0 -0
    Auto merged

  sql/field.cc
    1.295 05/12/07 17:02:38 anozdrin@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.166 05/12/07 17:02:38 anozdrin@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp.result
    1.177 05/12/07 17:02:37 anozdrin@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.82.1 05/12/07 17:01:17 anozdrin@mysql.com +41 -0
  Patch for WL#2894: Make stored routine variables work
  according to the standard.
  
  The idea is to use Field-classes to implement stored routines
  variables. Also, we should provide facade to Item-hierarchy
  by Item_field class (it is necessary, since SRVs take part
  in expressions).
  
  The patch fixes the following bugs:
    - BUG#8702: Stored Procedures: No Error/Warning shown for inappropriate data 
      type matching; 
   
    - BUG#8768: Functions: For any unsigned data type, -ve values can be passed 
      and returned; 
   
    - BUG#8769: Functions: For Int datatypes, out of range values can be passed 
      and returned; 
   
    - BUG#9078: STORED PROCDURE: Decimal digits are not displayed when we use 
      DECIMAL datatype; 
   
    - BUG#9572: Stored procedures: variable type declarations ignored; 
   
    - BUG#12903: upper function does not work inside a function; 
   
    - BUG#13705: parameters to stored procedures are not verified; 
   
    - BUG#13808: ENUM type stored procedure parameter accepts non-enumerated
      data; 
   
    - BUG#13909: Varchar Stored Procedure Parameter always BINARY string (ignores 
      CHARACTER SET); 
   
    - BUG#14161: Stored procedure cannot retrieve bigint unsigned;
  
    - BUG#14188: BINARY variables have no 0x00 padding;
  
    - BUG#15148: Stored procedure variables accept non-scalar values;

  mysql-test/sp-vars.test
    1.1 05/12/07 17:01:09 anozdrin@mysql.com +1273 -0
    A new test for checking SP-vars functionality.

  mysql-test/r/sp-vars.result
    1.1 05/12/07 17:01:09 anozdrin@mysql.com +1077 -0
    Result file for the SP-vars test.

  mysql-test/sp-vars.test
    1.0 05/12/07 17:01:09 anozdrin@mysql.com +0 -0
    BitKeeper file /home/alik/Documents/AllProgs/MySQL/devel/5.0-sp-vars-merge-2/mysql-test/sp-vars.test

  mysql-test/r/sp-vars.result
    1.0 05/12/07 17:01:09 anozdrin@mysql.com +0 -0
    BitKeeper file /home/alik/Documents/AllProgs/MySQL/devel/5.0-sp-vars-merge-2/mysql-test/r/sp-vars.result

  mysql-test/include/sp-vars.inc
    1.1 05/12/07 17:01:08 anozdrin@mysql.com +122 -0
    The definitions of common-procedures, which are created
    under different circumstances.

  sql/sql_yacc.yy
    1.437.8.1 05/12/07 17:01:08 anozdrin@mysql.com +129 -100
    Provide an instance of create_field for each SP-var.

  sql/sql_trigger.cc
    1.36 05/12/07 17:01:08 anozdrin@mysql.com +3 -3
    Use boolean constants for boolean type instead of numerical ones.

  sql/sql_select.h
    1.104 05/12/07 17:01:08 anozdrin@mysql.com +0 -1
    Move create_virtual_tmp_table() out of sql_select.h.

  sql/sql_select.cc
    1.367.1.13 05/12/07 17:01:08 anozdrin@mysql.com +13 -0
    Take care of BLOB columns in create_virtual_tmp_table().

  sql/sql_parse.cc
    1.506.14.1 05/12/07 17:01:08 anozdrin@mysql.com +4 -324
    Extract create_field::init() to initialize an existing
    instance of create_field from new_create_field().

  sql/sql_class.h
    1.270.1.8 05/12/07 17:01:08 anozdrin@mysql.com +1 -1
    Polishing.

  sql/sql_class.cc
    1.215.1.12 05/12/07 17:01:08 anozdrin@mysql.com +5 -5
    - Reflect Item_splocal ctor changes;
    - Item_splocal::get_offset() has been renamed to get_var_idx().

  sql/sp_rcontext.h
    1.29 05/12/07 17:01:08 anozdrin@mysql.com +77 -65
    - Change rules to assign an index of SP-variable: use
      transparent index;
    - Use a tmp virtual table to store SP-vars instead of Items;
    - Provide operations to work with CASE expresion.

  sql/sp_rcontext.cc
    1.36 05/12/07 17:01:08 anozdrin@mysql.com +256 -50
    - Change rules to assign an index of SP-variable: use
      transparent index;
    - Use a tmp virtual table to store SP-vars instead of Items;
    - Provide operations to work with CASE expresion.

  sql/sp_pcontext.h
    1.25 05/12/07 17:01:08 anozdrin@mysql.com +84 -14
    - Change rules to assign an index of SP-variable: use
      transparent index;
    - Add an operation to retrieve a list of defined SP-vars
      from the processing context recursively.

  sql/sp_pcontext.cc
    1.28 05/12/07 17:01:08 anozdrin@mysql.com +55 -20
    - Change rules to assign an index of SP-variable: use
      transparent index;
    - Add an operation to retrieve a list of defined SP-vars
      from the processing context recursively.

  sql/sp_head.h
    1.77.1.1 05/12/07 17:01:08 anozdrin@mysql.com +45 -16
    - Add a function to map enum_field_types to Item::Type;
    - Add sp_instr_push_case_expr instruction -- an instruction
      to push CASE expression into the active running context;
    - Add sp_instr_pop_case_expr instruction -- an instruction
      to pop CASE expression from the active running context;
    - Adapt the SP-execution code to using Fields instead of Items
      for SP-vars;
    - Use create_field structure for field description instead of
      a set of members.

  mysql-test/include/sp-vars.inc
    1.0 05/12/07 17:01:08 anozdrin@mysql.com +0 -0
    BitKeeper file /home/alik/Documents/AllProgs/MySQL/devel/5.0-sp-vars-merge-2/mysql-test/include/sp-vars.inc

  sql/sp_head.cc
    1.197.2.1 05/12/07 17:01:07 anozdrin@mysql.com +519 -415
    - Add a function to map enum_field_types to Item::Type;
    - Add sp_instr_push_case_expr instruction -- an instruction
      to push CASE expression into the active running context;
    - Add sp_instr_pop_case_expr instruction -- an instruction
      to pop CASE expression from the active running context;
    - Adapt the SP-execution code to using Fields instead of Items
      for SP-vars;
    - Use create_field structure for field description instead of
      a set of members.

  sql/sp.cc
    1.100.1.1 05/12/07 17:01:07 anozdrin@mysql.com +1 -1
    Use create_result_field() instead of make_field().

  sql/mysql_priv.h
    1.360.8.1 05/12/07 17:01:07 anozdrin@mysql.com +2 -1
    Move create_virtual_tmp_table() out of sql_select.h.

  sql/item_func.h
    1.134 05/12/07 17:01:07 anozdrin@mysql.com +2 -2
    Pass the Field (instead of Item) for the return value of
    a function to the function execution routine.

  sql/item_func.cc
    1.265.1.7 05/12/07 17:01:07 anozdrin@mysql.com +32 -19
    Pass the Field (instead of Item) for the return value of
    a function to the function execution routine.

  sql/item.h
    1.175.8.1 05/12/07 17:01:07 anozdrin@mysql.com +163 -76
    - Introduce a new class: Item_sp_variable -- a base class
      of stored-routine-variables classes;
    - Introduce Item_case_expr -- an Item, which is used to access
      to the expression of CASE statement;

  sql/item.cc
    1.190.8.1 05/12/07 17:01:07 anozdrin@mysql.com +114 -65
    - Introduce a new class: Item_sp_variable -- a base class
      of stored-routine-variables classes;
    - Introduce Item_case_expr -- an Item, which is used to access
      to the expression of CASE statement;

  sql/field.h
    1.170 05/12/07 17:01:07 anozdrin@mysql.com +18 -0
    Extract create_field::init() to initialize an existing
    instance of create_field from new_create_field().

  sql/field.cc
    1.293.1.1 05/12/07 17:01:07 anozdrin@mysql.com +347 -0
    Extract create_field::init() to initialize an existing
    instance of create_field from new_create_field().

  mysql-test/t/type_newdecimal-big.test
    1.2 05/12/07 17:01:07 anozdrin@mysql.com +25 -6
    Update type specification so that the variables
    can contain the large values used in the test.

  mysql-test/t/sp.test
    1.163.2.1 05/12/07 17:01:07 anozdrin@mysql.com +6 -3
    Non-scalar values prohibited for assignment to SP-vars;
    polishing.

  mysql-test/t/sp-dynamic.test
    1.3 05/12/07 17:01:07 anozdrin@mysql.com +6 -0
    Add cleanup statements.

  mysql-test/t/sp-big.test
    1.3 05/12/07 17:01:07 anozdrin@mysql.com +3 -0
    Add cleanup statement.

  mysql-test/t/skip_name_resolve.test
    1.5 05/12/07 17:01:07 anozdrin@mysql.com +1 -1
    Ignore columns with unpredictable values.

  mysql-test/t/show_check.test
    1.55 05/12/07 17:01:07 anozdrin@mysql.com +1 -0
    Drop our test database to not affect this test if some test
    left it cause of failure.

  mysql-test/t/schema.test
    1.2 05/12/07 17:01:07 anozdrin@mysql.com +6 -0
    Drop our test database to not affect this test if some test
    left it cause of failure.

  mysql-test/t/ctype_ujis.test
    1.17 05/12/07 17:01:06 anozdrin@mysql.com +1 -1
    Explicitly specify correct charset.

  mysql-test/r/type_newdecimal-big.result
    1.2 05/12/07 17:01:06 anozdrin@mysql.com +23 -8
    Update result file.

  mysql-test/r/sum_distinct-big.result
    1.2 05/12/07 17:01:06 anozdrin@mysql.com +14 -15
    Update result file.

  mysql-test/r/sp.result
    1.171.2.1 05/12/07 17:01:06 anozdrin@mysql.com +26 -15
    Update result file.

  mysql-test/r/sp-dynamic.result
    1.3 05/12/07 17:01:06 anozdrin@mysql.com +2 -0
    Add cleanup statements.

  mysql-test/r/sp-big.result
    1.3 05/12/07 17:01:06 anozdrin@mysql.com +1 -0
    Add cleanup statement.

  mysql-test/r/skip_name_resolve.result
    1.3 05/12/07 17:01:06 anozdrin@mysql.com +2 -2
    Ignore columns with unpredictable values.

  mysql-test/r/show_check.result
    1.76 05/12/07 17:01:06 anozdrin@mysql.com +1 -0
    Drop our test database to not affect this test if some test
    left it cause of failure.

  mysql-test/r/schema.result
    1.3 05/12/07 17:01:06 anozdrin@mysql.com +1 -0
    Drop our test database to not affect this test if some test
    left it cause of failure.

  mysql-test/r/ctype_ujis.result
    1.16 05/12/07 17:01:06 anozdrin@mysql.com +1 -1
    Explicitly specify correct charset.

ChangeSet
  1.1960.70.8 05/12/07 16:55:16 dlenev@mysql.com +1 -0
  Fixed sp-error.test result after merging fix for bug #11555 "Stored procedures:
  current SP tables locking make impossible view security" with main tree.

  mysql-test/r/sp-error.result
    1.98 05/12/07 16:55:08 dlenev@mysql.com +31 -31
    Fixed test result after merging fix for bug #11555 "Stored procedures: current
    SP tables locking make impossible view security" with main tree.

ChangeSet
  1.1960.81.1 05/12/07 12:43:32 knielsen@mysql.com +1 -0
  Bump version number following 5.0.17 release clone-off

  configure.in
    1.368.1.1 05/12/07 12:39:14 knielsen@mysql.com +1 -1
    Bump version number following release clone-off

ChangeSet
  1.1960.70.7 05/12/07 14:38:20 dlenev@mysql.com +4 -0
  Merge mysqldev@production.mysql.com:my/mysql-5.0-release
  into  mysql.com:/home/dlenev/src/mysql-5.0-bg11555-2

  mysql-test/r/sp-error.result
    1.97 05/12/07 14:38:13 dlenev@mysql.com +0 -0
    SCCS merged

  sql/sp_head.cc
    1.200 05/12/07 14:36:31 dlenev@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp-error.test
    1.100 05/12/07 14:36:31 dlenev@mysql.com +0 -0
    Auto merged

  mysql-test/r/view.result
    1.140 05/12/07 14:36:31 dlenev@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.78.1 05/12/07 12:47:25 dlenev@mysql.com +8 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/dlenev/src/mysql-5.0-bg11555-2

  sql/sql_base.cc
    1.310.1.8 05/12/07 12:47:20 dlenev@mysql.com +2 -5
    Manual merge.

  sql/sp.h
    1.32 05/12/07 12:47:20 dlenev@mysql.com +5 -5
    Manual merge.

  sql/sp.cc
    1.101 05/12/07 12:47:20 dlenev@mysql.com +3 -6
    Manual merge.

ChangeSet
  1.1960.66.3 05/12/07 10:40:26 lenz@mysql.com +1 -0
  Merge mysql.com:/space/my/mysql-4.1
  into  mysql.com:/space/my/mysql-5.0-merg

  BitKeeper/triggers/post-commit
    1.38 05/12/07 10:40:19 lenz@mysql.com +0 -0
    Auto merged

  sql/sql_trigger.h
    1.17 05/12/07 12:36:24 dlenev@mysql.com +0 -0
    Auto merged

  sql/sp_head.cc
    1.197.1.2 05/12/07 12:36:24 dlenev@mysql.com +0 -0
    Auto merged

  mysql-test/t/view.test
    1.129 05/12/07 12:36:24 dlenev@mysql.com +0 -0
    Auto merged

  mysql-test/r/view.result
    1.138.1.1 05/12/07 12:36:24 dlenev@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp-error.result
    1.93.1.2 05/12/07 12:36:24 dlenev@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.77.1 05/12/07 12:27:17 dlenev@mysql.com +10 -0
  Fix for bug #11555 "Stored procedures: current SP tables locking make
  impossible view security".
  
  We should not expose names of tables which are explicitly or implicitly (via
  routine or trigger) used by view even if we find that they are missing.
  So during building of list of prelocked tables for statement we track which
  routines (and therefore tables for these routines) are used from views. We
  mark elements of LEX::routines set which correspond to routines used in views
  by setting Sroutine_hash_entry::belong_to_view member to point to TABLE_LIST
  object for topmost view which uses routine. We propagate this mark to all
  routines which are used by this routine and which we add to this set. We also
  mark tables used by such routine which we add to the list of tables for
  prelocking as belonging to this view.

  sql/sql_trigger.h
    1.14.1.2 05/12/07 12:27:11 dlenev@mysql.com +1 -1
    Table_triggers_list:
      sp_cache_routines_and_add_tables_for_triggers() now accept pointer to table
      list element as last argument, this allows to determine correctly uppermost
      view which uses this table with trigger.

  sql/sql_base.cc
    1.310.8.1 05/12/07 12:27:11 dlenev@mysql.com +2 -3
    open_tables():
      sp_cache_routines_and_add_tables_for_view()/for_triggers() now accept
      pointer to table list element as last argument, this allows them to determine
      correctly uppermost view which uses this view/table with trigger.

  sql/sp_head.h
    1.78 05/12/07 12:27:11 dlenev@mysql.com +2 -1
    sp_head::add_used_tables_to_table_list():
      Added new argument which allows to mark tables which are added to table
      list for prelocking as belonging to view (this allows properly hide names
      of tables which are used in routines used by views).

  sql/sp_head.cc
    1.193.8.1 05/12/07 12:27:10 dlenev@mysql.com +9 -5
    sp_head::add_used_tables_to_table_list():
      Added new argument which allows to mark tables which are added to table
      list for prelocking as belonging to view (this allows properly hide names
      of tables which are used in routines used by views).

  sql/sp.h
    1.29.1.2 05/12/07 12:27:10 dlenev@mysql.com +2 -2
    sp_cache_routines_and_add_tables_for_view()/for_triggers():
      To be able to determine correctly uppermost view which uses this view/table
      with trigger we have to pass pointer to TABLE_LIST object instead of pointer
      to view's LEX or to Table_triggers_list object.

  sql/sp.cc
    1.96.1.7 05/12/07 12:27:10 dlenev@mysql.com +53 -30
    We should not expose names of tables which are explicitly or implicitly
    (via routine or trigger) used by view even if we find that they are missing.
    So during building of list of prelocked tables for statement we track which
    routines (and therefore tables for these routines) are used from views. We
    mark elements of LEX::routines set which correspond to routines used in views
    by setting Sroutine_hash_entry::belong_to_view member to point to TABLE_LIST
    object for topmost view which uses routine. We propagate this mark to all
    routines which are used by this routine and which we add to this set. We also
    mark tables used by such routine which we add to the list of tables for
    prelocking as belonging to this view.

  mysql-test/t/view.test
    1.126.2.1 05/12/07 12:27:10 dlenev@mysql.com +0 -1
    Removed comment obsoleted by bugfix.

  mysql-test/t/sp-error.test
    1.97.1.1 05/12/07 12:27:10 dlenev@mysql.com +61 -0
    Added test for bug #11555 "Stored procedures: current SP tables locking make 
    impossible view security".

  mysql-test/r/view.result
    1.136.3.1 05/12/07 12:27:10 dlenev@mysql.com +3 -3
    We should not expose tables which are expicitly/implicitly used in view in
    check table statement.

  mysql-test/r/sp-error.result
    1.93.2.1 05/12/07 12:27:10 dlenev@mysql.com +40 -0
    Added test for bug #11555 "Stored procedures: current SP tables locking make 
    impossible view security".

ChangeSet
  1.1960.1.21 05/12/07 09:06:18 ingo@mysql.com +1 -0
  Merge istruewing@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  sql/mysql_priv.h
    1.360.1.14 05/12/07 09:06:11 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.70.6 05/12/07 08:50:14 serg@serg.mylan +5 -0
  merged

  mysql-test/r/sp.result
    1.176 05/12/07 08:50:04 serg@serg.mylan +39 -39
    merged

  sql/sql_yacc.yy
    1.437.1.8 05/12/07 08:47:36 serg@serg.mylan +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.19 05/12/07 08:47:35 serg@serg.mylan +0 -0
    Auto merged

  sql/sp_head.cc
    1.199 05/12/07 08:47:35 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.165 05/12/07 08:47:35 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1616.2392.35 05/12/07 06:46:43 lenz@mysql.com +1 -0
  Merge mysql.com:/space/my/mysql-4.0
  into  mysql.com:/space/my/mysql-4.1

  BitKeeper/triggers/post-commit
    1.22.1.12 05/12/07 06:46:39 lenz@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.74.4 05/12/06 18:18:35 jimw@mysql.com +1 -0
  Fix innodb.result file (was missing a line)

  mysql-test/r/innodb.result
    1.148 05/12/06 18:18:13 jimw@mysql.com +1 -0
    Update result file

ChangeSet
  1.1960.76.1 05/12/06 15:50:03 jimw@mysql.com +2 -0
  Fix value returned by mysql_warning_count() after fetching a prepared
  statement that generated a warning. (Bug #15510)

  tests/mysql_client_test.c
    1.165.1.1 05/12/06 15:49:59 jimw@mysql.com +35 -0
    Add new regression test

  sql-common/client.c
    1.81 05/12/06 15:49:58 jimw@mysql.com +1 -1
    Reset warning_count in free_old_query(), don't stomp old value for
    it in cli_read_query_result().

ChangeSet
  1.1960.75.1 05/12/06 14:16:34 jimw@mysql.com +3 -0
  Merge mysql.com:/home/jimw/my/mysql-5.0-14299
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  mysql-test/t/type_binary.test
    1.3 05/12/06 14:16:30 jimw@mysql.com +4 -4
    Resolve conflicts

  mysql-test/r/type_binary.result
    1.3 05/12/06 14:16:30 jimw@mysql.com +4 -3
    Resolve conflicts

  sql/field.cc
    1.294 05/12/06 14:14:35 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.74.2 05/12/07 00:57:15 konstantin@mysql.com +3 -0
  A fix and a test case for Bug#15392 "Server crashes during
   prepared statement execute

  sql/sp_head.cc
    1.197.1.1 05/12/07 00:57:08 konstantin@mysql.com +11 -10
    A fix for Bug#15392 "Server crashes during prepared statement
    execute": the bug was caused by mysql_change_db() call
    which was overwriting the error state of 'ret'.
    Later in the code, suv->fix_fields() would discover
    thd->net.report_error and return it without completing
    its work. As the return value of fix_fields() was ignored,
    the server would afterwards crash in suv->update().
    The fix makes sure that a possible internal error
    is raised in reset_lex_and_exec_core and then is
    handled in sp_head::execute_procedure.

  mysql-test/t/sp.test
    1.163.1.1 05/12/07 00:57:08 konstantin@mysql.com +46 -0
    A test case for Bug#15392 "Server crashes during prepared
    statement execute". No test case for error in
    Item_func_set_user_var::update as the only possible one is OOM.

  mysql-test/r/sp.result
    1.171.1.2 05/12/07 00:57:08 konstantin@mysql.com +39 -0
    Test results fixed: a fix for Bug#15392

ChangeSet
  1.1960.73.1 05/12/06 22:02:40 aivanov@mysql.com +13 -0
  Fix BUG#14747: "Race condition can cause btr_search_drop_page_hash_index()
   to crash".
   Changes from snapshot innodb-5.0-ss52.
   Note that buf_block_t::index should be protected by btr_search_latch
   or an s-latch or x-latch on the index page.
   btr_search_drop_page_hash_index(): Read block->index while holding
   btr_search_latch and use the cached value in the loop. Remove some
   redundant assertions.
   Also fix 13778. When FOREIGN_KEY_CHECKS=0 we still need to check that
   datatypes between foreign key references are compatible.
   Also added test cases to 9802.

  sql/ha_innodb.h
    1.108 05/12/06 22:02:30 aivanov@mysql.com +1 -1
    Changes from innodb-5.0-ss52

  sql/ha_innodb.cc
    1.279 05/12/06 22:02:30 aivanov@mysql.com +9 -0
    Changes from innodb-5.0-ss52

  mysql-test/t/innodb.test
    1.118 05/12/06 22:02:30 aivanov@mysql.com +76 -12
    Changes from innodb-5.0-ss52

  mysql-test/r/innodb.result
    1.147 05/12/06 21:59:10 aivanov@mysql.com +72 -12
    Changes from innodb-5.0-ss52

  innobase/row/row0mysql.c
    1.115 05/12/06 21:59:10 aivanov@mysql.com +26 -38
    Changes from innodb-5.0-ss52

  innobase/rem/rem0cmp.c
    1.29 05/12/06 21:59:09 aivanov@mysql.com +6 -5
    Changes from innodb-5.0-ss52

  innobase/include/rem0cmp.h
    1.7 05/12/06 21:59:09 aivanov@mysql.com +2 -1
    Changes from innodb-5.0-ss52

  innobase/include/dict0load.h
    1.7 05/12/06 21:59:09 aivanov@mysql.com +2 -1
    Changes from innodb-5.0-ss52

  innobase/include/dict0dict.h
    1.36 05/12/06 21:59:09 aivanov@mysql.com +2 -1
    Changes from innodb-5.0-ss52

  innobase/include/buf0buf.h
    1.32 05/12/06 21:59:09 aivanov@mysql.com +7 -3
    Changes from innodb-5.0-ss52

  innobase/dict/dict0load.c
    1.39 05/12/06 21:59:09 aivanov@mysql.com +5 -4
    Changes from innodb-5.0-ss52

  innobase/dict/dict0dict.c
    1.69 05/12/06 21:59:09 aivanov@mysql.com +13 -21
    Changes from innodb-5.0-ss52

  innobase/btr/btr0sea.c
    1.35 05/12/06 21:59:09 aivanov@mysql.com +10 -18
    Changes from innodb-5.0-ss52

ChangeSet
  1.1960.72.1 05/12/06 18:21:46 serg@serg.mylan +5 -0
  Merge

  sql/share/errmsg.txt
    1.55 05/12/06 18:21:34 serg@serg.mylan +0 -0
    SCCS merged

  sql/sql_yacc.yy
    1.437.1.7 05/12/06 17:54:54 serg@serg.mylan +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.18 05/12/06 17:54:53 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.164 05/12/06 17:54:53 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/r/sp-error.result
    1.96 05/12/06 17:54:52 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1960.70.4 05/12/06 18:04:26 timour@mysql.com +9 -0
  Merge mysql.com:/home/timka/mysql/src/5.0-virgin
  into  mysql.com:/home/timka/mysql/src/5.0-2486

  sql/table.cc
    1.212 05/12/06 18:04:22 timour@mysql.com +0 -0
    Auto merged

  sql/sql_yacc.yy
    1.437.7.2 05/12/06 18:04:22 timour@mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.13.3 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/sql_lex.h
    1.201.1.9 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/sql_base.cc
    1.310.1.7 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/sql_acl.cc
    1.184 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.360.7.2 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/item.h
    1.175.1.10 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.16 05/12/06 18:04:21 timour@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.70.3 05/12/06 14:25:12 pem@mysql.com +1 -0
  Final review fix of #14233: Crash after tampering with the mysql.proc table.
  Changed variable type and added comment in sp.c.

  sql/sp.cc
    1.100 05/12/06 14:25:05 pem@mysql.com +6 -1
    Changed variable type and added comment. (Review fix)

ChangeSet
  1.1346.1.818 05/12/06 14:07:23 lenz@mysql.com +1 -0
   - commit emails are now sent to commits@lists.mysql.com instead of 
     internals@lists.mysql.com to reduce the noise on the internals list.

  BitKeeper/triggers/post-commit
    1.19.1.16 05/12/06 14:07:21 lenz@mysql.com +4 -4
     - commit emails are now sent to commits@lists.mysql.com instead of 
       internals@lists.mysql.com to reduce the noise on the internals list.

ChangeSet
  1.1960.70.2 05/12/06 13:34:18 pem@mysql.com +9 -0
  Merge mysql.com:/usr/local/bk/mysql-5.0
  into  mysql.com:/usr/home/pem/bug14233/mysql-5.0

  sql/share/errmsg.txt
    1.54 05/12/06 13:34:10 pem@mysql.com +0 -0
    SCCS merged

ChangeSet
  1.1960.71.1 05/12/06 13:25:28 stewart@mysql.com +3 -0
  Merge mysql.com:/home/stewart/Documents/MySQL/4.1/cleanup
  into  mysql.com:/home/stewart/Documents/MySQL/5.0/cleanup

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.76 05/12/06 13:25:24 stewart@mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.38 05/12/06 13:25:23 stewart@mysql.com +0 -0
    Auto merged

  ndb/src/kernel/blocks/backup/Backup.cpp
    1.27 05/12/06 13:25:23 stewart@mysql.com +0 -0
    Auto merged

  sql/sql_yacc.yy
    1.437.7.1 05/12/06 13:20:53 pem@mysql.com +0 -0
    Auto merged

  sql/sql_trigger.h
    1.16 05/12/06 13:20:53 pem@mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.13.2 05/12/06 13:20:53 pem@mysql.com +0 -0
    Auto merged

  sql/sql_base.cc
    1.310.1.6 05/12/06 13:20:52 pem@mysql.com +0 -0
    Auto merged

  sql/sp.h
    1.31 05/12/06 13:20:52 pem@mysql.com +0 -0
    Auto merged

  sql/sp.cc
    1.99 05/12/06 13:20:52 pem@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.163 05/12/06 13:20:52 pem@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp-error.result
    1.93.1.1 05/12/06 13:20:52 pem@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.69.1 05/12/06 11:25:53 stewart@mysql.com +1 -0
  BUG#15512 crash during online add of API/SQL node

  ndb/src/kernel/blocks/qmgr/QmgrMain.cpp
    1.23 05/12/06 11:25:49 stewart@mysql.com +10 -7
    Only get_connect_address for connected nodes.
    
    (also cleanup whitespace)

ChangeSet
  1.1960.1.19 05/12/06 08:19:23 ingo@mysql.com +3 -0
  Merge mysql.com:/home/mydev/mysql-5.0
  into  mysql.com:/home/mydev/mysql-5.0-bug10932

  sql/unireg.h
    1.43 05/12/06 08:19:16 ingo@mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.360.1.13 05/12/06 08:19:16 ingo@mysql.com +0 -0
    Auto merged

  configure.in
    1.369 05/12/06 08:19:15 ingo@mysql.com +0 -0
    Auto merged

  mysql-test/t/symlink.test
    1.11.1.4 05/12/06 00:40:52 kent@mysql.com +2 -0
    Disabled test case on Windows

ChangeSet
  1.1960.68.2 05/12/05 20:47:15 serg@serg.mylan +1 -0
  compatibility define for Bug#15293

  include/mysql.h
    1.154 05/12/05 20:47:00 serg@serg.mylan +3 -0
    compatibility define for Bug#15293

ChangeSet
  1.1960.66.2 05/12/05 18:33:48 joerg@mysql.com +2 -0
  Merge from 4.1, partly manual.

  support-files/mysql.spec.sh
    1.129 05/12/05 18:33:43 joerg@mysql.com +7 -8
    Manual merge.

ChangeSet
  1.1960.68.1 05/12/05 18:18:56 serg@serg.mylan +6 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into serg.mylan:/usr/home/serg/Abk/mysql-5.0

  sql/sql_yacc.yy
    1.437.1.6 05/12/05 18:18:38 serg@serg.mylan +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.17 05/12/05 18:18:37 serg@serg.mylan +0 -0
    Auto merged

  sql/sp_head.cc
    1.198 05/12/05 18:18:36 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.1.6 05/12/05 18:18:36 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/r/view.result
    1.139 05/12/05 18:18:36 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/r/sp.result
    1.175 05/12/05 18:18:35 serg@serg.mylan +0 -0
    Auto merged

  scripts/make_binary_distribution.sh
    1.102 05/12/05 18:13:01 joerg@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.67.1 05/12/05 17:57:48 mleich@mysql.com +7 -0
  Fix for  Bug#12429: Replication tests fail: "Slave_IO_Running" (?) differs
  Solution according to the comments made by Guilhem
  - rpl_relayrotate  Remove the SHOW SLAVE STATUS  It is not needed.
  - rpl_until, rpl_deadlock Omit the printing of the "Slave_IO_Running" value

  mysql-test/t/rpl_until.test
    1.20 05/12/05 17:56:20 matthias@three.local.lan +1 -1
    Omit the printing of the "Slave_IO_Running" value

  mysql-test/t/rpl_relayrotate.test
    1.15 05/12/05 17:56:20 matthias@three.local.lan +0 -3
    Remove the SHWO STATUS SLAVE command

  mysql-test/t/rpl_deadlock.test
    1.10 05/12/05 17:56:20 matthias@three.local.lan +1 -1
    Omit the printing of the "Slave_IO_Running" value

  mysql-test/t/disabled.def
    1.15 05/12/05 17:56:20 matthias@three.local.lan +0 -3
    Enabling of the testcases rpl_relayrotate, rpl_until, rpl_deadlock 

  mysql-test/r/rpl_until.result
    1.22 05/12/05 17:56:20 matthias@three.local.lan +1 -1
    Updated result

  mysql-test/r/rpl_relayrotate.result
    1.18 05/12/05 17:56:20 matthias@three.local.lan +0 -3
    Updated result

  mysql-test/r/rpl_deadlock.result
    1.8 05/12/05 17:56:20 matthias@three.local.lan +1 -1
    Updated result

ChangeSet
  1.1616.2392.34 05/12/05 17:53:42 joerg@mysql.com +1 -0
  Not all RPM builds can use the bundled zlib, due to dependency and link conflicts. Solve this.
  (Backport of an identical change from 5.0)

  support-files/mysql.spec.sh
    1.83.1.29 05/12/05 17:53:38 joerg@mysql.com +8 -2
    We cannot always use the bundled zlib, as this conflicts with the "shared" build of the "max" binary.
    The fully static RPM build on "build" also does not work with the bundled zlib.
    With this change, we use the bundled zlib for "standard" RPMs (unless fully static, "build")
    and the one already installed on the system for the "max" build which is also labeled "experimental".
    (Backport of an identical change from 5.0)

ChangeSet
  1.1616.2392.33 05/12/05 17:10:43 joerg@mysql.com +1 -0
  Merge mysql.com:/M41/mysql-4.1 into mysql.com:/M41/push-4.1

  scripts/make_binary_distribution.sh
    1.55.1.34 05/12/05 17:10:41 joerg@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.66.1 05/12/05 16:42:28 joerg@mysql.com +1 -0
  Merge jbruehe@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/M50/mysql-5.0

  mysql-test/t/alter_table.test
    1.43 05/12/05 16:42:25 joerg@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.65.1 05/12/05 16:00:23 msvensson@neptunus.(none) +2 -0
  Fix for mysqltest.test failing with mysql-test-run.pl and --ps-protocol

  mysql-test/t/mysqltest.test
    1.21 05/12/05 16:00:19 msvensson@neptunus.(none) +6 -2
    Disable ps_protocol for multi statement

  mysql-test/r/mysqltest.result
    1.17 05/12/05 16:00:19 msvensson@neptunus.(none) +1 -1
    Update test result

ChangeSet
  1.1960.1.15 05/12/05 12:12:08 knielsen@mysql.com +1 -0
  Bug#15097: Missing \n in header printed by mysql --help when HAVE_READLINE
    is not defined.

  client/mysql.cc
    1.193 05/12/05 12:11:59 knielsen@mysql.com +1 -1
    Fix missing \n in the --help header when HAVE_READLINE is not defined.

ChangeSet
  1.1960.64.5 05/12/05 12:08:30 serg@serg.mylan +3 -0
  better error for optimize/repair/etc a view

  sql/sql_table.cc
    1.291 05/12/05 12:08:19 serg@serg.mylan +2 -9
    better error for optimize/repair/etc a view

  mysql-test/r/view.result
    1.136.2.1 05/12/05 12:08:19 serg@serg.mylan +11 -6
    better error for optimize/repair/etc a view

  mysql-test/r/sp.result
    1.174 05/12/05 12:08:19 serg@serg.mylan +12 -12
    better error for optimize/repair/etc a view

ChangeSet
  1.1960.1.14 05/12/04 20:57:34 jani@a193-229-222-105.elisa-laajakaista.fi +14 -0
  Merge a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.1
  into  a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-5.0

  netware/mysql_test_run.c
    1.18 05/12/04 20:57:28 jani@a193-229-222-105.elisa-laajakaista.fi +2 -2
    Merged from 4.1.

  sql/sql_parse.cc
    1.506.13.1 05/12/04 20:55:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  sql/mysqld.cc
    1.521 05/12/04 20:55:16 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  sql/mysql_priv.h
    1.360.7.1 05/12/04 20:55:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  myisam/myisampack.c
    1.51 05/12/04 20:55:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  myisam/myisamchk.c
    1.123 05/12/04 20:55:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysqlshow.c
    1.47 05/12/04 20:55:15 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  BitKeeper/deleted/.del-isamchk.c~c0f59c2687d2248f
    1.36 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqlimport.c
    1.57 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysqldump.c
    1.217 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysqlcheck.c
    1.53 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysqlbinlog.cc
    1.123 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysqladmin.cc
    1.113 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  client/mysql.cc
    1.192 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -1
    Auto merged

  BitKeeper/deleted/.del-isamchk.c~c0f59c2687d2248f
    1.33.2.2 05/12/04 20:55:14 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Merge rename: isam/isamchk.c -> BitKeeper/deleted/.del-isamchk.c~c0f59c2687d2248f

ChangeSet
  1.1616.2392.32 05/12/04 15:39:44 jani@a193-229-222-105.elisa-laajakaista.fi +1 -0
  Fixes multi_statement test case on NetWare.

  netware/mysql_test_run.c
    1.3.1.12 05/12/04 15:39:39 jani@a193-229-222-105.elisa-laajakaista.fi +4 -0
    Fixes multi_statement test case on NetWare.

ChangeSet
  1.1616.2392.31 05/12/04 15:34:47 jani@a193-229-222-105.elisa-laajakaista.fi +13 -0
  Merge a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.0
  into  a193-229-222-105.elisa-laajakaista.fi:/home/my/bk/mysql-4.1

  sql/sql_parse.cc
    1.271.1.201 05/12/04 15:34:43 jani@a193-229-222-105.elisa-laajakaista.fi +3 -3
    Merged from 4.0.

  sql/mysqld.cc
    1.356.98.18 05/12/04 15:32:55 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  sql/mysql_priv.h
    1.186.91.44 05/12/04 15:32:55 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  myisam/myisampack.c
    1.37.1.6 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  myisam/myisamchk.c
    1.92.1.38 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  isam/isamchk.c
    1.33.2.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqlshow.c
    1.38.2.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqlimport.c
    1.49.2.2 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqldump.c
    1.143.13.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqlcheck.c
    1.44.2.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqlbinlog.cc
    1.84.4.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqladmin.cc
    1.98.3.1 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysql.cc
    1.121.1.95 05/12/04 15:32:54 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Auto merged

  client/mysqladmin.cc
    1.66.5.2 05/12/04 15:32:53 jani@a193-229-222-105.elisa-laajakaista.fi +0 -0
    Merge rename: client/mysqladmin.c -> client/mysqladmin.cc

ChangeSet
  1.1346.1.817 05/12/04 15:02:06 jani@a193-229-222-105.elisa-laajakaista.fi +11 -0
  A set of Netware related patches.

  sql/sql_parse.cc
    1.218.44.5 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +3 -0
    Fix problem with kill connection on NetWare.
    

  myisam/myisampack.c
    1.22.1.15 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  myisam/myisamchk.c
    1.80.1.37 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  isam/isamchk.c
    1.21.1.5 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqlshow.c
    1.25.1.6 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqlimport.c
    1.29.1.9 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqldump.c
    1.65.1.55 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqlcheck.c
    1.25.1.8 05/12/04 15:02:03 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqlbinlog.cc
    1.70.1.35 05/12/04 15:02:02 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysqladmin.c
    1.66.5.1 05/12/04 15:02:02 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

  client/mysql.cc
    1.93.1.68 05/12/04 15:02:02 jani@a193-229-222-105.elisa-laajakaista.fi +1 -1
    Fixed option name.

ChangeSet
  1.1960.1.13 05/12/03 20:52:34 kent@mysql.com +1 -0
  my_global.h:
    Make __cxa_pure_virtual weak symbol

  include/my_global.h
    1.114 05/12/03 20:51:33 kent@mysql.com +11 -0
    Make __cxa_pure_virtual weak symbol

ChangeSet
  1.1960.64.4 05/12/03 15:02:09 serg@serg.mylan +9 -0
  this has nothing to do with the bug#13012.
  it's about mysql_admin_commands not being reexecution-safe
  (and CHECK still isn't)

  sql/sql_yacc.yy
    1.437.6.1 05/12/03 15:01:54 serg@serg.mylan +0 -5
    optimize is now allowed in SP

  sql/sql_table.cc
    1.290 05/12/03 15:01:53 serg@serg.mylan +5 -2
    optimization - don't execute views when no view is expected/allowed

  sql/sql_parse.cc
    1.506.1.16 05/12/03 15:01:52 serg@serg.mylan +12 -1
    all mysql_admin commands modify table list and we should restore it for SP

  sql/sp_head.cc
    1.195.2.2 05/12/03 15:01:52 serg@serg.mylan +4 -0
    all mysql_admin commands return result set

  mysql-test/t/sp.test
    1.161.1.5 05/12/03 15:01:51 serg@serg.mylan +12 -1
    test repair/optimize/analyze in SP

  mysql-test/t/sp-error.test
    1.99 05/12/03 15:01:51 serg@serg.mylan +1 -1
    optimize is now allowed in SP

  mysql-test/t/backup.test
    1.16 05/12/03 15:01:51 serg@serg.mylan +1 -0
    clean up after itself

  mysql-test/r/sp.result
    1.173 05/12/03 15:01:51 serg@serg.mylan +63 -0
    test repair/optimize/analyze in SP

  mysql-test/r/sp-error.result
    1.95 05/12/03 15:01:51 serg@serg.mylan +1 -1
    optimize is now allowed in SP

ChangeSet
  1.1960.1.12 05/12/03 14:40:24 kent@mysql.com +4 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  sql/sql_class.h
    1.270.1.7 05/12/03 14:40:20 kent@mysql.com +0 -0
    Auto merged

  sql/sp_head.cc
    1.197 05/12/03 14:40:20 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.9.1 05/12/03 14:40:19 kent@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp.result
    1.171.1.1 05/12/03 14:40:19 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1966 05/12/02 20:42:36 igor@rurik.mysql.com +15 -0
  Merge rurik.mysql.com:/home/igor/mysql-5.0
  into  rurik.mysql.com:/home/igor/dev/mysql-5.0-2

  sql/sql_yacc.yy
    1.444 05/12/02 20:42:29 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_update.cc
    1.180 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_select.cc
    1.375 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.517 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_lex.h
    1.209 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.277 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.222 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.369 05/12/02 20:42:28 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_sum.h
    1.96 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_sum.cc
    1.170 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_strfunc.cc
    1.261 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_func.cc
    1.269 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_cmpfunc.cc
    1.187 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.h
    1.182 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.198 05/12/02 20:42:27 igor@rurik.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.64.3 05/12/02 23:01:21 serg@serg.mylan +1 -0
  german error messages

  sql/share/errmsg.txt
    1.50.1.12 05/12/02 23:01:07 serg@serg.mylan +8 -5
    german error messages

ChangeSet
  1.1960.64.2 05/12/02 22:59:45 serg@serg.mylan +5 -0
  Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
  Mark them properly as result-returning statements

  sql/sp_head.cc
    1.195.2.1 05/12/02 22:59:29 serg@serg.mylan +3 -0
    Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
    Mark them properly as result-returning statements

  mysql-test/t/sp.test
    1.161.1.4 05/12/02 22:59:29 serg@serg.mylan +21 -0
    Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
    Mark them properly as result-returning statements

  mysql-test/t/sp-error.test
    1.98 05/12/02 22:59:28 serg@serg.mylan +38 -1
    Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
    Mark them properly as result-returning statements

  mysql-test/r/sp.result
    1.172 05/12/02 22:59:28 serg@serg.mylan +20 -2
    Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
    Mark them properly as result-returning statements

  mysql-test/r/sp-error.result
    1.94 05/12/02 22:59:28 serg@serg.mylan +33 -0
    Bug#13012: REPAIR/BACKUP/RESTORE TABLE cause "packet out of order" in SP.
    Mark them properly as result-returning statements

ChangeSet
  1.1960.64.1 05/12/02 21:40:50 serg@serg.mylan +2 -0
  compatibility fix for yassl

  extra/yassl/src/ssl.cpp
    1.9 05/12/02 21:40:38 serg@serg.mylan +4 -0
    compatibility fix for yassl

  extra/yassl/include/openssl/ssl.h
    1.4 05/12/02 21:40:38 serg@serg.mylan +1 -0
    compatibility fix for yassl

ChangeSet
  1.1960.58.10 05/12/02 22:43:56 konstantin@mysql.com +2 -0
  Add a test case for Bug#5967 "Stored procedure declared variable
   used instead of column", the bug is to be fixed later.

  mysql-test/t/sp.test
    1.161.1.3 05/12/02 22:43:46 konstantin@mysql.com +45 -0
    Add a test case for Bug#5967 "Stored procedure declared variable
     used instead of column", the bug is to be fixed later.

  mysql-test/r/sp.result
    1.171 05/12/02 22:43:46 konstantin@mysql.com +54 -0
    Test results were fixed (Bug#5967)

ChangeSet
  1.1960.5.76 05/12/02 21:20:25 bell@sanja.is.com.ua +5 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/work-bug1-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge1-5.0

  mysql-test/t/view.test
    1.128 05/12/02 21:20:22 bell@sanja.is.com.ua +0 -0
    SCCS merged

  mysql-test/r/view.result
    1.138 05/12/02 21:20:22 bell@sanja.is.com.ua +0 -0
    SCCS merged

  sql/sql_yacc.yy
    1.437.1.5 05/12/02 21:19:21 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_view.cc
    1.80 05/12/02 21:19:21 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp_head.cc
    1.195.1.2 05/12/02 21:19:21 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1960.63.1 05/12/02 21:18:12 bell@sanja.is.com.ua +6 -0
  Now we shall store only position (index of first character)
  of SELECT from query begining, to be independet of query buffer
  allocation.
  Correct procedure used to find beginning of the current statement
  during parsing (BUG#14885).

  sql/sql_yacc.yy
    1.437.5.1 05/12/02 21:18:08 bell@sanja.is.com.ua +12 -4
    Now we shall store only position (index of first character)
    of SELECT from query beginning.
    Correct procedure used to find beginning of the current statement
    during parsing.

  sql/sql_view.cc
    1.78.1.1 05/12/02 21:18:08 bell@sanja.is.com.ua +2 -3
    Position of the SELECT used to output it to .frm.

  sql/sql_lex.h
    1.201.3.1 05/12/02 21:18:08 bell@sanja.is.com.ua +2 -2
    Now we shall store only position (index of first character)
    of SELECT from query beginning.

  sql/sp_head.cc
    1.193.4.7 05/12/02 21:18:08 bell@sanja.is.com.ua +6 -2
    The debug print statement fixed to prevent crash in case of NULL
    in m_next_cached_sp.

  mysql-test/t/view.test
    1.126.1.1 05/12/02 21:18:08 bell@sanja.is.com.ua +19 -0
    BUG#14885 test suite.

  mysql-test/r/view.result
    1.136.1.1 05/12/02 21:18:08 bell@sanja.is.com.ua +12 -0
    BUG#14885 test suite.

ChangeSet
  1.1960.5.75 05/12/02 20:50:54 bell@sanja.is.com.ua +4 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/mysql-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge1-5.0

  sql/sql_cache.cc
    1.89 05/12/02 20:50:50 bell@sanja.is.com.ua +0 -8
    merge

  mysql-test/t/query_cache.test
    1.51 05/12/02 20:45:24 bell@sanja.is.com.ua +0 -1
    Auto merged

  mysql-test/r/query_cache.result
    1.68 05/12/02 20:45:24 bell@sanja.is.com.ua +0 -25
    Auto merged

  configure.in
    1.368 05/12/02 20:45:23 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1960.58.9 05/12/02 21:05:23 evgen@moonbone.local +1 -0
  query_cache.result:
    After merge fix

  mysql-test/r/query_cache.result
    1.65.1.2 05/12/02 21:04:58 evgen@moonbone.local +25 -25
    After merge fix

ChangeSet
  1.1960.61.1 05/12/02 18:29:15 msvensson@neptunus.(none) +2 -0
  Bug #11731 mysqltest in multi-statement queries ignores errors in non-1st queries
   - Add tests to mysqltest.test
   - Problem no longer exists 

  mysql-test/t/mysqltest.test
    1.20 05/12/02 18:29:11 msvensson@neptunus.(none) +46 -0
    Add tests for bug#11731

  mysql-test/r/mysqltest.result
    1.16 05/12/02 18:29:11 msvensson@neptunus.(none) +22 -0
    Update result file for new tests

ChangeSet
  1.1960.58.8 05/12/02 19:42:14 evgen@moonbone.local +9 -0
  Manually merged

  sql/sql_cache.cc
    1.86.1.1 05/12/02 19:42:11 evgen@moonbone.local +8 -0
    Manually merged

  ndb/src/kernel/blocks/dbdict/Dbdict.cpp
    1.59 05/12/02 19:42:11 evgen@moonbone.local +0 -0
    Manually merged

  mysql-test/t/query_cache.test
    1.49.1.1 05/12/02 19:42:11 evgen@moonbone.local +1 -2
    Manually merged

  mysql-test/r/query_cache.result
    1.65.1.1 05/12/02 19:42:11 evgen@moonbone.local +25 -25
    Manually merged

  configure.in
    1.366.2.1 05/12/02 19:42:11 evgen@moonbone.local +0 -2
    Manually merged

  sql/sql_update.cc
    1.174.1.8 05/12/02 19:32:57 evgen@moonbone.local +0 -0
    Auto merged

  ndb/src/kernel/blocks/backup/Backup.cpp
    1.26 05/12/02 19:32:56 evgen@moonbone.local +0 -0
    Auto merged

  mysql-test/t/update.test
    1.27 05/12/02 19:32:56 evgen@moonbone.local +0 -0
    Auto merged

  mysql-test/r/update.result
    1.29 05/12/02 19:32:56 evgen@moonbone.local +0 -0
    Auto merged

ChangeSet
  1.1960.60.1 05/12/02 16:27:18 ingo@mysql.com +7 -0
  Bug#10932 - Building server with key limit of 128, makes test cases fail
  Allow for configuration of the maximum number of indexes per table.
  Added and used a configure.in macro.
  Replaced fixed limits by the configurable limit.
  Limited MyISAM indexes to its hard limit.
  Fixed a bug in opt_range.cc for many indexes with InnoDB.
  
  Tested for 2, 63, 64, 65, 127, 128, 129, 255, 256, and 257 indexes.
  Testing this part of the bugfix requires rebuilding of the server 
  with different options. This cannot be done with our test suite. 
  Therefore I added the necessary test files to the bug report.
  If you repeat the tests, please note that the ps_* tests fail for
  everything but 64 indexes. This is because of differences in the 
  meta data, namely field lengths for index names etc.

  tests/mysql_client_test.c
    1.166 05/12/02 16:27:13 ingo@mysql.com +1 -1
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Replace the fixed limit by the configurable limit.

  sql/unireg.h
    1.41.1.1 05/12/02 16:27:13 ingo@mysql.com +1 -1
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Replace the fixed limit by the configurable limit.

  sql/opt_range.cc
    1.201 05/12/02 16:27:13 ingo@mysql.com +1 -0
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Initialize an object element to avoid a crash when using InnoDB
    with many indexes.

  sql/mysql_priv.h
    1.360.1.12 05/12/02 16:27:13 ingo@mysql.com +5 -1
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Stick with the optimized Bitmap<64> if indexes are limited to 64
    or lower. Otherwise use a bigger bitmap. It must be defined as a
    multiple of 8.

  include/myisam.h
    1.71 05/12/02 16:27:12 ingo@mysql.com +8 -5
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Limit the number of keys for MyISAM to its hard limit.

  configure.in
    1.366.1.1 05/12/02 16:27:12 ingo@mysql.com +1 -0
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Added a call for the new macro.

  config/ac-macros/misc.m4
    1.11 05/12/02 16:27:12 ingo@mysql.com +21 -0
    Bug#10932 - Building server with key limit of 128, makes test cases fail
    Allow for configuration of the maximum number of indexes per table.
    Added a macro for the new build option.

ChangeSet
  1.1960.58.7 05/12/02 15:04:50 pem@mysql.com +5 -0
  Merge mysql.com:/usr/local/bk/mysql-5.0
  into  mysql.com:/usr/home/pem/bug14376/mysql-5.0

  sql/sp_pcontext.h
    1.24 05/12/02 15:04:43 pem@mysql.com +0 -0
    SCCS merged

  mysql-test/t/sp.test
    1.161.1.2 05/12/02 15:04:43 pem@mysql.com +0 -0
    SCCS merged

  mysql-test/r/sp.result
    1.170 05/12/02 15:04:43 pem@mysql.com +0 -0
    SCCS merged

  sql/sql_yacc.yy
    1.437.1.4 05/12/02 14:58:50 pem@mysql.com +0 -0
    Auto merged

  sql/sp_pcontext.cc
    1.27 05/12/02 14:58:50 pem@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1944.21.2 05/12/02 14:30:42 pem@mysql.com +3 -0
  Post-review fixes for BUG#14376: MySQL crash on scoped variable (re)initialization

  sql/sql_yacc.yy
    1.437.1.3 05/12/02 14:30:35 pem@mysql.com +5 -5
    Changed tabs to spaces.

  sql/sp_pcontext.h
    1.23 05/12/02 14:30:35 pem@mysql.com +9 -8
    Count boundary for variable visibility from the frame end instead.
    Updated comments.

  sql/sp_pcontext.cc
    1.26 05/12/02 14:30:35 pem@mysql.com +1 -2
    Count boundary for variable visibility from the frame end instead.

ChangeSet
  1.1616.2392.29 05/12/02 09:27:06 stewart@mysql.com +2 -0
  BUG#15425 Small window for NF during backup failing without error

  ndb/src/kernel/blocks/dbdict/Dbdict.cpp
    1.26.2.16 05/12/02 09:27:03 stewart@mysql.com +0 -1
    Assert is incorrect for testBackup NFSlave test (causes crash insert 10015 to fail)

  ndb/src/kernel/blocks/backup/Backup.cpp
    1.11.2.1 05/12/02 09:27:03 stewart@mysql.com +10 -5
    If crash 10018 is inserted on a 2 node cluster with fast CPU and slower disk,
    all nodes can respond with BACKUP_FRAGMENT_CONF for all fragments before the
    error in FSAPPENDCONF is hit.
    
    This would mean that no error code was set for the backup and that it would
    be incomplete as not all IO had been written to disk before the node crash.
    This would not be reported to the user.
    
    So the backup would appear to succeed but it really didn't.
    
    The window for this is rather small though.

ChangeSet
  1.1960.58.6 05/12/02 11:57:26 ramil@mysql.com +4 -0
  Merge rkalimullin@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/ram/work/5.0.b12956

  sql/item_func.cc
    1.265.1.6 05/12/02 11:57:17 ramil@mysql.com +0 -0
    Auto merged

  sql/item.h
    1.175.1.9 05/12/02 11:57:17 ramil@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.15 05/12/02 11:57:17 ramil@mysql.com +0 -0
    Auto merged

  mysql-test/r/ps.result
    1.56 05/12/02 11:57:17 ramil@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.58.5 05/12/01 15:10:35 jimw@mysql.com +1 -0
  Post-merge result file cleanup

  mysql-test/r/mysqldump.result
    1.85 05/12/01 15:10:30 jimw@mysql.com +69 -63
    Fix results

ChangeSet
  1.1616.2429.1 05/12/01 23:22:20 evgen@moonbone.local +3 -0
  Fix bug#15028  Multitable update returns different numbers of matched rows
  depending on table order
  
  multi_update::send_data() was counting updates, not updated rows. Thus if one 
  record have several updates it will be counted several times in 'rows matched'
  but updated only once.
  
  multi_update::send_data() now counts only unique rows.

ChangeSet
  1.1960.58.4 05/12/01 12:21:29 jimw@mysql.com +3 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-13318
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  mysql-test/t/mysqldump.test
    1.77 05/12/01 12:21:26 jimw@mysql.com +13 -9
    Resolve conflicts

  mysql-test/r/mysqldump.result
    1.84 05/12/01 12:21:26 jimw@mysql.com +0 -0
    Resolve conflicts

  mysql-test/r/update.result
    1.22.1.6 05/12/01 23:20:44 evgen@moonbone.local +13 -0
    Test case for bug#15028 Multitable update returns different numbers of matched rows depending on table order

  mysql-test/t/update.test
    1.19.1.7 05/12/01 23:20:10 evgen@moonbone.local +17 -0
    Test case for bug#15028 Multitable update returns different numbers of matched rows depending on table order

  sql/sql_update.cc
    1.83.2.65 05/12/01 23:19:06 evgen@moonbone.local +7 -6
    Fix bug#15028  Multitable update returns different numbers of matched rows
    depending on table order
    multi_update::send_data() now counts only unique rows.

  client/mysqldump.c
    1.216 05/12/01 12:08:04 jimw@mysql.com +0 -1
    Auto merged

ChangeSet
  1.1960.58.3 05/12/01 12:07:25 jimw@mysql.com +3 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-12612
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  sql/item_cmpfunc.cc
    1.182.1.5 05/12/01 12:07:22 jimw@mysql.com +0 -0
    SCCS merged

  mysql-test/t/func_equal.test
    1.8 05/12/01 12:05:48 jimw@mysql.com +0 -0
    Auto merged

  mysql-test/r/func_equal.result
    1.9 05/12/01 12:05:48 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.59.1 05/12/01 11:11:03 jimw@mysql.com +5 -0
  Enable key lengths of up to 3K on 32-bit platforms.

  sql/unireg.h
    1.42 05/12/01 11:11:00 jimw@mysql.com +1 -5
    Allow key length of 3K even on 32-bit platforms

  mysql-test/t/innodb.test
    1.117 05/12/01 11:11:00 jimw@mysql.com +19 -0
    Add simple test that large keys are allowed

  mysql-test/t/bdb.test
    1.49 05/12/01 11:11:00 jimw@mysql.com +19 -0
    Add simple test that large keys are allowed

  mysql-test/r/innodb.result
    1.146 05/12/01 11:10:59 jimw@mysql.com +14 -0
    Add new results

  mysql-test/r/bdb.result
    1.47 05/12/01 11:10:59 jimw@mysql.com +14 -0
    Add new results

ChangeSet
  1.1960.58.1 05/12/01 20:29:48 SergeyV@selena. +2 -0
  Merge svlasenko@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  selena.:H:/MYSQL/src/#14902-mysql-5.0

  mysql-test/t/analyze.test
    1.7 05/12/01 20:29:39 SergeyV@selena. +0 -0
    SCCS merged

  mysql-test/r/analyze.result
    1.4 05/12/01 20:29:39 SergeyV@selena. +0 -0
    SCCS merged

ChangeSet
  1.1960.5.72 05/12/01 17:13:54 bell@sanja.is.com.ua +1 -0
  postmerge fix

  mysql-test/r/query_cache.result
    1.67 05/12/01 17:13:50 bell@sanja.is.com.ua +25 -25
    postmerge fix

ChangeSet
  1.1616.2427.6 05/12/01 14:55:25 stewart@mysql.com +1 -0
  Backup.cpp:
    convert comment to english

  ndb/src/kernel/blocks/backup/Backup.cpp
    1.11.1.11 05/12/01 14:55:04 stewart@mysql.com +1 -1
    convert comment to english

ChangeSet
  1.1960.57.2 05/12/01 14:38:29 bell@sanja.is.com.ua +4 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/mysql-4.1
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge1-5.0

  sql/sql_cache.cc
    1.88 05/12/01 14:38:25 bell@sanja.is.com.ua +8 -7
    merge

  mysql-test/t/query_cache.test
    1.50 05/12/01 14:38:25 bell@sanja.is.com.ua +1 -1
    merge

  mysql-test/r/query_cache.result
    1.66 05/12/01 14:38:25 bell@sanja.is.com.ua +0 -0
    merge

  configure.in
    1.367 05/12/01 14:38:25 bell@sanja.is.com.ua +0 -2
    merge

ChangeSet
  1.1616.2392.28 05/12/01 14:26:19 bell@sanja.is.com.ua +3 -0
  We should skip beggining '(' characters when test query on possibility
  to be in the query cache. (BUG#14652)

  sql/sql_cache.cc
    1.46.12.10 05/12/01 14:26:17 bell@sanja.is.com.ua +19 -9
    We should skip beggining '(' characters when test query on possibility
    to be in the query cache.

  mysql-test/t/query_cache.test
    1.24.1.24 05/12/01 14:26:16 bell@sanja.is.com.ua +15 -0
    BUG#14652 test suite.

  mysql-test/r/query_cache.result
    1.26.1.34 05/12/01 14:26:16 bell@sanja.is.com.ua +25 -0
    BUG#14652 test suite.

ChangeSet
  1.1960.5.70 05/12/01 14:31:28 ramil@mysql.com +2 -0
  Merge rkalimullin@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/ram/work/mysql-5.0

  sql/sql_class.h
    1.270.4.5 05/12/01 14:31:17 ramil@mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.215.1.11 05/12/01 14:31:16 ramil@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.56.1 05/12/01 14:26:46 ramil@mysql.com +5 -0
  Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).

  sql/sql_class.h
    1.270.8.1 05/12/01 14:26:28 ramil@mysql.com +1 -1
    Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).
    - clear_next_insert_id added

  sql/sql_class.cc
    1.215.5.1 05/12/01 14:26:28 ramil@mysql.com +2 -0
    Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).
    - save/restore clear_next_insert_id

  sql/sp_head.cc
    1.195.1.1 05/12/01 14:26:28 ramil@mysql.com +1 -1
    Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).
    - call thd->cleanup_after_query() to clean next_insert_id.

  mysql-test/t/sp.test
    1.161.8.1 05/12/01 14:26:28 ramil@mysql.com +31 -0
    Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).

  mysql-test/r/sp.result
    1.168.7.1 05/12/01 14:26:27 ramil@mysql.com +24 -0
    Fix for bug #14304: auto_increment field incorrect set from within stored procedure (insert select).

ChangeSet
  1.1960.55.1 05/12/01 12:15:48 bell@sanja.is.com.ua +3 -0
  View creation code fixed to expect empty TABLE_LIST::table pointer (BUG#15096).

  sql/sql_view.cc
    1.79 05/12/01 12:15:43 bell@sanja.is.com.ua +22 -13
    View placed in a function never get TABLE during view creation,
    because we have never executed that function in this process.
    So we should expect empty TABLE_LIST::table pointer.

  mysql-test/t/view.test
    1.127 05/12/01 12:15:43 bell@sanja.is.com.ua +21 -0
    BUG#15096 test suite.

  mysql-test/r/view.result
    1.137 05/12/01 12:15:43 bell@sanja.is.com.ua +15 -0
    BUG#15096 test suite.

ChangeSet
  1.1960.53.1 05/12/01 12:01:38 bell@sanja.is.com.ua +3 -0
  We should not skip temptable view along with other derived
  tables during query tables registration. (BUG#15119)

  sql/sql_cache.cc
    1.87 05/12/01 12:01:32 bell@sanja.is.com.ua +1 -1
    We should not skip temptable view along with other derived
    tables during query tables registration.

  mysql-test/t/view_query_cache.test
    1.4 05/12/01 12:01:32 bell@sanja.is.com.ua +31 -0
    Tests for temptable views in the query cache.

  mysql-test/r/view_query_cache.result
    1.4 05/12/01 12:01:32 bell@sanja.is.com.ua +61 -0
    Tests for temptable views in the query cache.

ChangeSet
  1.1960.5.69 05/12/01 09:26:17 timour@mysql.com +5 -0
  Merge mysql.com:/home/timka/mysql/src/5.0-virgin
  into  mysql.com:/home/timka/mysql/src/5.0-bug-14920

  mysql-test/t/group_min_max.test
    1.17 05/12/01 09:26:14 timour@mysql.com +10 -11
    Manually merged test cases.

  mysql-test/r/group_min_max.result
    1.19 05/12/01 09:26:14 timour@mysql.com +10 -10
    Manually merged test cases.

  sql/sql_select.cc
    1.367.1.12 05/12/01 09:14:00 timour@mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.270.4.4 05/12/01 09:13:59 timour@mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.215.1.10 05/12/01 09:13:59 timour@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.68 05/12/01 11:00:33 gluh@eagle.intranet.mysql.r18.ru +3 -0
  Fix for bug#14476 `information_schema`.`TABLES`.`TABLE_TYPE` with empty value
    store TABLES.TABLE_TYPE in case of error during table opening

  sql/sql_show.cc
    1.300 05/12/01 10:59:16 gluh@mysql.com +6 -0
    Fix for bug#14476 `information_schema`.`TABLES`.`TABLE_TYPE` with empty value
      store TABLES.TABLE_TYPE in case of error during table opening

  mysql-test/t/information_schema.test
    1.63 05/12/01 10:59:16 gluh@mysql.com +10 -0
    Fix for bug#14476 `information_schema`.`TABLES`.`TABLE_TYPE` with empty value
      test case

  mysql-test/r/information_schema.result
    1.90 05/12/01 10:59:16 gluh@mysql.com +8 -0
    Fix for bug#14476 `information_schema`.`TABLES`.`TABLE_TYPE` with empty value
      test case

ChangeSet
  1.1960.1.11 05/12/01 04:06:58 kent@mysql.com +3 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  sql/sp_head.cc
    1.196 05/12/01 04:06:54 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.2.4 05/12/01 04:06:54 kent@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp.result
    1.168.1.4 05/12/01 04:06:54 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.66 05/11/30 13:10:08 jimw@mysql.com +1 -0
  Fix union.result

  mysql-test/r/union.result
    1.80 05/11/30 13:10:04 jimw@mysql.com +26 -26
    Fix order of test results

ChangeSet
  1.1616.2392.27 05/11/30 21:50:09 joerg@mysql.com +1 -0
  Raise the version number (as 4.1.16 has been cloned).

  configure.in
    1.201.1.199 05/11/30 21:50:04 joerg@mysql.com +2 -2
    Raise the version number (as 4.1.16 has been cloned).

ChangeSet
  1.1960.49.2 05/11/30 21:27:11 timour@mysql.com +7 -0
  WL#2486 - natural/using joins according to SQL:2003
  
  Post-review fixes that simplify the way access rights
  are checked during name resolution and factor out all
  entry points to check access rights into one single
  function.

  sql/table.h
    1.121 05/11/30 21:27:08 timour@mysql.com +0 -3
    check_grants method is replaced by more general
    check_column_grant_in_table_ref.

  sql/table.cc
    1.209.1.2 05/11/30 21:27:08 timour@mysql.com +0 -54
    Removed code that duplicates the functionality of
    check_column_grant_in_table_ref, and called directly
    that function.

  sql/sql_base.cc
    1.310.3.12 05/11/30 21:27:08 timour@mysql.com +22 -115
    - Factored out all code that check access rights for columns during
      name resolution into one function - check_column_grant_in_table_ref.
    - Moved check_grant_column_in_sctx to sql_acl.cc where it
      logically belongs.
    - Removed the parameter check_grants - it is checked before
      calling the function.

  sql/sql_acl.h
    1.49 05/11/30 21:27:08 timour@mysql.com +3 -1
    - Added new function check_column_grant_in_table_ref.
    - Made check_grant_column_in_sctx available to other modules.

  sql/sql_acl.cc
    1.182.1.2 05/11/30 21:27:08 timour@mysql.com +83 -20
    - Added new functon check_column_grant_in_table_ref that serves as a single
      point of entry to check access rights during name resolution for different
      kinds of table references.
    - Moved check_grant_column_in_sctx to sql_acl.cc where it
      logically belongs.
    - Removed the parameter check_grants - it is checked before
      calling the function.

  sql/mysql_priv.h
    1.360.6.2 05/11/30 21:27:07 timour@mysql.com +4 -6
    Simplified the way we control whether to perform access right
    checks for columns.

  sql/item.cc
    1.190.7.1 05/11/30 21:27:07 timour@mysql.com +1 -1
    Simplfied find_field_in_table - factored out all acces right checks
    into a separate function. 

ChangeSet
  1.1960.5.65 05/11/30 10:18:11 jimw@mysql.com +1 -0
  Merge bk-internal:/home/bk/mysql-5.0
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  vio/viosslfactories.c
    1.20 05/11/30 10:18:07 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.52.1 05/11/30 21:29:31 gluh@mysql.com +1 -0
  Merge mysql.com:/home/gluh/MySQL/Merge/4.1
  into mysql.com:/home/gluh/MySQL/Merge/5.0

  vio/viosslfactories.c
    1.18.1.1 05/11/30 21:29:24 gluh@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.51.2 05/11/30 19:13:29 timour@mysql.com +2 -0
  WL#2486 - natural/using join according to SQL:2003
  
  Commented out one failing query in the regression test (reported as a bug).

  mysql-test/t/join.test
    1.29 05/11/30 19:13:25 timour@mysql.com +1 -1
    Commented out failing query.

  mysql-test/r/join.result
    1.34 05/11/30 19:13:25 timour@mysql.com +0 -5
    Commented out failing query.

ChangeSet
  1.1960.51.1 05/11/30 19:06:58 timour@mysql.com +2 -0
  WL#2486 - natural/using join according to SQL:2003.
  
  Implemented specialized regression test for the WL.

  mysql-test/t/join.test
    1.28 05/11/30 19:06:55 timour@mysql.com +207 -0
    Specialized test for natural join, and join ... on.

  mysql-test/r/join.result
    1.33 05/11/30 19:06:55 timour@mysql.com +306 -0
    Test results for natural join tests.

ChangeSet
  1.1616.2427.5 05/11/30 14:18:43 stewart@mysql.com +1 -0
  DblqhMain.cpp:
    Use DBblock_REF instead of calcBLOCKBlockRef(getOwnNodeId()) as they are the same and the former is more efficient.
  
  Makes it easier to grep for senders of signals to specific blocks

  ndb/src/kernel/blocks/dblqh/DblqhMain.cpp
    1.39.1.18 05/11/30 14:17:24 stewart@mysql.com +12 -18
    Use DBblock_REF instead of calcBLOCKBlockRef(getOwnNodeId()) as they are the same and the former is more efficient.

ChangeSet
  1.1960.19.3 05/11/30 12:52:12 timour@mysql.com +6 -0
  Fix for BUG#14920 Ordering aggregated result sets corrupts resultset.
  
  The cause of the bug was the use of end_write_group instead of end_write
  in the case when ORDER BY required a temporary table, which didn't take
  into account the fact that loose index scan already computes the result
  of MIN/MAX aggregate functions (and performs grouping).
  
  The solution is to call end_write instead of end_write_group and to add
  the MIN/MAX functions to the list of regular functions so that their
  values are inserted into the temporary table.

  sql/sql_select.h
    1.103 05/11/30 12:52:09 timour@mysql.com +6 -0
    New parameter to create_tmp_table.

  sql/sql_select.cc
    1.367.5.1 05/11/30 12:52:09 timour@mysql.com +54 -11
    Enable result rows generated by loose index scan being written into
    a temporary table. The change is necessary because loose index
    scan already computes the result of GROUP BY and the MIN/MAX aggregate
    functions. This is realized by three changes:
    - create_tmp_table allocates space for aggregate functions in the
      list of regular functions,
    - use end_write instead of end_write group,
    - copy the pointers to the MIN/MAX aggregate functions to the list
      of regular functions TMP_TABLE_PARAM::items_to_copy.

  sql/sql_class.h
    1.270.7.1 05/11/30 12:52:09 timour@mysql.com +8 -1
    Added new member to TMP_TABLE_PARAM.

  sql/sql_class.cc
    1.215.4.1 05/11/30 12:52:09 timour@mysql.com +1 -0
    Added new member to TMP_TABLE_PARAM.

  mysql-test/t/group_min_max.test
    1.15.1.1 05/11/30 12:52:09 timour@mysql.com +13 -0
    Test for BUG#14920

  mysql-test/r/group_min_max.result
    1.17.1.1 05/11/30 12:52:08 timour@mysql.com +31 -0
    Test for BUG#14920

ChangeSet
  1.1960.41.3 05/11/30 11:17:25 ramil@mysql.com +4 -0
  Addition to fix for bug #12956: cast make differ rounding.
  - use rint() in some other val_int() methods as well.

  sql/item_sum.h
    1.94.1.1 05/11/30 11:17:18 ramil@mysql.com +4 -4
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

  sql/item_sum.cc
    1.166.1.3 05/11/30 11:17:18 ramil@mysql.com +3 -3
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

  sql/item_func.h
    1.133 05/11/30 11:17:18 ramil@mysql.com +2 -2
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

  sql/item.cc
    1.190.6.1 05/11/30 11:17:17 ramil@mysql.com +2 -2
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

ChangeSet
  1.1960.5.64 05/11/29 15:33:58 jimw@mysql.com +4 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-clean
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  mysql-test/t/union.test
    1.92 05/11/29 15:33:54 jimw@mysql.com +1 -1
    Resolve conflict

  vio/viosslfactories.c
    1.19 05/11/29 15:24:02 jimw@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.14 05/11/29 15:24:02 jimw@mysql.com +0 -0
    Auto merged

  mysql-test/r/union.result
    1.79 05/11/29 15:24:02 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2392.26 05/11/29 11:52:58 jimw@mysql.com +1 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-14216
  into  mysql.com:/home/jimw/my/mysql-4.1-clean

  sql/item.cc
    1.58.1.172 05/11/29 11:52:56 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2427.4 05/11/29 15:38:39 stewart@mysql.com +1 -0
  DbdihMain.cpp:
    fix small error that jonas pointed out that would mean we always die on assert, intsead of just on error

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.14.1.14 05/11/29 15:38:05 stewart@mysql.com +5 -2
    fix small error that jonas pointed out that would mean we always die on assert, intsead of just on error

ChangeSet
  1.1960.41.2 05/11/29 18:06:58 ramil@mysql.com +2 -0
  Addition to fix for bug #12956: cast make differ rounding.
  - use rint() in some other val_int() methods as well.

  sql/item.h
    1.175.7.1 05/11/29 18:06:43 ramil@mysql.com +2 -2
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

  sql/field.cc
    1.293 05/11/29 18:06:42 ramil@mysql.com +2 -2
    Addition to fix for bug #12956: cast make differ rounding.
    - use rint() in some other val_int() methods as well.

ChangeSet
  1.1616.2427.3 05/11/29 14:55:26 stewart@mysql.com +1 -0
  ndb_size.pl:
    fix incorrect quoting of column name

  ndb/tools/ndb_size.pl
    1.5 05/11/29 14:55:08 stewart@mysql.com +3 -3
    fix incorrect quoting of column name

ChangeSet
  1.1616.2427.2 05/11/29 14:29:09 stewart@mysql.com +1 -0
  fix spuling mastaeke.
  
  Goup is not needed to run cluster

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.14.1.13 05/11/29 14:29:06 stewart@mysql.com +4 -4
    s/ownNodeGoup/ownNodeGroup/

ChangeSet
  1.1960.5.61 05/11/29 16:46:51 holyfoot@deer.(none) +1 -0
  test fixed

  mysql-test/r/type_ranges.result
    1.38 05/11/29 16:46:46 holyfoot@mysql.com +1 -1
    result fixed

ChangeSet
  1.1960.50.1 05/11/29 13:42:45 knielsen@mysql.com +4 -0
  Moved long running query to type_newdecimal-big.test
  Removed warnings that depends on floating point comparisions in type_newdecimal.test which caused failures in some setups
  [Backported from mysql-5.1-new @1.1961.1.1]

  mysql-test/t/type_newdecimal.test
    1.34 05/11/29 13:42:38 knielsen@mysql.com +24 -40
    Moved long running query to type_newdecimal-big.test
    Removed warnings that depends on floating point comparisions
    [Backported from mysql-5.1-new]

  mysql-test/r/type_newdecimal.result
    1.37 05/11/29 13:42:38 knielsen@mysql.com +0 -56
    Moved long running query to type_newdecimal-big.test
    Removed warnings that depends on floating point comparisions
    [Backported from mysql-5.1-new]

  mysql-test/r/type_newdecimal-big.result
    1.1 05/11/29 13:29:56 knielsen@mysql.com +11 -0

  mysql-test/t/type_newdecimal-big.test
    1.1 05/11/29 13:29:55 knielsen@mysql.com +31 -0

  mysql-test/r/type_newdecimal-big.result
    1.0 05/11/29 13:29:56 knielsen@mysql.com +0 -0
    BitKeeper file /usr/local/mysql/mysql-5.0/mysql-test/r/type_newdecimal-big.result

  mysql-test/t/type_newdecimal-big.test
    1.0 05/11/29 13:29:55 knielsen@mysql.com +0 -0
    BitKeeper file /usr/local/mysql/mysql-5.0/mysql-test/t/type_newdecimal-big.test

ChangeSet
  1.1960.5.60 05/11/29 13:33:56 holyfoot@mysql.com +1 -0
  Merge bk@192.168.21.1:mysql-5.0
  into mysql.com:/home/hf/work/mysql-5.0.14693

  sql/sql_table.cc
    1.289 05/11/29 13:33:48 holyfoot@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2428.1 05/11/29 12:15:48 gluh@eagle.intranet.mysql.r18.ru +1 -0
  Fix for bug#14221 SSL support breaks going from OpenSSL 0.9.7i to 0.9.8a
    added SSL_library_init()

  vio/viosslfactories.c
    1.16.1.1 05/11/29 12:15:00 gluh@mysql.com +10 -11
    Fix for bug#14221 SSL support breaks going from OpenSSL 0.9.7i to 0.9.8a
      added SSL_library_init()

ChangeSet
  1.1616.2427.1 05/11/29 08:42:36 stewart@mysql.com +1 -0
  DbdihMain.cpp:
    management server performs this check on configuration. If we get this far with something incorrect, something is very wrong.

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp
    1.14.1.12 05/11/29 08:42:05 stewart@mysql.com +2 -1
    management server performs this check on configuration. If we get this far with something incorrect, something is very wrong.

ChangeSet
  1.1960.5.59 05/11/29 09:25:51 bar@mysql.com +4 -0
  Merge mysql.com:/usr/home/bar/mysql-4.1.b10446
  into  mysql.com:/usr/home/bar/mysql-5.0

  sql/item_strfunc.h
    1.102 05/11/29 09:25:41 bar@mysql.com +0 -0
    Auto merged

  sql/item_strfunc.cc
    1.258.1.3 05/11/29 09:25:41 bar@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.13 05/11/29 09:25:40 bar@mysql.com +2 -12
    Auto merged

  mysql-test/r/ctype_recoding.result
    1.29 05/11/29 09:25:40 bar@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2392.24 05/11/29 09:21:57 bar@mysql.com +1 -0
  Merge abarkov@bk-internal.mysql.com:/home/bk/mysql-4.1
  into  mysql.com:/usr/home/bar/mysql-4.1.b10446

  sql/item.cc
    1.58.75.2 05/11/29 09:21:49 bar@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.49.1 05/11/28 21:57:50 timour@mysql.com +12 -0
  WL#2486 - Natural/using join according to SQL:2003.
  
  Post-review fixes according to Monty's review.

  sql/table.h
    1.120 05/11/28 21:57:46 timour@mysql.com +5 -4
    - column_ref_it no longer allocated for each new list of columns
    - new method get_natural_join_column for faster/simpler access
      to natural join columns.

  sql/table.cc
    1.209.1.1 05/11/28 21:57:46 timour@mysql.com +42 -14
    * Extended base_list_iterator, List_iterator, and List_iterator_fast with an
      empty constructor, and init() methods, so that one doesn't have to construct
      a new iterator object every time one needs to iterate over a new list.
    * Added new method Field_iterator_table_ref::get_natural_column_ref to be
      used in cases when it is known for sure that no new columns should be
      created.

  sql/sql_yacc.yy
    1.437.2.9 05/11/28 21:57:46 timour@mysql.com +6 -15
    Moved common functionality from the parser into one function, and renamed
    the function to better reflect what it does.

  sql/sql_parse.cc
    1.506.12.1 05/11/28 21:57:46 timour@mysql.com +13 -10
    Moved common functionality from the parser into one function, and renamed
    the function to better reflect what it does.

  sql/sql_list.h
    1.39 05/11/28 21:57:46 timour@mysql.com +17 -2
    Extended base_list_iterator, List_iterator, and List_iterator_fast with an
    empty constructor, and init() methods, so that one doesn't have to construct
    a new iterator object every time one needs to iterate over a new list.

  sql/sql_lex.h
    1.201.1.8 05/11/28 21:57:46 timour@mysql.com +2 -2
    Return error from push_contex() if there is no memory.

  sql/sql_lex.cc
    1.171.1.4 05/11/28 21:57:46 timour@mysql.com +5 -0
    Removed obsolete comment.

  sql/sql_insert.cc
    1.179 05/11/28 21:57:46 timour@mysql.com +18 -79
    Unite all code that stores and restores the state of a name resolution context
    into a class to represent the state, and methods to save/restore that
    state.

  sql/sql_base.cc
    1.310.3.11 05/11/28 21:57:46 timour@mysql.com +29 -48
    * Reorder parameters so that length is after the name of a field,
      and database is before table name.
    * Added new method - Field_iterator_table_ref::get_natural_column_ref
      to avoid unnecessary code when it is knwon that no new columns will
      be created when accessing natural join columns. 

  sql/sql_acl.cc
    1.182.1.1 05/11/28 21:57:45 timour@mysql.com +2 -1
    Reorder parameters so that length is after the name of a field,
    and database is before table name.

  sql/mysql_priv.h
    1.360.6.1 05/11/28 21:57:45 timour@mysql.com +7 -7
    Reorder parameters so that length is after the name of a field,
    and database is before table name.

  sql/item.h
    1.175.6.1 05/11/28 21:57:45 timour@mysql.com +42 -0
    Unite all code that stores and restores the state of a name resolution context
    into a class to represent the state, and methods to save/restore that
    state.

ChangeSet
  1.1960.48.1 05/11/28 22:15:43 aivanov@mysql.com +1 -0
  Changed mysqld.dsp to avoid compilation error in VC++

  VC++Files/sql/mysqld.dsp
    1.41 05/11/28 22:15:35 aivanov@mysql.com +1 -1
    Corrected wrong path to ha_archive.cpp (causes compilation
     error in VC++)

ChangeSet
  1.1960.44.4 05/11/28 10:52:52 jimw@mysql.com +8 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-5792
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  client/mysqltest.c
    1.178 05/11/28 10:52:48 jimw@mysql.com +0 -0
    Auto merged

  client/mysqlshow.c
    1.46 05/11/28 10:52:48 jimw@mysql.com +0 -0
    Auto merged

  client/mysqlimport.c
    1.56 05/11/28 10:52:48 jimw@mysql.com +0 -0
    Auto merged

  client/mysqldump.c
    1.215 05/11/28 10:52:48 jimw@mysql.com +0 -0
    Auto merged

  client/mysqlcheck.c
    1.52 05/11/28 10:52:47 jimw@mysql.com +0 -0
    Auto merged

  client/mysqlbinlog.cc
    1.122 05/11/28 10:52:47 jimw@mysql.com +0 -0
    Auto merged

  client/mysqladmin.cc
    1.112 05/11/28 10:52:47 jimw@mysql.com +0 -0
    Auto merged

  client/mysql.cc
    1.191 05/11/28 10:52:47 jimw@mysql.com +0 -1
    Auto merged

ChangeSet
  1.1960.44.3 05/11/28 10:51:54 jimw@mysql.com +3 -0
  Merge mysql.com:/home/jimw/my/mysql-5.0-14956
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  mysql-test/r/ps.result
    1.55 05/11/28 10:51:52 jimw@mysql.com +0 -0
    SCCS merged

  sql/sql_parse.cc
    1.506.1.15 05/11/28 10:51:26 jimw@mysql.com +0 -0
    Auto merged

  mysql-test/t/ps.test
    1.56 05/11/28 10:51:26 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.44.2 05/11/28 10:50:23 jimw@mysql.com +3 -0
  Merge mysql.com:/home/jimw/my/mysql-4.1-14155
  into  mysql.com:/home/jimw/my/mysql-5.0-clean

  mysql-test/r/create.result
    1.107 05/11/28 10:50:20 jimw@mysql.com +19 -19
    Resolve conflict

  sql/table.cc
    1.211 05/11/28 10:49:49 jimw@mysql.com +0 -0
    Auto merged

  mysql-test/t/create.test
    1.69 05/11/28 10:49:49 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.45.1 05/11/28 17:07:54 joerg@mysql.com +1 -0
  mysql-test/t/alter_table.test
      Care for case-insignificant platforms (Mac OS X, Windows).

  mysql-test/t/alter_table.test
    1.41.1.1 05/11/28 17:07:49 joerg@mysql.com +2 -0
    Care for case-insignificant platforms (Mac OS X, Windows).

ChangeSet
  1.1960.5.56 05/11/28 16:29:07 knielsen@mysql.com +2 -0
  Merge mysqldev@production:my/mysql-4.1.16-fixes
  into  mysql.com:/usr/local/mysql/mysql-5.0

  sql/log_event.cc
    1.199 05/11/28 16:28:59 knielsen@mysql.com +0 -1
    Discard 4.1 win32 compile fix that was already in 5.0.

ChangeSet
  1.1960.43.1 05/11/28 16:28:00 msvensson@neptunus.(none) +2 -0
  Include libyassl.la and libtaocrypt.la in libmysqlclient.la 

  libmysql/Makefile.am
    1.47 05/11/28 16:27:56 msvensson@neptunus.(none) +2 -2
    Add yassl .la libs to libmysqlclient.la

  config/ac-macros/yassl.m4
    1.10 05/11/28 16:27:56 msvensson@neptunus.(none) +2 -0
    Specify path to yassl libs

  include/config-win.h
    1.70 05/11/28 16:17:55 knielsen@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2426.1 05/11/28 15:07:20 knielsen@mysql.com +2 -0
  Minor Win32 compile fixes for 4.1.16 release.

  include/config-win.h
    1.48.1.8 05/11/28 14:56:53 knielsen@mysql.com +4 -4
    Win32 compile fix: quote multi-line macros with do { ... } while(0) to follow earlier changes in my_global.h.

  sql/log_event.cc
    1.113.1.74 05/11/28 14:55:35 knielsen@mysql.com +1 -1
    Add missing cast needed for Win32 compilation.

ChangeSet
  1.1960.5.53 05/11/28 17:06:57 bar@mysql.com +1 -0
  grant.result:
    After merge fix.

  mysql-test/r/grant.result
    1.46 05/11/28 17:06:26 bar@mysql.com +21 -0
    After merge fix.

ChangeSet
  1.1960.42.1 05/11/28 13:20:15 pem@mysql.com +3 -0
  Merge mysql.com:/usr/local/bk/mysql-5.0
  into  mysql.com:/usr/home/pem/bug14643/mysql-5.0

  mysql-test/t/sp.test
    1.161.2.3 05/11/28 13:20:08 pem@mysql.com +42 -44
    Manual merge.

  mysql-test/r/sp.result
    1.168.1.3 05/11/28 13:20:08 pem@mysql.com +0 -0
    Manual merge.

  sql/sp_head.cc
    1.195 05/11/28 12:39:46 pem@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.52 05/11/28 15:31:11 bar@mysql.com +4 -0
  Merge mysql.com:/usr/home/bar/mysql-4.1.b14406
  into  mysql.com:/usr/home/bar/mysql-5.0

  sql/sql_acl.cc
    1.183 05/11/28 15:30:50 bar@mysql.com +0 -48

  mysql-test/r/grant.result
    1.45 05/11/28 15:30:25 bar@mysql.com +0 -24

  mysql-test/t/grant.test
    1.36 05/11/28 15:28:37 bar@mysql.com +0 -0
    Auto merged

  mysql-test/r/ps_grant.result
    1.10 05/11/28 15:28:36 bar@mysql.com +0 -3
    Auto merged

ChangeSet
  1.1960.41.1 05/11/28 14:52:38 ramil@mysql.com +3 -0
  Fix for bug #12956: cast make differ rounding.

  sql/item_func.cc
    1.265.5.1 05/11/28 14:52:31 ramil@mysql.com +1 -1
    Fix for bug #12956: cast make differ rounding.
    - call rint() as we do in the Field_*int*::store(double)

  mysql-test/t/count_distinct3.test
    1.5 05/11/28 14:52:31 ramil@mysql.com +1 -1
    Fix for bug #12956: cast make differ rounding.

  mysql-test/r/ps.result
    1.53.2.1 05/11/28 14:52:30 ramil@mysql.com +7 -7
    Fix for bug #12956: cast make differ rounding.

ChangeSet
  1.1960.1.10 05/11/28 10:26:48 kent@mysql.com +6 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  sql/sql_class.h
    1.270.1.6 05/11/28 10:26:42 kent@mysql.com +0 -0
    Auto merged

  sql/sp_head.cc
    1.193.1.6 05/11/28 10:26:42 kent@mysql.com +0 -0
    Auto merged

  mysys/my_open.c
    1.25 05/11/28 10:26:41 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.3.4 05/11/28 10:26:41 kent@mysql.com +0 -0
    Auto merged

  mysql-test/r/sp.result
    1.168.2.4 05/11/28 10:26:41 kent@mysql.com +0 -31
    Auto merged

  include/my_global.h
    1.113 05/11/28 10:26:40 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.51 05/11/28 12:49:00 bar@mysql.com +2 -0
  Merge abarkov@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/bar/mysql-5.0.param

  sql/item.h
    1.175.1.8 05/11/28 12:48:42 bar@mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.190.1.12 05/11/28 12:48:41 bar@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1952.27.1 05/11/28 12:41:44 bar@mysql.com +2 -0
  item.cc, item.h:
    Fixing Item_param::safe_charset_converter to do less "new"s.

  sql/item.cc
    1.190.5.1 05/11/28 12:41:07 bar@mysql.com +10 -16
    Fixing Item_param::safe_charset_converter to do less "new"s.

  sql/item.h
    1.175.5.1 05/11/28 12:40:45 bar@mysql.com +4 -0
    Fixing Item_param::safe_charset_converter to do less "new"s.

ChangeSet
  1.1960.38.1 05/11/26 20:23:20 serg@serg.mylan +3 -0
  Merge serg.mylan:/usr/home/serg/Abk/mysql-4.1
  into serg.mylan:/usr/home/serg/Abk/mysql-5.0

  mysql-test/t/fulltext.test
    1.78 05/11/26 20:22:50 serg@serg.mylan +0 -0
    Auto merged

  mysql-test/r/fulltext.result
    1.82 05/11/26 20:22:50 serg@serg.mylan +0 -0
    Auto merged

  myisam/ft_parser.c
    1.48 05/11/26 20:22:50 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1616.2425.1 05/11/26 19:36:11 serg@serg.mylan +3 -0
  followup for for the bug#5686

  mysql-test/t/fulltext.test
    1.71.1.5 05/11/26 19:35:59 serg@serg.mylan +1 -0
    followup for for the bug#5686

  mysql-test/r/fulltext.result
    1.65.1.12 05/11/26 19:35:59 serg@serg.mylan +3 -0
    followup for for the bug#5686

  myisam/ft_parser.c
    1.43.1.3 05/11/26 19:35:59 serg@serg.mylan +3 -1
    followup for for the bug#5686

ChangeSet
  1.1960.5.48 05/11/26 19:15:17 dlenev@mysql.com +2 -0
  Enabled back bunch of tests for stored routines which were disabled
  earlier because of various features/checks missing (these features/checks
  are now implemented).

  mysql-test/t/sp.test
    1.161.5.6 05/11/26 19:15:09 dlenev@mysql.com +23 -42
    Enabled back bunch of tests which were previously disabled because of various
    features/checks missing (since these features/checks are now implemented).

  mysql-test/r/sp.result
    1.168.4.6 05/11/26 19:15:09 dlenev@mysql.com +125 -1
    Enabled back bunch of tests which were previously disabled because of various
    features/checks missing (since these features/checks are now implemented).

ChangeSet
  1.1960.5.47 05/11/26 08:56:59 serg@serg.mylan +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into serg.mylan:/usr/home/serg/Abk/mysql-5.0

  include/my_base.h
    1.74 05/11/26 08:56:43 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1960.37.1 05/11/26 08:54:13 serg@serg.mylan +3 -0
  documenting HA_STATUS_xxx flags

  sql/handler.h
    1.165 05/11/26 08:54:01 serg@serg.mylan +1 -1
    documenting HA_STATUS_xxx flags

  sql/examples/ha_example.cc
    1.20 05/11/26 08:54:01 serg@serg.mylan +2 -0
    documenting HA_STATUS_xxx flags

  include/my_base.h
    1.72.1.1 05/11/26 08:54:01 serg@serg.mylan +41 -8
    documenting HA_STATUS_xxx flags

ChangeSet
  1.1960.35.3 05/11/25 18:51:44 igor@rurik.mysql.com +3 -0
  Fixed bug #15106.
  A typo bug caused loss of a predicate of the form field=const in some cases.

  sql/item_cmpfunc.cc
    1.182.1.4 05/11/25 18:51:39 igor@rurik.mysql.com +1 -1
    Fixed bug #15106.
    A typo bug caused loss of a predicate of the form field=const in some cases.

  mysql-test/t/select.test
    1.93 05/11/25 18:51:39 igor@rurik.mysql.com +45 -0
    Added a test case for bug #15106.

  mysql-test/r/select.result
    1.114 05/11/25 18:51:39 igor@rurik.mysql.com +46 -0
    Added a test case for bug #15106.

ChangeSet
  1.1960.35.2 05/11/25 20:48:26 sergefp@mysql.com +1 -0
  Merge spetrunia@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/home/psergey/mysql-5.0-bug15204

  sql/opt_range.cc
    1.200 05/11/25 20:48:24 sergefp@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.36.1 05/11/25 20:47:22 sergefp@mysql.com +1 -0
  BUG#15024: get_best_covering_ror_intersect() tries to build ROR-intersection
  by starting with an empty index set and adding indexes to it until it
  becomes covering. If the set becomes covering after adding the first index,
  return NULL and don't try constructing ROR-intersection of one index (which
  caused a crash)

  sql/opt_range.cc
    1.198.1.1 05/11/25 20:47:18 sergefp@mysql.com +4 -4
    BUG#15024: get_best_covering_ror_intersect() tries to build ROR-intersection
    by starting with an empty index set and adding indexes to it until it
    becomes covering. If the set becomes covering after adding the first index,
    return NULL and don't try constructing ROR-intersection of one index (which
    caused a crash)

ChangeSet
  1.1944.1.10 05/11/25 17:09:26 pem@mysql.com +8 -0
  Fixed BUG#14233: Crash after tampering with the mysql.proc table
    Post-review version. Some minor review fixes, but also changed the way
    some errors are handled: Don't return specific parse errors; instead
    always use the more general "table corrupt" error (amended accordingly).

  sql/sql_yacc.yy
    1.437.4.1 05/11/25 17:09:19 pem@mysql.com +5 -0
    Mored ER_SP_NORETURN test of functions from sql_parse.cc for more general error handling.

  sql/sql_parse.cc
    1.506.11.1 05/11/25 17:09:19 pem@mysql.com +0 -8
    Mored ER_SP_NORETURN test of functions to sql_yacc.yy for more general error handling.

  sql/sql_base.cc
    1.310.1.5 05/11/25 17:09:18 pem@mysql.com +21 -6
    Review changes: Change error tests and added comments.

  sql/sp.cc
    1.98 05/11/25 17:09:18 pem@mysql.com +28 -17
    Review fixes.
    Changed the handling of parse errors, and added the routine name to the "table corrupt" error message.

  sql/share/errmsg.txt
    1.53 05/11/25 17:09:18 pem@mysql.com +1 -1
    Changed ER_SP_PROC_TABLE_CORRUPT to be more explicit.

  mysql-test/t/sp-destruct.test
    1.3 05/11/25 17:09:18 pem@mysql.com +6 -8
    Adopted the more consistent error handling for a corrupted mysql.proc table.
    (No more "parse error" et al).

  mysql-test/r/sp-error.result
    1.88.2.1 05/11/25 17:09:18 pem@mysql.com +1 -1
    Updated for fully qualified name in "no return" error message.

  mysql-test/r/sp-destruct.result
    1.3 05/11/25 17:09:18 pem@mysql.com +9 -11
    Updated results.

ChangeSet
  1.1960.34.2 05/11/25 18:53:55 konstantin@mysql.com +4 -0
  Post-merge fixes.

  sql/sql_table.cc
    1.287.1.2 05/11/25 18:53:49 konstantin@mysql.com +7 -8
    Post-merge fixes.

  mysql-test/r/select.result
    1.113 05/11/25 18:53:49 konstantin@mysql.com +8 -0
    Post-merge fixes.

  mysql-test/r/ps.result
    1.53.1.2 05/11/25 18:53:49 konstantin@mysql.com +19 -0
    Post-merge fixes.

  mysql-test/r/ndb_basic.result
    1.31 05/11/25 18:53:49 konstantin@mysql.com +4 -4
    Post-merge fixes.

ChangeSet
  1.1960.34.1 05/11/25 13:57:13 konstantin@mysql.com +18 -0
  Merge mysql.com:/opt/local/work/mysql-4.1-root
  into  mysql.com:/opt/local/work/mysql-5.0-root

  sql/sql_table.cc
    1.287.1.1 05/11/25 13:57:07 konstantin@mysql.com +3 -3
    Manual merge.

  sql/item.cc
    1.190.1.11 05/11/25 13:57:07 konstantin@mysql.com +2 -4
    Manual merge.

  sql/ha_ndbcluster.cc
    1.222 05/11/25 13:57:07 konstantin@mysql.com +3 -4
    Manual merge.

  sql-common/client.c
    1.80 05/11/25 13:57:07 konstantin@mysql.com +1 -0
    k	

  mysql-test/t/ps.test
    1.54.1.1 05/11/25 13:57:07 konstantin@mysql.com +28 -29
    Manual merge.

  mysql-test/t/ndb_basic.test
    1.32 05/11/25 13:57:07 konstantin@mysql.com +8 -17
    Manual merge.

  mysql-test/t/ndb_alter_table.test
    1.30 05/11/25 13:57:07 konstantin@mysql.com +0 -1
    Manual merge.

  mysql-test/r/select.result
    1.112 05/11/25 13:57:07 konstantin@mysql.com +0 -8
    Manual merge.

  mysql-test/r/ps.result
    1.53.1.1 05/11/25 13:57:07 konstantin@mysql.com +0 -19
    Manual merge.

  include/my_base.h
    1.73 05/11/25 13:57:06 konstantin@mysql.com +1 -2
    Manual merge.

  vio/viossl.c
    1.30 05/11/25 13:42:49 konstantin@mysql.com +0 -0
    Auto merged

  vio/vio.c
    1.26 05/11/25 13:42:49 konstantin@mysql.com +0 -0
    Auto merged

  sql/table.cc
    1.210 05/11/25 13:42:48 konstantin@mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.360.1.11 05/11/25 13:42:46 konstantin@mysql.com +0 -0
    Auto merged

  sql/handler.cc
    1.205 05/11/25 13:42:46 konstantin@mysql.com +0 -1
    Auto merged

  mysql-test/t/select.test
    1.92 05/11/25 13:42:46 konstantin@mysql.com +0 -0
    Auto merged

  mysql-test/r/ndb_basic.result
    1.30 05/11/25 13:42:45 konstantin@mysql.com +0 -4
    Auto merged

  mysql-test/r/ndb_alter_table.result
    1.32 05/11/25 13:42:45 konstantin@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2419.5 05/11/25 13:25:31 konstantin@mysql.com +5 -0
  A fix and a test case for Bug#14410 "Crash in Enum or Set type in 
  CREATE TABLE and PS/SP": make sure that 'typelib' object for
  ENUM values and 'Item_string' object for DEFAULT clause are 
  created in the statement memory root.

  sql/table.cc
    1.111.4.1 05/11/25 13:25:25 konstantin@mysql.com +3 -3
    Change typelib() function to require MEM_ROOT.

  sql/sql_table.cc
    1.157.2.150 05/11/25 13:25:25 konstantin@mysql.com +25 -4
    Supply the statement memory root to use in typelib() and
    safe_charset_converter() functions to ensure that objects 
    created during the first execution of CREATE TABLE statement
    are allocated in persistent memory of the statement.

  sql/mysql_priv.h
    1.186.91.43 05/11/25 13:25:25 konstantin@mysql.com +1 -1
    typelib() function declaration has been changed.

  mysql-test/t/ps.test
    1.27.1.17 05/11/25 13:25:25 konstantin@mysql.com +29 -0
    A test case for Bug#14410 "Crash in Enum or Set type in CREATE 
    TABLE and PS/SP"

  mysql-test/r/ps.result
    1.31.1.12 05/11/25 13:25:25 konstantin@mysql.com +19 -0
    Test results has been fixed (Bug#14410)

ChangeSet
  1.1616.2419.3 05/11/25 10:41:22 mskold@mysql.com +2 -0
  Updated expected error

  mysql-test/t/ndb_alter_table.test
    1.16.1.10 05/11/25 10:40:44 mskold@mysql.com +1 -1
    Updated expected error

  mysql-test/r/ndb_alter_table.result
    1.17.1.7 05/11/25 10:40:44 mskold@mysql.com +1 -1
    Updated expected error

ChangeSet
  1.1960.5.43 05/11/25 10:08:00 bar@mysql.com +2 -0
  Merge abarkov@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/bar/mysql-5.0.b14146

  sql/item_strfunc.h
    1.101 05/11/25 10:07:51 bar@mysql.com +0 -0
    Auto merged

  sql/item_strfunc.cc
    1.258.1.2 05/11/25 10:07:51 bar@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.41 05/11/24 19:51:52 pem@mysql.com +2 -0
  Remove t3 in join_nested.test

  mysql-test/t/join_nested.test
    1.16 05/11/24 19:51:45 pem@mysql.com +1 -1
    Remove t3 too.

  mysql-test/r/join_nested.result
    1.20 05/11/24 19:51:45 pem@mysql.com +1 -1
    Remove t3 too.

ChangeSet
  1.1960.27.4 05/11/24 19:13:13 pem@mysql.com +3 -0
  Some post-merge cleaning, and made assert THD::store_globals() work at all times.

  sql/sql_class.cc
    1.215.1.9 05/11/24 19:13:06 pem@mysql.com +1 -0
    Init THD::tread_stack in constructor.

  sql/mysqld.cc
    1.520 05/11/24 19:13:06 pem@mysql.com +4 -1
    Make sure we have thd->thread_stack set before calling store_globals().
    (And fixed compiler warning.)

  mysql-test/t/sp.test
    1.161.5.5 05/11/24 19:13:06 pem@mysql.com +2 -0
    Tidying up after merge.

ChangeSet
  1.1960.5.39 05/11/24 18:13:08 serg@serg.mylan +1 -0
  don't call handler::info() in SHOW CREATE TABLE

  sql/sql_show.cc
    1.299 05/11/24 18:12:26 serg@serg.mylan +0 -1
    don't call handler::info() in SHOW CREATE TABLE

ChangeSet
  1.1960.32.1 05/11/24 19:54:02 evgen@moonbone.local +3 -0
  Fix bug#13293 Wrongly used index results in endless loop.
  
  Loose index scan using only second part of multipart index was choosen, which
  results in creating wrong keys and endless loop.
  
  get_best_group_min_max() now allows loose index scan for distinct only if used
  keyparts forms a prefix of the index.

  sql/opt_range.cc
    1.199 05/11/24 19:50:01 evgen@moonbone.local +13 -0
    Fix bug #13293 Wrongly used index results in endless loop.
    get_best_group_min_max() now allows loose index scan for distinct only if used keyparts forms a prefix of the index.

  mysql-test/r/group_min_max.result
    1.18 05/11/24 19:49:50 evgen@moonbone.local +10 -0
    Test case for bug #13293 Wrongly used index results in endless loop.

  mysql-test/t/group_min_max.test
    1.16 05/11/24 19:49:25 evgen@moonbone.local +10 -0
    Test case for bug #13293 Wrongly used index results in endless loop.

ChangeSet
  1.1960.31.1 05/11/24 20:24:45 holyfoot@deer.(none) +3 -0
  Fix for bug #14693 (ALTER COLUMN SET DEFAULT has no effect)

  sql/sql_table.cc
    1.288 05/11/24 20:23:24 holyfoot@mysql.com +4 -1
    we should set the flag with the ALTER requirements

  mysql-test/t/alter_table.test
    1.42 05/11/24 20:23:24 holyfoot@mysql.com +9 -0
    test case

  mysql-test/r/alter_table.result
    1.55 05/11/24 20:23:24 holyfoot@mysql.com +6 -0
    test result

ChangeSet
  1.1960.30.1 05/11/24 17:17:36 msvensson@devsrv-b.mysql.com +5 -0
  Bug #15168  	yassl failure on amd64
   - Use libtool to build libraries

  libmysqld/examples/Makefile.am
    1.32 05/11/24 17:17:30 msvensson@devsrv-b.mysql.com +2 -2
    Add yassl includes and libs when linking examples with libmysqld

  libmysqld/Makefile.am
    1.66 05/11/24 17:17:30 msvensson@devsrv-b.mysql.com +1 -2
    Dont include yassl libs in libmysqld

  extra/yassl/taocrypt/src/Makefile.am
    1.11 05/11/24 17:17:29 msvensson@devsrv-b.mysql.com +4 -8
    Let libtool build libraries
    Only build one lib

  extra/yassl/src/Makefile.am
    1.9 05/11/24 17:17:29 msvensson@devsrv-b.mysql.com +2 -2
    Let libtool build libraries

  config/ac-macros/yassl.m4
    1.9 05/11/24 17:17:29 msvensson@devsrv-b.mysql.com +4 -6
    If necessary, disable inlining for all files in libtaocrypt not only integer.cpp
    Remove ver yassl_libs_with_path, not used anymore

ChangeSet
  1.1616.2423.1 05/11/24 19:16:51 evgen@moonbone.local +3 -0
  Fix bug #14482 Wrongly applied optimization in resolve_const_item() caused
  crash
  
  resolve_const_item() substitutes item which will evaluate to constant with
  equvalent constant item, basing on the item's result type. In this case
  subselect was resolved as constant, and resolve_const_item() was substituting
  it's result's Item_caches to Item_null. Later Item_cache's function was called
  for Item_null object, which caused server crash.
  
  resolve_const_item() now substitutes constants for items with 
  result_type == ROW_RESULT only for Item_rows.

  mysql-test/r/select.result
    1.34.3.34 05/11/24 19:15:05 evgen@moonbone.local +8 -0
    Test case for bug #14482 Wrongly applied optimization in resolve_const_item() caused crash

  mysql-test/t/select.test
    1.28.4.9 05/11/24 19:14:52 evgen@moonbone.local +11 -0
    Test case for bug #14482 Wrongly applied optimization in resolve_const_item() caused crash
    

  sql/item.cc
    1.58.76.1 05/11/24 19:13:37 evgen@moonbone.local +12 -3
    Fix bug #14482 Wrongly applied optimization in resolve_const_item() caused
    crash
    
    resolve_const_item() now applies optimization for items with
    result_type == ROW_RESULT only to Item_rows.

ChangeSet
  1.1960.5.38 05/11/24 18:42:39 anozdrin@mysql.com +1 -0
  Make it buildable with -ansi flag on some platforms.

  extra/innochecksum.c
    1.4 05/11/24 18:42:29 anozdrin@mysql.com +2 -0
    Define _XOPEN_SOURCE in order to include getopt.h when needed.
    
    The problem is that some platforms (for instance,
    SuSE 9.1/gcc-3.3.3) do not include getopt.h unless _XOPEN_SOURCE
    is defined, so optarg is undefined and the compiler complains.

ChangeSet
  1.1960.5.37 05/11/24 18:27:14 anozdrin@mysql.com +1 -0
  Polishing: get rid of C++-style comments.

  mysys/my_open.c
    1.22.1.2 05/11/24 18:27:04 anozdrin@mysql.com +3 -3
    Get rid of C++-style comments.

ChangeSet
  1.1616.2419.2 05/11/24 16:21:49 mskold@mysql.com +1 -0
  Merge mskold@bk-internal.mysql.com:/home/bk/mysql-4.1
  into  mysql.com:/usr/local/home/marty/MySQL/mysql-4.1

  sql/ha_ndbcluster.cc
    1.114.3.60 05/11/24 16:21:43 mskold@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2422.1 05/11/24 16:21:07 mskold@mysql.com +1 -0
  Moved check of wrong schema version earlier

  sql/ha_ndbcluster.cc
    1.114.17.1 05/11/24 16:20:46 mskold@mysql.com +8 -6
    Moved check of wrong schema version earlier

ChangeSet
  1.1960.29.1 05/11/24 16:11:59 timour@mysql.com +2 -0
  table t7 was not dropped at the end

  mysql-test/t/join_nested.test
    1.15 05/11/24 16:11:56 timour@mysql.com +1 -1
    drop t7

  mysql-test/r/join_nested.result
    1.19 05/11/24 16:11:56 timour@mysql.com +1 -1
    drop t7

ChangeSet
  1.1960.27.2 05/11/25 00:04:53 stewart@mysql.com +1 -0
  small build fix for some compilers

  ndb/src/common/mgmcommon/ConfigRetriever.cpp
    1.32 05/11/25 00:04:49 stewart@mysql.com +2 -1
    build fix for some compilers

ChangeSet
  1.1960.28.1 05/11/24 12:12:49 pem@mysql.com +2 -0
  Merge mysql.com:/usr/local/bk/mysql-5.0
  into  mysql.com:/usr/home/pem/bug13729/mysql-5.0

  mysql-test/t/sp.test
    1.161.5.4 05/11/24 12:12:43 pem@mysql.com +23 -27
    Manual merge fix.

  mysql-test/r/sp.result
    1.168.4.5 05/11/24 12:12:43 pem@mysql.com +0 -1
    Manual merge fix.

ChangeSet
  1.1960.5.33 05/11/24 13:42:47 ramil@mysql.com +1 -0
  Merge rkalimullin@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/ram/work/5.0.b15047

  sql/sql_class.h
    1.270.4.3 05/11/24 13:42:39 ramil@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.26.1 05/11/24 17:30:25 stewart@mysql.com +2 -0
  BUG#15215 mysqld fails at start-up because of illegal reply from mgmd
  
  In the rare circumstance where a mysqld connects to a mgm server, then the
  mgm server goes away before a node id can be allocated, it was possible to get
  an Error in mgm protocol parser error message.

  ndb/src/mgmapi/mgmapi.cpp
    1.56 05/11/24 17:30:21 stewart@mysql.com +7 -1
    Treat Eof and NoLine results from the parser as a sign that we should disconnect
    from this management server. It's up to the caller to work out if they want
    to try again.

  ndb/src/common/mgmcommon/ConfigRetriever.cpp
    1.31 05/11/24 17:30:21 stewart@mysql.com +6 -0
    When allocating node id, retry connecting to a management server if it goes away.

ChangeSet
  1.1965 05/11/23 21:44:21 igor@rurik.mysql.com +6 -0
  Merge rurik.mysql.com:/home/igor/mysql-5.0
  into  rurik.mysql.com:/home/igor/dev/mysql-5.0-2

  sql/sql_yacc.yy
    1.443 05/11/23 21:44:10 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.516 05/11/23 21:44:10 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.276 05/11/23 21:44:10 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.221 05/11/23 21:44:10 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_base.cc
    1.318 05/11/23 21:44:10 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/mysql_priv.h
    1.368 05/11/23 21:44:09 igor@rurik.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2421.1 05/11/23 17:31:44 jimw@mysql.com +3 -0
  Fix values printed by mysqldump for empty blob fields when
  --hex-blob is used. (Bug #13318)

  mysql-test/t/mysqldump.test
    1.19.5.1 05/11/23 17:31:41 jimw@mysql.com +9 -0
    Add new regression test

  mysql-test/r/mysqldump.result
    1.9.7.1 05/11/23 17:31:41 jimw@mysql.com +63 -0
    Add new results

  client/mysqldump.c
    1.143.12.1 05/11/23 17:31:41 jimw@mysql.com +7 -6
    Don't use 0x... syntax for empty fields.

ChangeSet
  1.1616.2420.1 05/11/23 17:05:59 jimw@mysql.com +3 -0
  Fix handling of maximum value for MAX_ROWS on 64-bit platforms. (Bug #14155)

  sql/table.cc
    1.111.1.21 05/11/23 17:05:56 jimw@mysql.com +4 -4
    To cap a value at 2^32-1 on a 64-bit platform, use UINT_MAX32, not
    ~(ulong)0, since a ulong may be 64-bit itself.

  mysql-test/t/create.test
    1.48.5.1 05/11/23 17:05:56 jimw@mysql.com +14 -0
    Add regression test

  mysql-test/r/create.result
    1.75.5.1 05/11/23 17:05:56 jimw@mysql.com +19 -0
    Add new results

ChangeSet
  1.1960.5.32 05/11/24 02:36:28 monty@mysql.com +12 -0
  Don't use PATH_MAX for FN_REFLEN as this uses too much stack space
  Larger stack size neaded for open table on x86 64 bit
  Fix failing test cases
  Deleted symlink from bk

  sql/unireg.h
    1.41 05/11/24 02:36:25 monty@mysql.com +2 -2
    More correct MAX_DBKEY_LENGTH

  sql/sql_parse.cc
    1.506.1.14 05/11/24 02:36:25 monty@mysql.com +1 -0
    Set thread_stack before store_globals()

  sql/sql_base.cc
    1.310.3.10 05/11/24 02:36:25 monty@mysql.com +1 -1
    More correct stack size

  sql/share/errmsg.txt
    1.50.1.11 05/11/24 02:36:25 monty@mysql.com +8 -8
    Remove quotes around error string for federated as two quotes in the output looks strange

  sql/mysql_priv.h
    1.360.1.10 05/11/24 02:36:25 monty@mysql.com +1 -0
    Stack size to have when opening a table
    (This was needed on x86 64 bit Linux)

  sql/ha_federated.cc
    1.57 05/11/24 02:36:25 monty@mysql.com +13 -12
    Fix error messages to be more consistent

  mysql-test/r/grant2.result
    1.21 05/11/24 02:36:25 monty@mysql.com +1 -1
    Update results after error message changes

  mysql-test/r/grant.result
    1.44 05/11/24 02:36:25 monty@mysql.com +2 -2
    Update results after error message changes

  mysql-test/r/federated.result
    1.23 05/11/24 02:36:25 monty@mysql.com +2 -2
    Update results after error message changes

  include/my_global.h
    1.110.1.2 05/11/24 02:36:25 monty@mysql.com +0 -4
    Don't use PATH_MAX for FN_REFLEN as this uses too much stack space.
    (With a PATH_MAX of 4096, we use 80K for opening a table as there is several objects of size FN_REFLEN on stack)

  BitKeeper/deleted/.del-ha_blackhole.cc~727c69ef7846623a
    1.2 05/11/24 02:02:23 monty@mysql.com +0 -0
    Delete: libmysqld/ha_blackhole.cc

  BitKeeper/etc/ignore
    1.212 05/11/24 01:55:42 monty@mysql.com +1 -0
    added libmysqld/ha_blackhole.cc

ChangeSet
  1.1957.3.1 05/11/23 14:57:26 jimw@mysql.com +3 -0
  Fix result of ROW_COUNT() after 'EXECUTE prepstmt'. (Bug #14956)

  sql/sql_parse.cc
    1.506.10.1 05/11/23 14:57:22 jimw@mysql.com +8 -4
    Don't reset row_count after processing EXECUTE statement.

  mysql-test/t/ps.test
    1.55 05/11/23 14:57:22 jimw@mysql.com +12 -0
    Add new test

  mysql-test/r/ps.result
    1.54 05/11/23 14:57:22 jimw@mysql.com +7 -0
    Add new results

ChangeSet
  1.1960.5.30 05/11/23 21:20:31 konstantin@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/opt/local/work/mysql-5.0-root

  sql/sql_class.cc
    1.215.1.8 05/11/23 21:20:23 konstantin@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.25.1 05/11/23 21:18:10 konstantin@mysql.com +7 -0
  Always initialize THD::thread_stack: it's used in
  check_stack_overrun().

  sql/tztime.cc
    1.28 05/11/23 21:18:04 konstantin@mysql.com +1 -0
    Add initialization for THD::thread_stack (an artificial
    THD used to initialize timezones).

  sql/sql_udf.cc
    1.54 05/11/23 21:18:04 konstantin@mysql.com +1 -0
    Add initialization for THD::thread_stack (an artificial
    THD used to initialize UDF subsystem).

  sql/sql_parse.cc
    1.506.1.13 05/11/23 21:18:04 konstantin@mysql.com +5 -1
    Move initialization of THD::thread_stack before
    THD::store_globals().

  sql/sql_insert.cc
    1.178 05/11/23 21:18:04 konstantin@mysql.com +1 -0
    Add initialization of THD::thread_stack (delayed insert
    thread).

  sql/sql_class.cc
    1.215.3.1 05/11/23 21:18:04 konstantin@mysql.com +6 -0
    Add an assert that THD::thread_stack is assigned.

  sql/sql_acl.cc
    1.182 05/11/23 21:18:04 konstantin@mysql.com +2 -0
    Initialize THD::thread_stack in artificial THDs used
    to load gratns subsystem.

  sql/slave.cc
    1.263 05/11/23 21:18:04 konstantin@mysql.com +1 -1
    Move initialization of THD::thread_stack before THD::store_globals()

ChangeSet
  1.1952.26.1 05/11/23 18:18:41 SergeyV@selena. +3 -0
  Fixes bug #14902. When analysing a table with FT index that contains stopwords
  table statistics is not updated, so the next execution of analyze table will
  try to update statistics again.

  mysql-test/t/analyze.test
    1.5.1.1 05/11/23 18:18:30 SergeyV@selena. +14 -0
    Test for bug #14902.

  mysql-test/r/analyze.result
    1.2.1.1 05/11/23 18:18:30 SergeyV@selena. +9 -0
    Updated result file for bug #14902 test.

  myisam/mi_check.c
    1.141 05/11/23 18:18:29 SergeyV@selena. +2 -1
    Fixes bug #14902. When analysing a table with FT index that contains stopwords
    table statistics is not updated, so the next execution of analyze table will
    try to update statistics again.

ChangeSet
  1.1960.24.1 05/11/23 11:56:53 pem@mysql.com +5 -0
  Fixed BUG#13729 Stored procedures: packet error after exception handled
    Don't set thd->is_fatal_error in sql_update for duplicate key errors.

  sql/sql_update.cc
    1.174.1.7 05/11/23 11:56:46 pem@mysql.com +12 -2
    Don't set thd->is_fatal_error if it's a duplicate key error.

  mysql-test/t/sp_trans.test
    1.6 05/11/23 11:56:46 pem@mysql.com +64 -0
    New test case for BUG#14840.

  mysql-test/t/sp.test
    1.161.7.1 05/11/23 11:56:45 pem@mysql.com +27 -0
    New test case for BUG#13729.

  mysql-test/r/sp_trans.result
    1.6 05/11/23 11:56:45 pem@mysql.com +56 -0
    New test case for BUG#14840.

  mysql-test/r/sp.result
    1.168.6.1 05/11/23 11:56:45 pem@mysql.com +18 -0
    New test case for BUG#13729.

ChangeSet
  1.1960.23.5 05/11/23 12:26:07 bell@sanja.is.com.ua +3 -0
  A name of macro is fixed.

  sql/sql_yacc.yy
    1.437.2.8 05/11/23 12:26:03 bell@sanja.is.com.ua +3 -3
    A name of macro is fixed.

  sql/sql_class.h
    1.270.5.4 05/11/23 12:26:03 bell@sanja.is.com.ua +1 -1
    A name of macro is fixed.

  sql/sql_class.cc
    1.215.1.7 05/11/23 12:26:03 bell@sanja.is.com.ua +1 -1
    A name of macro is fixed.

ChangeSet
  1.1960.5.28 05/11/23 09:52:18 serg@serg.mylan +1 -0
  merged

  sql/share/errmsg.txt
    1.50.1.10 05/11/23 09:52:04 serg@serg.mylan +1 -1
    merged

ChangeSet
  1.1964 05/11/22 23:00:57 igor@rurik.mysql.com +18 -0
  Merge rurik.mysql.com:/home/igor/mysql-5.0
  into  rurik.mysql.com:/home/igor/dev/mysql-5.0-2

  sql/sql_yacc.yy
    1.442 05/11/22 23:00:46 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_select.cc
    1.374 05/11/22 23:00:46 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_prepare.cc
    1.166 05/11/22 23:00:46 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.515 05/11/22 23:00:45 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_lex.h
    1.208 05/11/22 23:00:45 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_lex.cc
    1.175 05/11/22 23:00:45 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.275 05/11/22 23:00:45 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.220 05/11/22 23:00:45 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/sql_base.cc
    1.317 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_sum.cc
    1.169 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_subselect.cc
    1.122 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_strfunc.cc
    1.260 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_func.cc
    1.268 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item_cmpfunc.cc
    1.186 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.h
    1.181 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  sql/item.cc
    1.197 05/11/22 23:00:44 igor@rurik.mysql.com +0 -0
    Auto merged

  mysql-test/t/func_gconcat.test
    1.39 05/11/22 23:00:43 igor@rurik.mysql.com +0 -0
    Auto merged

  mysql-test/r/func_gconcat.result
    1.50 05/11/22 23:00:43 igor@rurik.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.23.4 05/11/23 02:49:44 bell@sanja.is.com.ua +5 -0
  postmerge fix

  sql/sql_trigger.cc
    1.35 05/11/23 02:49:40 bell@sanja.is.com.ua +1 -0
    postmerge fix

  sql/sql_parse.cc
    1.506.1.12 05/11/23 02:49:40 bell@sanja.is.com.ua +4 -2
    postmerge fix

  sql/sp.cc
    1.96.1.6 05/11/23 02:49:40 bell@sanja.is.com.ua +4 -8
    postmerge fix

  sql/item.cc
    1.190.1.10 05/11/23 02:49:40 bell@sanja.is.com.ua +0 -1
    postmerge fix

  mysql-test/r/sp.result
    1.168.4.4 05/11/23 02:49:40 bell@sanja.is.com.ua +67 -67
    postmerge fix

ChangeSet
  1.1960.23.3 05/11/23 01:29:25 bell@sanja.is.com.ua +1 -0
  merge

  sql/sp.cc
    1.96.1.5 05/11/23 01:29:21 bell@sanja.is.com.ua +8 -2
    merge

ChangeSet
  1.1960.23.2 05/11/23 01:28:32 bell@sanja.is.com.ua +15 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/work-bug7-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge-5.0

  sql/share/errmsg.txt
    1.50.3.2 05/11/23 01:28:29 bell@sanja.is.com.ua +2 -2
    merge

  mysql-test/r/sp.result
    1.168.4.3 05/11/23 01:28:29 bell@sanja.is.com.ua +0 -0
    merge

  sql/sql_parse.cc
    1.506.1.11 05/11/23 01:12:36 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_class.h
    1.270.5.3 05/11/23 01:12:35 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_base.cc
    1.310.3.9 05/11/23 01:12:35 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp_head.h
    1.77 05/11/23 01:12:35 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp_head.cc
    1.193.4.6 05/11/23 01:12:35 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/set_var.cc
    1.145 05/11/23 01:12:35 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/mysqld.cc
    1.519 05/11/23 01:12:34 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item_func.cc
    1.265.1.5 05/11/23 01:12:34 bell@sanja.is.com.ua +0 -0
    Auto merged

  mysql-test/t/trigger.test
    1.30 05/11/23 01:12:33 bell@sanja.is.com.ua +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.5.3 05/11/23 01:12:33 bell@sanja.is.com.ua +0 -0
    Auto merged

  mysql-test/t/sp-error.test
    1.97 05/11/23 01:12:33 bell@sanja.is.com.ua +0 -0
    Auto merged

  mysql-test/r/trigger.result
    1.24 05/11/23 01:12:33 bell@sanja.is.com.ua +0 -0
    Auto merged

  mysql-test/r/sp-error.result
    1.93 05/11/23 01:12:33 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1944.73.2 05/11/23 01:11:19 bell@sanja.is.com.ua +22 -0
  Recursion support made for SP (BUG#10100).

  sql/sql_parse.cc
    1.506.9.1 05/11/23 01:11:09 bell@sanja.is.com.ua +12 -6
    sp_find_function() and sp_find_procedure() joined to sp_find_routine()
      function as it was mentioned in TODO.

  sql/sql_class.h
    1.270.6.1 05/11/23 01:11:09 bell@sanja.is.com.ua +1 -0
    max_sp_recursion_depth variable added.

  sql/sql_base.cc
    1.310.7.1 05/11/23 01:11:09 bell@sanja.is.com.ua +5 -0
    open_table() consume a lot of stack space so we check free stack space before it.

  sql/sp_head.h
    1.73.1.1 05/11/23 01:11:09 bell@sanja.is.com.ua +28 -0
    New sp_head variables added to support inst of instances of SP
      for recursion and pointer on ths first free to use instance.

  sql/sp_head.cc
    1.193.7.1 05/11/23 01:11:08 bell@sanja.is.com.ua +70 -26
    Initialization of new sp_head fields to get correct list of instances
      contained one instance only.
    Stack requirement for SP instruction is increased.
    Stack free space is checked before mem root initialisation to avoid
      memory leak.
    Pointer to the free instance management added before and after
      SP execution.

  sql/sp.h
    1.29.1.1 05/11/23 01:11:08 bell@sanja.is.com.ua +2 -4
    sp_find_function() and sp_find_procedure() joined to sp_find_routine()
      function as it was mentioned in TODO.

  sql/sp.cc
    1.96.3.1 05/11/23 01:11:08 bell@sanja.is.com.ua +157 -135
    sp_find_function() and sp_find_procedure() joined to sp_find_routine()
      function as it was mentioned in TODO.
    Temory LEX is allocated on a stack, not on a heap.
    Recursion support added for stored procedures.

  sql/share/errmsg.txt
    1.50.4.1 05/11/23 01:11:07 bell@sanja.is.com.ua +3 -1
    An error message changed.
    An error message added.

  sql/set_var.cc
    1.142.1.1 05/11/23 01:11:06 bell@sanja.is.com.ua +5 -0
    max_sp_recursion_depth variable added.

  sql/mysqld.cc
    1.514.3.1 05/11/23 01:11:06 bell@sanja.is.com.ua +6 -0
    max_sp_recursion_depth variable added.

  sql/item_func.cc
    1.265.4.1 05/11/23 01:11:06 bell@sanja.is.com.ua +9 -2
    sp_find_function() and sp_find_procedure() joined to sp_find_routine()
      function as it was mentioned in TODO.

  mysql-test/t/variables.test
    1.51 05/11/23 01:11:06 bell@sanja.is.com.ua +4 -0
    Test of max_sp_recursion_depth variable.

  mysql-test/t/trigger.test
    1.27.2.1 05/11/23 01:11:06 bell@sanja.is.com.ua +4 -0
    Check that triggers are not affected by this patch.

  mysql-test/t/sp.test
    1.161.6.1 05/11/23 01:11:05 bell@sanja.is.com.ua +154 -0
    Tests for recursion.

  mysql-test/t/sp-error.test
    1.92.1.1 05/11/23 01:11:05 bell@sanja.is.com.ua +4 -3
    Error messages changed.
    Test of bug11394() made with allowed recursion.

  mysql-test/t/sp-dynamic.test
    1.2 05/11/23 01:11:05 bell@sanja.is.com.ua +14 -3
    The test expanded for case of allowed/disalowed recursion.

  mysql-test/r/variables.result
    1.76 05/11/23 01:11:05 bell@sanja.is.com.ua +8 -0
    Test of max_sp_recursion_depth variable.

  mysql-test/r/trigger.result
    1.20.2.1 05/11/23 01:11:05 bell@sanja.is.com.ua +3 -0
    Check that triggers are not affected by this patch.

  mysql-test/r/sp.result
    1.168.5.1 05/11/23 01:11:05 bell@sanja.is.com.ua +185 -0
    Tests for recursion.

  mysql-test/r/sp-error.result
    1.88.1.1 05/11/23 01:11:05 bell@sanja.is.com.ua +6 -3
    Error messages changed.
    Test of bug11394() made with allowed recursion.

  mysql-test/r/sp-dynamic.result
    1.2 05/11/23 01:11:05 bell@sanja.is.com.ua +12 -3
    The test expanded for case of allowed/disalowed recursion.

  client/mysqltest.c
    1.177 05/11/23 01:11:04 bell@sanja.is.com.ua +23 -17
    An expected error messages hiding from the log if disable_result_log is in force.

ChangeSet
  1.1960.23.1 05/11/23 00:58:13 bell@sanja.is.com.ua +14 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/work-bug2-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge-5.0

  sql/sp_rcontext.h
    1.28 05/11/23 00:58:09 bell@sanja.is.com.ua +0 -0
    merge

  sql/item.cc
    1.190.1.9 05/11/23 00:58:09 bell@sanja.is.com.ua +2 -1
    merge

  mysql-test/t/trigger.test
    1.29 05/11/23 00:58:09 bell@sanja.is.com.ua +28 -28
    merge

  mysql-test/t/sp.test
    1.161.5.2 05/11/23 00:58:09 bell@sanja.is.com.ua +25 -24
    merge

  mysql-test/r/trigger.result
    1.23 05/11/23 00:58:09 bell@sanja.is.com.ua +14 -14
    merge

  mysql-test/r/sp.result
    1.168.4.2 05/11/23 00:58:09 bell@sanja.is.com.ua +17 -17
    merge

  sql/sql_yacc.yy
    1.437.2.7 05/11/23 00:51:49 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_trigger.cc
    1.34 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_class.h
    1.270.5.2 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_class.cc
    1.215.1.6 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp_head.cc
    1.193.4.5 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp.cc
    1.96.1.4 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/protocol.cc
    1.111 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item.h
    1.175.1.7 05/11/23 00:51:48 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1932.368.1 05/11/23 00:50:37 bell@sanja.is.com.ua +16 -0
  Fix for BUG#13549 "Server crash with nested stored procedures
  if inner routine has more local variables than outer one, and
  one of its last variables was used as argument to NOT operator".
  
  THD::spcont was non-0 when we were parsing stored routine/trigger
  definition during execution of another stored routine. This confused
  methods of Item_splocal and forced them use wrong runtime context.
  Fix ensures that we always have THD::spcont equal to zero during
  routine/trigger body parsing. This also allows to avoid problems
  with errors which occur during parsing and SQL exception handlers.

  sql/sql_yacc.yy
    1.431.1.1 05/11/23 00:50:33 bell@sanja.is.com.ua +17 -3
    Protection against using wrong context by SP local variable.

  sql/sql_trigger.cc
    1.29.1.1 05/11/23 00:50:33 bell@sanja.is.com.ua +3 -0
    Do not allow Trigger which we are parsing to use
    other SP context (BUG#13549).

  sql/sql_class.h
    1.268.2.1 05/11/23 00:50:32 bell@sanja.is.com.ua +7 -0
    Protection against using wrong context by SP local variable.

  sql/sql_class.cc
    1.213.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +7 -1
    Protection against using wrong context by SP local variable.

  sql/sql_cache.h
    1.31 05/11/23 00:50:32 bell@sanja.is.com.ua +1 -1
    An incorrect macro name fixed.

  sql/sp_rcontext.h
    1.25.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +8 -0
    Protection against using wrong context by SP local variable.

  sql/sp_head.cc
    1.188.5.1 05/11/23 00:50:32 bell@sanja.is.com.ua +9 -0
    Protection against using wrong context by SP local variable.

  sql/sp.cc
    1.95.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +5 -1
    Do not allow SP which we are parsing to use other SP
    context (BUG#13549).

  sql/protocol.h
    1.31 05/11/23 00:50:32 bell@sanja.is.com.ua +1 -1
    An incorrect macro name fixed.

  sql/protocol.cc
    1.108.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +19 -19
    An incorrect macro name fixed.

  sql/item.h
    1.171.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +9 -0
    Protection against using wrong context by SP local variable.

  sql/item.cc
    1.185.2.1 05/11/23 00:50:32 bell@sanja.is.com.ua +6 -1
    Protection against using wrong context by SP local variable.

  mysql-test/t/trigger.test
    1.27.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +28 -0
    Test suite for bug#13549.

  mysql-test/t/sp.test
    1.153.3.1 05/11/23 00:50:32 bell@sanja.is.com.ua +27 -0
    Test suite for bug#13549.

  mysql-test/r/trigger.result
    1.20.1.1 05/11/23 00:50:32 bell@sanja.is.com.ua +14 -0
    Test suite for bug#13549.

  mysql-test/r/sp.result
    1.157.3.1 05/11/23 00:50:32 bell@sanja.is.com.ua +17 -0
    Test suite for bug#13549.

ChangeSet
  1.1960.22.1 05/11/22 23:46:54 ranger@regul.home.lan +3 -0
  Added support of stress mode to mysql-test-run.pl
  Corrected function declaration 

  mysql-test/lib/mtr_stress.pl
    1.1 05/11/22 23:43:42 ranger@regul.home.lan +172 -0
    Added support of stress mode

  mysql-test/mysql-test-run.pl
    1.59 05/11/22 23:43:42 ranger@regul.home.lan +26 -0
    Added support of stress mode 

  mysql-test/lib/mtr_stress.pl
    1.0 05/11/22 23:43:42 ranger@regul.home.lan +0 -0
    BitKeeper file /mnt/md/bk/mysql-5.0/mysql-test/lib/mtr_stress.pl

  mysql-test/lib/mtr_misc.pl
    1.6 05/11/22 23:43:42 ranger@regul.home.lan +2 -2
    Corrected function declaration 

ChangeSet
  1.1960.5.27 05/11/22 21:16:11 serg@serg.mylan +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into serg.mylan:/usr/home/serg/Abk/mysql-5.0

  sql/share/errmsg.txt
    1.50.1.9 05/11/22 21:15:55 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1960.15.2 05/11/22 21:10:38 serg@serg.mylan +1 -0
  German error messages

  sql/share/errmsg.txt
    1.50.1.8 05/11/22 21:10:27 serg@serg.mylan +276 -103
    German error messages

ChangeSet
  1.1960.5.26 05/11/22 20:15:54 joerg@mysql.com +1 -0
  Manual merge from 4.1, bug#15145.

  support-files/mysql.spec.sh
    1.128 05/11/22 20:15:50 joerg@mysql.com +5 -5
    Manual merge from 4.1, bug#15145.

ChangeSet
  1.1616.2418.1 05/11/22 19:58:58 joerg@mysql.com +1 -0
  support-files/mysql.spec.sh   
  Fix a possible problem on RPM un-install. bug#15145

  support-files/mysql.spec.sh
    1.83.1.28 05/11/22 19:58:54 joerg@mysql.com +17 -12
    Extend the file existence check for "init.d/mysql" on un-install
    to also guard the call to "insserv"/"chkconfig".
    bug#15145, br#5369 / 5586, csc#7129

ChangeSet
  1.1960.5.25 05/11/22 16:01:04 pem@mysql.com +1 -0
  Set type and default correctly for local SP variables during parsing.

  sql/sql_yacc.yy
    1.437.2.6 05/11/22 16:00:57 pem@mysql.com +4 -3
    Set type and default correctly for local SP variables.

ChangeSet
  1.1960.5.24 05/11/22 14:25:44 pem@mysql.com +1 -0
  Post-merge fixes in sp_head.cc (print methods).

  sql/sp_head.cc
    1.193.4.4 05/11/22 14:25:37 pem@mysql.com +10 -10
    Post-merge fixes.
    Use STRING_WITH_LEN in all print methods.

ChangeSet
  1.1960.5.23 05/11/22 13:24:53 pem@mysql.com +4 -0
  Merge mysql.com:/usr/local/bk/mysql-5.0
  into  mysql.com:/usr/home/pem/show-sp-code/mysql-5.0

  sql/sp_head.cc
    1.193.4.3 05/11/22 13:24:47 pem@mysql.com +16 -35
    Merge fixes (STRING_WITH_LEN in string append calls).

  sql/sql_yacc.yy
    1.437.2.5 05/11/22 13:13:20 pem@mysql.com +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.10 05/11/22 13:13:20 pem@mysql.com +0 -0
    Auto merged

  sql/sp_head.h
    1.76 05/11/22 13:13:19 pem@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1952.22.4 05/11/22 13:06:52 pem@mysql.com +1 -0
  Some final cleanup of the sp_instr print methods.

  sql/sp_head.cc
    1.193.5.3 05/11/22 13:06:45 pem@mysql.com +42 -23
    Use a #define constant for reserving string space for numbers in print methods.
    Added some comments.

ChangeSet
  1.1960.5.22 05/11/22 11:34:55 lars@mysql.com +1 -0
  Merge mysql.com:/users/lthalmann/bkroot/mysql-5.0
  into  mysql.com:/users/lthalmann/bk/mysql-5.0-hexdump

  sql/log_event.cc
    1.198 05/11/22 11:34:41 lars@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1346.1.815 05/11/22 10:55:06 bell@sanja.is.com.ua +1 -0
  Merge abelkin@bk-internal.mysql.com:/home/bk/mysql-4.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/mysql-4.0

  sql/mysql_priv.h
    1.150.1.88 05/11/22 10:55:04 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1957.1.2 05/11/22 02:40:08 lars@mysql.com +1 -0
  Added explicit casts, since on i686, the fprintf function does not cast my_off_t correctly.
  Changed wrong printf to fprintf.

  sql/log_event.cc
    1.196.1.1 05/11/22 02:39:58 lars@mysql.com +12 -6
    Added explicit casts, changed wrong printf to fprintf

ChangeSet
  1.1960.21.1 05/11/22 01:17:06 kent@mysql.com +1 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0-distcheck

  configure.in
    1.366 05/11/22 01:16:59 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.1.8 05/11/22 01:02:42 kent@mysql.com +10 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0

  sql/sql_repl.cc
    1.146 05/11/22 01:02:35 kent@mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.270.1.5 05/11/22 01:02:34 kent@mysql.com +0 -0
    Auto merged

  sql/sp_head.cc
    1.193.1.5 05/11/22 01:02:34 kent@mysql.com +0 -0
    Auto merged

  sql/log.cc
    1.186 05/11/22 01:02:33 kent@mysql.com +0 -0
    Auto merged

  mysys/my_open.c
    1.24 05/11/22 01:02:33 kent@mysql.com +0 -0
    Auto merged

  mysys/my_create.c
    1.13 05/11/22 01:02:33 kent@mysql.com +0 -0
    Auto merged

  mysql-test/t/sp.test
    1.161.3.3 05/11/22 01:02:33 kent@mysql.com +1 -1
    Auto merged

  mysql-test/r/sp.result
    1.168.2.3 05/11/22 01:02:32 kent@mysql.com +0 -0
    Auto merged

  include/my_sys.h
    1.178 05/11/22 01:02:32 kent@mysql.com +0 -0
    Auto merged

  include/my_global.h
    1.112 05/11/22 01:02:31 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.20 05/11/21 23:30:14 ingo@production.mysql.com +1 -0
  Merge istruewing@bk-internal.mysql.com:/home/bk/mysql-5.0
  into production.mysql.com:/usersnfs/istruewing/autopush/mysql-5.0

  sql/field.cc
    1.292 05/11/21 23:30:09 ingo@production.mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.19 05/11/21 21:15:48 bell@sanja.is.com.ua +16 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/work-bug1-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge-5.0

  sql/sql_view.cc
    1.78 05/11/21 21:15:43 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_table.cc
    1.287 05/11/21 21:15:42 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_show.cc
    1.298 05/11/21 21:15:42 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_select.cc
    1.367.1.11 05/11/21 21:15:42 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_prepare.cc
    1.159.1.7 05/11/21 21:15:42 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sql_parse.cc
    1.506.1.9 05/11/21 21:15:42 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/spatial.cc
    1.26 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/sp_head.cc
    1.193.4.2 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/mysqld.cc
    1.518 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/log.cc
    1.184.1.2 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item_timefunc.cc
    1.100 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item_func.cc
    1.265.1.4 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item.h
    1.175.1.6 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/item.cc
    1.190.1.8 05/11/21 21:15:41 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/handler.cc
    1.204 05/11/21 21:15:40 bell@sanja.is.com.ua +0 -0
    Auto merged

  sql/ha_federated.cc
    1.56 05/11/21 21:15:40 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1960.5.18 05/11/21 21:14:36 bell@sanja.is.com.ua +1 -0
  Merge sanja.is.com.ua:/home/bell/mysql/bk/work-bug4-5.0
  into  sanja.is.com.ua:/home/bell/mysql/bk/work-merge-5.0

  sql/sql_base.cc
    1.310.3.8 05/11/21 21:14:32 bell@sanja.is.com.ua +0 -0
    Auto merged

ChangeSet
  1.1952.25.1 05/11/21 21:11:02 bell@sanja.is.com.ua +3 -0
  Avoiding removing dummy TABLE allocated on the stack (BUG#14726).

  sql/sql_base.cc
    1.310.6.1 05/11/21 21:10:59 bell@sanja.is.com.ua +8 -9
    Avoiding removing dummy TABLE allocated on the stack (BUG#14726).

  mysql-test/t/view_grant.test
    1.8 05/11/21 21:10:59 bell@sanja.is.com.ua +36 -0
    BUG#14726 test suite.

  mysql-test/r/view_grant.result
    1.8 05/11/21 21:10:59 bell@sanja.is.com.ua +17 -0
    BUG#14726 test suite.

ChangeSet
  1.1960.5.17 05/11/21 18:31:36 joerg@mysql.com +1 -0
  Merge jbruehe@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/M50/mysql-5.0

  client/mysqldump.c
    1.214 05/11/21 18:31:31 joerg@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.16 05/11/21 21:11:28 bar@mysql.com +2 -0
  cast.result:
    Fixing test results accordingly.
  item_timefunc.cc:
    Displaying BINARY or CHAR in error messages,
    depending on the character set.

  mysql-test/r/cast.result
    1.39 05/11/21 21:10:54 bar@mysql.com +13 -13
    Fixing test results accordingly.

  sql/item_timefunc.cc
    1.98.1.2 05/11/21 21:10:28 bar@mysql.com +2 -1
    Displaying BINARY or CHAR in error messages,
    depending on the character set.

ChangeSet
  1.1960.5.14 05/11/21 19:59:58 bar@mysql.com +2 -0
    Additional fix for Bug#14255 CAST(x AS BINARY(N)) does not pad
  cast.result:
  cast.test:
    Avoid 0x00 byte in test results, use HEX instead.

  mysql-test/r/cast.result
    1.38 05/11/21 19:59:20 bar@mysql.com +5 -5
    Additional fix for Bug#14255 CAST(x AS BINARY(N)) does not pad

  mysql-test/t/cast.test
    1.29 05/11/21 19:58:31 bar@mysql.com +2 -2
    Additional fix for Bug#14255 CAST(x AS BINARY(N)) does not pad
    Avoid 0x00 byte in test results, use HEX instead.

ChangeSet
  1.1960.20.1 05/11/21 16:05:40 pem@mysql.com +1 -0
  Check for zlib with a zzlibCompileFlags() function in config/ac-macros/zlib.m4.
  (Patch provided by serg)

  config/ac-macros/zlib.m4
    1.5 05/11/21 16:05:33 pem@mysql.com +1 -1
    Check for zlib with a zzlibCompileFlags() function.
    This makes it pick the bundled zlib if there's an old installed version
    (which wouldn't work).

ChangeSet
  1.1960.18.1 05/11/21 15:49:34 joerg@mysql.com +9 -0
  Merge the last 5.0.16 (Unix, Windows) and 5.0.16a (Netware) changes to the general tree.

  configure.in
    1.363.1.1 05/11/21 15:49:29 joerg@mysql.com +0 -1
    Manual merge - new version (17) takes precedence.

  sql/sql_repl.cc
    1.144.1.1 05/11/21 15:36:57 joerg@mysql.com +0 -7
    Auto merged

  sql/sql_class.h
    1.270.5.1 05/11/21 15:36:57 joerg@mysql.com +0 -1
    Auto merged

  sql/log.cc
    1.184.1.1 05/11/21 15:36:57 joerg@mysql.com +0 -1
    Auto merged

  mysys/my_open.c
    1.22.1.1 05/11/21 15:36:57 joerg@mysql.com +0 -184
    Auto merged

  mysys/my_create.c
    1.11.1.1 05/11/21 15:36:57 joerg@mysql.com +0 -4
    Auto merged

  include/my_sys.h
    1.176.1.1 05/11/21 15:36:57 joerg@mysql.com +0 -1
    Auto merged

  include/my_global.h
    1.110.1.1 05/11/21 15:36:56 joerg@mysql.com +0 -9
    Auto merged

  client/mysql.cc
    1.190 05/11/21 15:36:56 joerg@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.5.13 05/11/21 17:57:14 bar@mysql.com +1 -0
  Merge abarkov@bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/usr/home/bar/mysql-5.0.b14255

  sql/item_timefunc.cc
    1.98.1.1 05/11/21 17:57:05 bar@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2417.1 05/11/21 17:26:31 bar@mysql.com +5 -0
    Bug#10446 Illegal mix of collations:
  item_strfunc.h, item_strfunc.cc, item.cc:
    Try to convert a const item into destination 
    character set. If conversion happens without
    data loss, then cache the converted value
    and return it during val_str().
    Otherwise, if conversion loses data, return
    Illeral mix of collations error, as it happened
    previously.
  ctype_recoding.result, ctype_recoding.test:
    Fixing tests accordingly.

  mysql-test/r/ctype_recoding.result
    1.20.1.5 05/11/21 17:23:50 bar@mysql.com +8 -1
    Fixing tests accordingly.

  mysql-test/t/ctype_recoding.test
    1.21 05/11/21 17:23:41 bar@mysql.com +9 -2
    Fixing tests accordingly.

  sql/item_strfunc.cc
    1.196.6.5 05/11/21 17:23:08 bar@mysql.com +2 -0
    Return cached value when it's possible.

  sql/item_strfunc.h
    1.73.2.14 05/11/21 17:22:56 bar@mysql.com +32 -2

  sql/item.cc
    1.58.75.1 05/11/21 17:20:38 bar@mysql.com +2 -10
    Bug#10446 Illegal mix of collations
    Try to convert a const item into destination 
    character set. If conversion happens without
    data loss, then cache the converted value
    and return it during val_str().
    Otherwise, if conversion loses data, return
    Illeral mix of collations error, as it happened
    previously.

ChangeSet
  1.1616.2416.1 05/11/21 16:09:26 gluh@eagle.intranet.mysql.r18.ru +4 -0
  Fix for bug#14780 memory leak for mysql 4.1.14 with openssl enabled

  vio/viossl.c
    1.22.1.6 05/11/21 16:08:39 gluh@mysql.com +0 -19
    Fix for bug#14780 memory leak for mysql 4.1.14 with openssl enabled

  vio/vio_priv.h
    1.5 05/11/21 16:08:39 gluh@mysql.com +0 -1
    Fix for bug#14780 memory leak for mysql 4.1.14 with openssl enabled

  vio/vio.c
    1.19.1.6 05/11/21 16:08:39 gluh@mysql.com +1 -1
    Fix for bug#14780 memory leak for mysql 4.1.14 with openssl enabled

  sql-common/client.c
    1.46.1.42 05/11/21 16:08:39 gluh@mysql.com +5 -1
    Fix for bug#14780 memory leak for mysql 4.1.14 with openssl enabled

ChangeSet
  1.1616.2392.18 05/11/21 12:28:36 msvensson@neptunus.(none) +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-4.1
  into  neptunus.(none):/home/msvensson/mysql/mysql-4.1

  sql/ha_ndbcluster.cc
    1.114.3.59 05/11/21 12:28:33 msvensson@neptunus.(none) +0 -0
    Auto merged

ChangeSet
  1.1616.2415.1 05/11/21 12:27:58 msvensson@neptunus.(none) +5 -0
  Bug #14514  	Creating table with packed key fails silently
   - Backport from 5.0

  sql/handler.cc
    1.103.19.15 05/11/21 12:27:55 msvensson@neptunus.(none) +1 -1
    Use new bit for create from engine

  sql/ha_ndbcluster.cc
    1.114.16.1 05/11/21 12:27:55 msvensson@neptunus.(none) +1 -1
    Use new bitmask for table_options to detect if create from engine

  mysql-test/t/ndb_basic.test
    1.22.1.5 05/11/21 12:27:55 msvensson@neptunus.(none) +8 -0
    Add test case for bug14514

  mysql-test/r/ndb_basic.result
    1.22.1.3 05/11/21 12:27:55 msvensson@neptunus.(none) +4 -0
    Add test result

  include/my_base.h
    1.58.1.7 05/11/21 12:27:55 msvensson@neptunus.(none) +1 -1
    Rename HA_CREATE_FROM_ENGINE to HA_OPTION_CREATE_FROM_ENGINE, ie. it's a bit in the table_options variable

ChangeSet
  1.1960.16.1 05/11/21 13:36:48 aivanov@mysql.com +3 -0
  Fixed BUG #14554: mysqldump does not separate "ROW" and trigger
   statement for tables created in the IGNORE_SPACE sql mode.

  mysql-test/t/mysqldump.test
    1.76 05/11/21 13:36:39 aivanov@mysql.com +24 -0
    Added test case for bug 14554.

  mysql-test/r/mysqldump.result
    1.83 05/11/21 13:36:39 aivanov@mysql.com +56 -0
    Fixed test case result for bug 14554.

  client/mysqldump.c
    1.212.1.1 05/11/21 13:36:39 aivanov@mysql.com +2 -1
    Modified dump_triggers_for_table(): if trigger statement returned
     by SHOW TRIGGERS query does not contain a leading white space,
     additional space is inserted between "ROW" and the statement.
     The leading white spaces are removed by yylex() in the
     IGNORE_SPACE sql mode.

ChangeSet
  1.1960.13.3 05/11/21 11:52:58 ramil@mysql.com +1 -0
  Fix for bug #15047: "server crash when compiling without transaction support".

  sql/sql_class.h
    1.270.4.2 05/11/21 11:52:15 ramil@mysql.com +4 -2
    Fix for bug #15047: "server crash when compiling without transaction support".
    - set xid_state.xa_state to XA_NOTR in absence of transactional engines,
      as we check it in the end_trans() which is always called from the ha_enable_transaction().

ChangeSet
  1.1952.24.1 05/11/20 20:47:07 bell@sanja.is.com.ua +44 -0
  Inefficient usage of String::append() fixed.
  Bad examples of usage of a string with its length fixed.
  The incorrect length in the trigger file configuration descriptor
    fixed (BUG#14090).
  A hook for unknown keys added to the parser to support old .TRG files.

  sql/tztime.cc
    1.27 05/11/20 20:47:02 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/table.cc
    1.209 05/11/20 20:47:02 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/structs.h
    1.54 05/11/20 20:47:02 bell@sanja.is.com.ua +0 -2
    The macro definition moved to sql_string.h to be
      accessible in all parts of server.

  sql/sql_view.cc
    1.76.1.1 05/11/20 20:47:02 bell@sanja.is.com.ua +5 -3
    A dummy  hook used for parsing views.

  sql/sql_trigger.cc
    1.33 05/11/20 20:47:02 bell@sanja.is.com.ua +92 -13
    Bad examples of usage of a string with its length fixed.
    The incorrect length in the trigger file configuration descriptor
      fixed (BUG#14090).
    The hook for processing incorrect sql_mode record added.

  sql/sql_table.cc
    1.284.1.1 05/11/20 20:47:02 bell@sanja.is.com.ua +29 -23
    Bad examples of usage of a string with its length fixed.

  sql/sql_string.h
    1.59 05/11/20 20:47:02 bell@sanja.is.com.ua +2 -0
    The macro definition moved to sql_string.h to
      be accessible in all parts of server.

  sql/sql_string.cc
    1.90 05/11/20 20:47:02 bell@sanja.is.com.ua +6 -6
    Bad examples of usage of a string with its length fixed.

  sql/sql_show.cc
    1.295.1.1 05/11/20 20:47:01 bell@sanja.is.com.ua +87 -81
    Bad examples of usage of a string with its length fixed.

  sql/sql_select.cc
    1.367.4.1 05/11/20 20:47:01 bell@sanja.is.com.ua +39 -34
    Bad examples of usage of a string with its length fixed.

  sql/sql_prepare.cc
    1.159.6.1 05/11/20 20:47:01 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/sql_parse.cc
    1.506.8.1 05/11/20 20:47:01 bell@sanja.is.com.ua +2 -2
    Bad examples of usage of a string with its length fixed.

  sql/sql_load.cc
    1.89 05/11/20 20:47:01 bell@sanja.is.com.ua +2 -1
    A bad example of usage of a string with its length fixed.

  sql/sql_lex.cc
    1.171.1.3 05/11/20 20:47:01 bell@sanja.is.com.ua +5 -5
    Bad examples of usage of a string with its length fixed.

  sql/sql_analyse.cc
    1.66 05/11/20 20:47:01 bell@sanja.is.com.ua +29 -29
    Bad examples of usage of a string with its length fixed.
    Inefficient usage of String::append() fixed.

  sql/sql_acl.cc
    1.181 05/11/20 20:47:01 bell@sanja.is.com.ua +54 -50
    Bad examples of usage of a string with its length fixed.

  sql/spatial.cc
    1.24.1.1 05/11/20 20:47:01 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/sp_head.cc
    1.193.6.1 05/11/20 20:47:01 bell@sanja.is.com.ua +23 -23
    Bad examples of usage of a string with its length fixed.

  sql/sp.cc
    1.96.1.3 05/11/20 20:47:01 bell@sanja.is.com.ua +10 -10
    Bad examples of usage of a string with its length fixed.

  sql/slave.cc
    1.262 05/11/20 20:47:01 bell@sanja.is.com.ua +6 -4
    Bad examples of usage of a string with its length fixed.

  sql/share/errmsg.txt
    1.50.3.1 05/11/20 20:47:01 bell@sanja.is.com.ua +2 -0
    A warning for old format config file.

  sql/repl_failsafe.cc
    1.59 05/11/20 20:47:01 bell@sanja.is.com.ua +7 -6
    Bad examples of usage of a string with its length fixed.

  sql/protocol.cc
    1.110 05/11/20 20:47:01 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/parse_file.h
    1.10 05/11/20 20:47:00 bell@sanja.is.com.ua +31 -1
    A hook for unknown keys added to the parser.

  sql/parse_file.cc
    1.17 05/11/20 20:47:00 bell@sanja.is.com.ua +122 -59
    Bad examples of usage of a string with its length fixed.
    A hook for unknown keys added to the parser.

  sql/opt_range.cc
    1.198 05/11/20 20:47:00 bell@sanja.is.com.ua +5 -5
    Inefficient usage of String::append() fixed.

  sql/mysqld.cc
    1.516.1.1 05/11/20 20:47:00 bell@sanja.is.com.ua +2 -0
    The dummy parser hook allocated.

  sql/log_event.cc
    1.197 05/11/20 20:47:00 bell@sanja.is.com.ua +9 -9
    Bad examples of usage of a string with its length fixed.

  sql/log.cc
    1.183.1.1 05/11/20 20:47:00 bell@sanja.is.com.ua +3 -3
    Bad examples of usage of a string with its length fixed.

  sql/key.cc
    1.35 05/11/20 20:47:00 bell@sanja.is.com.ua +2 -2
    Bad examples of usage of a string with its length fixed.

  sql/item_uniq.h
    1.27 05/11/20 20:47:00 bell@sanja.is.com.ua +2 -2
    Bad examples of usage of a string with its length fixed.

  sql/item_timefunc.cc
    1.99 05/11/20 20:47:00 bell@sanja.is.com.ua +28 -28
    Inefficient using of String::append() fixed.
    Bad examples of usage of a string with its length fixed.

  sql/item_sum.cc
    1.166.1.2 05/11/20 20:47:00 bell@sanja.is.com.ua +7 -7
    Bad examples of usage of a string with its length fixed.
    Inefficient usage of String::append() fixed.

  sql/item_subselect.cc
    1.120.1.1 05/11/20 20:47:00 bell@sanja.is.com.ua +13 -13
    Bad examples of usage of a string with its length fixed.

  sql/item_strfunc.cc
    1.258.2.1 05/11/20 20:47:00 bell@sanja.is.com.ua +10 -9
    Bad examples of usage of a string with its length fixed.

  sql/item_func.cc
    1.265.3.1 05/11/20 20:47:00 bell@sanja.is.com.ua +18 -18
    Bad examples of usage of a string with its length fixed.

  sql/item_cmpfunc.cc
    1.182.1.3 05/11/20 20:47:00 bell@sanja.is.com.ua +12 -12
    Bad examples of usage of a string with its length fixed.

  sql/item.h
    1.175.4.1 05/11/20 20:47:00 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/item.cc
    1.190.4.1 05/11/20 20:46:59 bell@sanja.is.com.ua +8 -8
    Bad examples of usage of a string with its length fixed.

  sql/handler.cc
    1.202.1.1 05/11/20 20:46:59 bell@sanja.is.com.ua +1 -1
    Inefficient usage of String::append() fixed.

  sql/ha_myisammrg.cc
    1.75 05/11/20 20:46:59 bell@sanja.is.com.ua +2 -2
    Bad examples of usage of a string with its length fixed.

  sql/ha_federated.cc
    1.52.1.1 05/11/20 20:46:59 bell@sanja.is.com.ua +2 -2
    Inefficient usage of String::append() fixed.

  sql/ha_berkeley.cc
    1.160 05/11/20 20:46:59 bell@sanja.is.com.ua +1 -1
    A bad example of usage of a string with its length fixed.

  sql/field.cc
    1.290.2.1 05/11/20 20:46:59 bell@sanja.is.com.ua +26 -26
    Inefficient usage of String::append() fixed.
    Bad examples of usage of a string with its length fixed.

ChangeSet
  1.1960.14.1 05/11/19 19:00:02 konstantin@mysql.com +1 -0
  A fix for Bug#14845 "mysql_stmt_fetch returns MYSQL_NO_DATA when 
  COUNT(*) is 0" (the test case has been pushed already)

  sql/sql_cursor.cc
    1.4 05/11/19 18:59:56 konstantin@mysql.com +1 -2
    Fix a return of an unitialized variable: return_zero_rows
    checks the return value of send_fields and in case it's 1
    doesn't call send_data. This caused creation of an empty result 
    set for the case when there is a cursor against a select with a 
    group function and no matching rows.

ChangeSet
  1.1960.12.6 05/11/19 13:17:20 kent@mysql.com +1 -0
  Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1-distcheck
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0-distcheck

  configure.in
    1.365 05/11/19 13:17:15 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.13.1 05/11/19 15:11:57 dlenev@mysql.com +5 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-5.0
  into  mysql.com:/home/dlenev/src/mysql-5.0-bg13825

  sql/sql_parse.cc
    1.506.1.8 05/11/19 15:11:50 dlenev@mysql.com +0 -0
    Auto merged

  sql/sql_class.h
    1.270.4.1 05/11/19 15:11:49 dlenev@mysql.com +0 -0
    Auto merged

  sql/sql_class.cc
    1.215.1.5 05/11/19 15:11:49 dlenev@mysql.com +0 -0
    Auto merged

  sql/handler.cc
    1.203 05/11/19 15:11:49 dlenev@mysql.com +0 -0
    Auto merged

  sql/ha_innodb.cc
    1.278 05/11/19 15:11:49 dlenev@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1944.76.1 05/11/19 15:09:23 dlenev@mysql.com +7 -0
  Fix for bug #13825 "Triggers: crash if release savepoint" and for general
  handling of savepoints in stored routines.
  
  Fixed ha_rollback_to_savepoint()/ha_savepoint()/ha_release_savepoint()
  functions to properly handle savepoints inside of stored functions and
  triggers.
  Also now when we invoke stored function or trigger we create new savepoint
  level. We destroy it at the end of function/trigger execution and return back
  to old savepoint level.

  sql/sql_parse.cc
    1.506.7.1 05/11/19 15:09:16 dlenev@mysql.com +2 -2
    mysql_execute_command():
      Changed processing of SQLCOM_SAVEPOINT so now it is not ignored when
      we are in autocommit mode and savepoint is set inside of stored
      function or trigger.

  sql/sql_class.h
    1.270.3.1 05/11/19 15:09:16 dlenev@mysql.com +1 -0
    Sub_statement_state:
      When we invoke stored function or trigger we should create new savepoint
      level. We should destroy it at the end of function/trigger execution and
      return back to old savepoint level. To support this behavior added "savepoint"
      member which is used to save/restore list of current savepoints on
      entering/leaving function.

  sql/sql_class.cc
    1.215.2.1 05/11/19 15:09:16 dlenev@mysql.com +18 -0
    THD::reset_sub_statement_state()/restore_sub_statement_state():
      When we invoke stored function or trigger we should create new savepoint
      level. We should destroy it at the end of function/trigger execution and
      return back to old savepoint level. To support this behavior we should
      save and reset list of current savepoints on entering function and restore
      old list when we leave it.

  sql/handler.cc
    1.200.2.1 05/11/19 15:09:16 dlenev@mysql.com +8 -7
    ha_rollback_to_savepoint()/ha_savepoint()/ha_release_savepoint():
      Changed functions to properly support handling of savepoints
      inside of stored functions and triggers.

  sql/ha_innodb.cc
    1.275.1.1 05/11/19 15:09:16 dlenev@mysql.com +7 -5
    innobase_savepoint():
      Replaced check which always failed due to similar check in caller
      with assertion.

  mysql-test/t/sp_trans.test
    1.5 05/11/19 15:09:16 dlenev@mysql.com +180 -0
    Added test for bug #13825 "Triggers: crash if release savepoint" and for
    general handling of savepoints in stored routines.

  mysql-test/r/sp_trans.result
    1.5 05/11/19 15:09:16 dlenev@mysql.com +195 -0
    Added test for bug #13825 "Triggers: crash if release savepoint" and for
    general handling of savepoints in stored routines.

ChangeSet
  1.1616.2392.16 05/11/19 12:58:22 kent@mysql.com +1 -0
  configure.in:
    Corrected "include/readline" link for "make distcheck"

  configure.in
    1.201.1.198 05/11/19 12:57:19 kent@mysql.com +2 -2
    Corrected "include/readline" linke for "make distcheck"

ChangeSet
  1.1960.12.5 05/11/19 11:20:52 kent@mysql.com +1 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-5.0
  into mysql.com:/Users/kent/mysql/bk/mysql-5.0-distcheck

  configure.in
    1.364 05/11/19 11:20:47 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.2392.15 05/11/19 11:11:09 kent@mysql.com +1 -0
  Merge kboortz@bk-internal.mysql.com:/home/bk/mysql-4.1
  into mysql.com:/Users/kent/mysql/bk/mysql-4.1-distcheck

  configure.in
    1.201.1.197 05/11/19 11:11:06 kent@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1960.12.4 05/11/19 01:22:12 konstantin@mysql.com +3 -0
  Bug#13510 "Setting password local variable changes current 
  password": additional fix, also make sure that a syntax error is 
  returned for set names="foo" when there is no such variable or no
  stored procedure.

  sql/sql_yacc.yy
    1.437.2.4 05/11/19 01:21:54 konstantin@mysql.com +3 -0
    Bug#13510: fix the case when there is no stored procedure or
    no 'names' variable declared. Return a syntax error in this case.

  mysql-test/t/sp-error.test
    1.96 05/11/19 01:21:54 konstantin@mysql.com +4 -0
    A new test for Bug#13510 (set names out of an SP)

  mysql-test/r/sp-error.result
    1.92 05/11/19 01:21:53 konstantin@mysql.com +2 -0
    Test results fixed: a new test for Bug#13510

ChangeSet
  1.1960.12.3 05/11/18 23:46:04 konstantin@mysql.com +2 -0
  A test case for Bug#8568 "GROUP_CONCAT returns string, unless in 
  a UNION in which case returns BLOB". The bug is not present anymore.

  mysql-test/t/func_gconcat.test
    1.37.1.1 05/11/18 23:45:47 konstantin@mysql.com +16 -0
    Add a test case for Bug#8568

  mysql-test/r/func_gconcat.result
    1.47.1.2 05/11/18 23:45:47 konstantin@mysql.com +15 -0
    Bug#8568: test results

ChangeSet
  1.1952.23.1 05/11/18 18:25:46 jamppa@suse9-x86.mysql.com +11 -0
  Netware specific changes for 5.0.16a

  netware/mysql_test_run.c
    1.17 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +3 -0
    NetWare specific changes:
    Define MYSQL_CHECK environment variable to make mysqlcheck test case pass

  myisam/myisampack.c
    1.50 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  myisam/myisamchk.c
    1.122 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  configure.in
    1.361.1.1 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Changed version for Netware.

  client/mysqlshow.c
    1.45 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysqlimport.c
    1.55 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysqldump.c
    1.213 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysqlcheck.c
    1.51 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysqlbinlog.cc
    1.121 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysqladmin.cc
    1.111 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

  client/mysql.cc
    1.188.1.1 05/11/18 18:25:30 jamppa@suse9-x86.mysql.com +1 -1
    Fixed option.

